2006-09-21  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettabular.C (doDispatch): do not modify cursor when iterating
	over the cells to apply LFUN_EMPH and friends.

2006-09-20  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettabular.C (cutSelection): reset cursor when it is invalid.

2006-09-19  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetert.C (doDispatch):
	* insetcharstyle.C (doDispatch): remove ad-hoc-Code to reset
	pargraph layout. This is now done generally in CutAndPaste.

2006-08-19  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcite.C (getNatbibLabel): prevent filesystem exception
	if the bib file is in a non-readable directory (bug 2782).

2006-08-18  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcite.C (getNatbibLabel): prevent filesystem exception
	if the bib file does not exist.

2006-08-17  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetbase.h (notifyCursorLeaves): return a bool indicating
	whether cursor is invalidated. 

2006-08-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetbase.[Ch]: get rid of ERROR_CODE (we do not have an error
	inset anymore).

2006-03-11  Bo Peng  <ben.bob@gmail.com>

	* insetnote.C: fix bug 2768 (comment/note eats space after it)

2006-07-12  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettabular.C (metrics): fix width of insets inside tabular
	cells. 

	* insetcollapsable.C (metrics): make sure that the openinlined_
	descsion does not depend on mi.base.texwidth.

2006-07-07  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.h: return true for allowSpellcheck (bug 2675).

2006-06-26  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C (doDispatch): set cursor properly on mouse 
	(button 3) press. Fixes crash.

2006-05-22  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C (doDispatch): do not mark the cursor undispatched
	after mouse (button 3) press (prevents the cursor from leaving the 
	tabular when opening the dialog).

	* insettabular.C (doDispatch): fix crash due to invalidated
	cursor after insertAciiString (bug 2603).

2006-04-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetbibtex.C (doDispatch):
	* insetinclude.C (doDispatch): 
	update the bibfiles cache after the inset has been modified.

	* insetinclude.[Ch] (updateBibfilesCache): new method to build or 
	update a cached vector with all used bibtex databases.
	* insetinclude.[Ch] (getBibfilesCache): new method that returns 
	the actual cache.

	* insetcite.C (getNatbibLabel): store a map of timestamps for all 
	used bibtex files (buffer's bibfiles cache) and rebuild the list 
	of keys only if the timestamps or the list of files have changed. 
	This is the actual performance boost. (bug 2460)

2006-04-24  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcollapsable.C (doDispatch): undispatch cursor after lmb click.
	* insettabular.C (doDispatch):
	* insetref.C (doDispatch):  undispatch cursor after rmb click. 
	(bug 2426)

2006-04-13  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular (doDispatch): use insertAsciiString in
	LFUN_PASTESELECTION. Simplifies the code a lot and fixes 
	wrong language settings.

2006-03-18  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetbase.h (asTextInset):
	* insettext.h (asTextInset): constify

2006-03-17  Martin Vermeer  <martin.vermeer@hut.fi>

	Changes to the within-inset row rendering caching code.

	* insetenv.h (isTextInset): 
	* insetcollapsable.h (isTextInset): remove method
	* insettabular.h (canTrackChanges):
	* insetbase.h (canTrackChange): rename from isTextInset, add methods
	* insettext.[Ch]: rename method; add Tall()

2006-03-11  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular (doDispatch, insertAsciiString): fix insertion of
	\t- and \n-separated content from external clipboard (bug 2394).

2006-03-23  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.h: get forward declaration of ParagraphList

	* insetbibitem.C: get proper ParagraphList decls

	* insettext.C (appendParagraphs):
	* insetcharstyle.C (docbook): use std::distance

2006-03-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetgraphics.C (latex): add \protect as needed (bug 675).

2006-03-17  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C (getStatus): add extra condition for PASTE in 
	respect of the tabularStack (bug 2377).

2006-03-11  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C (dist): fix miscalculation of rowheight (bug 2006)

2005-02-25  Martin Vermeer  <martin.vermeer@hut.fi>
2006-02-25  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetert.[Ch] (read): new, force all paragraphs to latex_language
	* insetert.C (doDispatch): set latex_language, not buffer language
	for copied text
	* insetert.C (doDispatch): force latex_language for newly inserted
	text
	* insetert.C (draw): realize draw font
	* insetert.[Ch] (InsetERT): use latex_language and comment out unused
	constructor
	* insettext.h (setFont): remove unused declaration

2006-02-22  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetfootlike.C (metrics, draw): use buffer's default font (bug
	2308).

2006-02-05  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettext.C: Fix bug 2115: blue language lines (for default font)
	popping up when the documnent font is different. This includes
	work by Georg Baum.

2006-01-11  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (findTargetFormat): document
	* insetgraphics.C (prepareFile): handle unknown formats

2006-01-10  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettext.C (getLabelList):
	* insettabular.C (getLabelList): remove, since the ParIterator
	already does the job of looking inside insets (bug 2188)

2006-01-07  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalSupport.[Ch] (updateExternal): add external_in_comment flag
	* insetexternal.C (latex, linuxdoc, docbook, plaintext): Don't copy
	files inside comments
	* insetbibtex.C (latex): ditto
	* insetinclude.C (latex, linuxdoc, docbook, plaintext): ditto
	* insetnote.C (latex): set inComment flag in runparams and ignore
	exported files for comment insets
	* insetnote.C (linuxdoc): ditto
	* insetnote.C (docbook): ditto
	* insetnote.C (plaintext): ditto

2006-01-01    <larsbj@gullik.net>

	* insetcharstyle.h: fix syntax error

2005-12-31  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcollapsable.C (metrics): reverse patch of 2005-12-16 because
	of better fix in text3.C.

2005-12-12  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetbase.h (noFontChange): refine documentation

2005-12-16  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcollapsable.C (metrics): fix "turds" when changing openinlined_

2005-12-05  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetbox.[Ch]: fix bugs 2136, 2123

2005-11-02  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetbox.C (metrics): fix width problems (bug 2137)
	
2005-11-28  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insettabular.C (tabularFeatures): Move some code to
	setColumnPWidth and setMColumnPWidth

2005-11-25  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetbase.h: 
	* insetcharstyle.[Ch]:
	* insetcite.[Ch]:
	* insetlatexaccent.[Ch]:
	* insetquotes.[Ch]:
	* insetref.[Ch]:
	* insetspace.[Ch]:
	* insetspecialchar.[Ch]:
	* inseturl.[Ch]: new method textString (fix bug 2089)

2005-11-18  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetbibtex.C (latex): copy .bib files to the master buffer temp dir

2005-11-17  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetbase.h:
	* insetert.h:
	* insettabular.h: 
	change argument of forceDefaultParagraphs from inset to cell.

	* insettabular.C: fix forceDefaultParagraphs (part of bug 1953).

2005-11-10  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetbase.h: document the EDITABLE enum.

2005-11-07  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetert.C (setButtonLabel): use isOpen() to test whether the ert
	is collapsed.

2005-11-02  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetbranch.C: partial fix bug 2092: branches not 
	propagated to child docs
	* insetcharstyle.C: Also replace LColor::red by LColor::error

2005-10-25  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetbranch.C (isBranchSelected): take a buffer as argument.
	adapt to work with child documents (bug 2092).

2005-10-21  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettabular.C (doDispatch): get rid of annoying debug message.

	* insetbranch.C (doDispatch): LFUN_INSET_TOGGLE: do not replicate
	code from InsetCollapsable.

	* insetcollapsable.C (doDispatch): LFUN_INSET_TOGGLE: when the
	inset is toggled to Closed, move cursor to the right (part of bug
	2066).

2005-10-21  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettext.C: remove obsolete old_pit

2005-10-20  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettabular.C (doDispatch): do not override the result of
	LFUN_RIGHT/LEFT. (bug 2101)

2005-09-16  Michael Gerz  <michael.gerz@teststep.org>

	* insetvspace.C (metrics): compute ascent and descent in a way that
	the cursor is placed on the same level as the label text 

2005-09-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcollapsable.[Ch]: implement Alfredo Braunstein's approach
	of autoopen, which means that collapsables automatically open
	whenever the cursor enters (and close again on leave) (fixes bug 1921).

2005-09-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetspace.C: rename '\,' to '\thinspace{}' (avoid parsing error)
	and '\space' to '\space{}' (consistency).

2005-09-19  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C (tabularFeatures): validate cursor after 
	setAutoBreakRow (SET_[M]PWIDTH) (fixes bug 1945).

2005-09-11  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettabular.C: fixes bug 1765: multicol cell width on screen not
	displayed

2005-09-11  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C: use recordUndoInset instead of recordUndo
	(fixes bug 1937 and 1986).

2005-09-12  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetvspace.C (metrics): include label text
	* insetvspace.[Ch] (label): new, needed for the above

2005-09-10  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetbase.[Ch]: new bool neverIndent() which indicates if
	an inset does not want paragraph indentation at all.
	* insetcharstyle.h:
	* insetert.h:
	* insetoptarg.h: return true for neverIndent()
	* insettext.[Ch]: return true for neverIndent() in case
	of tabular cells (based on a crude guess).

2005-09-09  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetline.C: Add forgotten include

2005-09-07  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetline.C (latex): write the size argument of \lyxline again
	* insetquotes.C (latex): adapt to OutputParams changes

2005-08-09  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C (tabularFeatures): don't force alignment to BLOCK
	when switching to pwidth cell (bugs 1296, 1840).

2005-08-03  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettabular.C (draw): pass PainterInfro::erased_ to
	drawCellLines
	(drawCellLines): add an erased bool and handle it.

2005-08-03  John Levon  <levon@movementarian.org>
	
	* insettext.C (clear): remove bool argument.
	(read): adapt to clear() changes.

	* insettabular.C (cutSelection): adapt to MarkErased changes.

	* insettext.C (markErased): 
	* insettabular.C (markErased): 	
	* insetbase.C (markErased): add bool argument.

2005-09-06  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C: mark tabular_stack_ (of CutAndPaste) dirty
	after copying several cells (works around bug 1919).

2005-09-05  Michael Gerz  <michael.gerz@teststep.org>

	* insetcharstyle.C (metrics,draw): consider inset label for
	width computation; fix drawing of labels of undefined char styles

2005-08-07  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettabular.C (getStatus): fix Helge's bug that a number of insets
	including ERT could not be inserted in tabular.

2005-08-02  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetinclude.C (string2params): fix typo in error message (bug 1963).

2005-07-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C (getStatus): disable line and paragraph breaks
	in non-fixed-width cells (bug 1938).

2005-07-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetfloat.C: 
	* insetwrap.C: Do not use translatable strings as internal identifier 
	(bug 1870).

2005-07-18  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* insetbase.C: include boost/current_function.hpp

2005-07-18  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* insetbase.C (edit,editXY,index): supress some lyxerr messages

2005-07-18  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettabular.C (doDispatch): try to fix handling of cursor UP/DOWN.

2005-07-17  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* insetlabel.C (changeRefsIfUnique): remove unused code

2005-07-17  Lars Gullik Bjønnes  <larsbj@lyx.org>

	bug 1375
	* insetcommand.[hC]: rename set_label_ to updateButtonLabel_ and
	reverse the logic. Make sure to set updateButtonLabel_ to true in all
	places where params is set (directly or indirectly).

2005-07-15  André Pönitz  <poenitz@gmx.net>

	* insettext.[Ch] (updateLocal): remove. Has been disabled for a while.

2005-07-15  André Pönitz  <poenitz@gmx.net>

	* Makefile.am:
	* inset.[Ch]:
	* insetcollapsable.[Ch]:
	* insettabular.[Ch]:
	* updatableinset.[Ch]: remove UpdatableInset

2005-07-15  José Matos  <jamatos@lyx.org>

	* insettext.C (plaintext): fix call to asciiParagraph.

2005-07-15  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.[Ch]:
	* updatableinset.[Ch] (scroll, setScroll): sanitize things

2005-07-14  Angus Leeming  <leeming@lyx.org>

	* insetbibtex.C (latex): when processing the LaTeX file in
	a temp directory, copy the BibTeX databases there, mangling their
	names in the process. Do this so that BibTeX can process the database
	because it *really*, *really* can't handle "files with spaces".

2005-07-14  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* insettext.C (doDispatch): reduce some debug blabbering

2005-07-10  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalSupport.C (subst_path): adjust to latex_path changes and
	replace dots if appropriate
	* insetgraphics.C (prepareFile): move lyxdot replacement to latex_path
	* insetexternal.C (validate): require lyxdot

2005-07-08  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalSupport.C (subst_path): new argument exclude_extension
	* ExternalSupport.C (doSubstitution): exclude the extension when
	quoting $$FName
	* insetgraphics.C (stripExtensionIfPossible, prepareFile): exclude
	the extension when quoting the file name

2005-06-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetquotes.C (latex): always use \og/\fg for the french
	languages; test against the language code instead of the babel
	name.

2005-07-06  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insettabular.C (tabularFeatures): adjust cursor after adding a column

2005-07-05  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetbranch.C (setButtonLabel): Make label prefix translatable.

2005-06-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.[Ch] (dist): make it a real member of insettabular
	and rewrite it to use the actuall cell dimensions for calculation, 
	not the insettext's deimensions (fixes bug 1801).

2005-06-25  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetbibtex.C: (addDatabase): do not check for substrings but
	but for whole tokens.
	(delDatabase): make it actually work.

2005-06-21  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (stripExtensionIfPossible): adjust test for "

2005-06-20  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (prepareFile): don't strip the extension of quoted
	filenames
	* insetgraphics.C (stripExtensionIfPossible): fix lyxdot replacement

2005-06-16  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C (getStatus): disable LFUN_TABULAR_INSERT
	when multiple cells are selected (bug 1837).

2005-05-31  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetoptarg.C (InsetOptArg): make the inset open by default
	(fixes bug 1890)

2005-05-23  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetvspace.C (draw): use VSpace::asGUIName.

2005-05-17  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetbase.C (getStatus): allow LFUN_INSET_MODIFY unconditionally
	* insetbibitem.C, insetbibtex.C, insetlabel.C (doDispatch): call
	cur.noUpdate() if nothing changed
	* insetlatexaccent.[Ch]: spelling fixes

2005-05-13  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcollapsable.C (doDispatch): fix
	click-on-closed-collapsable-inset-crash bug.

2005-05-12  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettabular.C (pasteSelection):
	* insettext.h (copy c'tor): fix paste inside tabulars.

2005-04-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetoptarg.C (plaintext): add dummy method.

2005-05-09  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetbase.h (doDispatch): document a bit more
	* insetcommand.C, insetfloat.C, insetgraphics.C, insetinclude.C,
	insetnote.C, insetwrap.C, updatableinset.C (doDispatch): don't call
	cur.bv().update(), because that leads to nested updates. Call
	cur.noUpdate() instead where approriate.

2005-05-07  Michael Schmitt  <michael.schmitt@teststep.org>

	* insetbibtex.C: change screen label
	* insetref.C:
	* insetert.C: rename LFUN_REF_GOTO to LFUN_LABEL_GOTO

2005-05-06  José Matos  <jamatos@lyx.org>

	* insetcommandparams.C (scanCommand): fix out of range string access.

2005-05-05  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetbibitem.C (bibitemMaxWidth): removed as obsolete

2005-05-03  Martin Vermeer  <martin.vermeer@hut.fi>
2005-05-03  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetcharstyle.[Ch] (undefined, setUndefined, setDefined): new,
	handle undefined character styles
	* insetcharstyle.[Ch] (latex, linuxdoc, docbook, plaintext, validate):
	handle undefined character styles

2005-04-23  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C: handle the LFUN_UNSET_* longtabular methods
	in getStatus and the tabularFeature string (bug 1860).

2005-04-22  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetbranch.C (getStatus): make the code more compact

2005-04-22  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetcollapsable.C (doDispatch): do not pass through double/triple
	click events when they are not in the insetext (bug 1797).

2005-04-22  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetbase.h: document a bit more
	* insetbox.[Ch], insetbranch.[Ch], insetcollapsable.[Ch],
	insetcommand.[Ch], insetexternal.[Ch], insetfloat.[Ch],
	insetgraphics.[Ch], insetinclude.[Ch], insetnote.[Ch], insetwrap.[Ch]
	(getStatus): implement
	* insetcollapsable.[Ch] (hitButton): take a const argument
	* insetert.C (getStatus): enable LFUN_INSET_MODIFY, LFUN_PASTE and
	LFUN_PASTE_SELECTION

2005-04-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetcollapsable.C (doDispatch): pass through double/triple
	click events (bug 1811).

2005-04-14  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetwrap.C (addToToc): copy the code from InsetFloat::addToToc.

	* insetfloat.C (addToToc): do not use the harcoded "Caption" name,
	but the SENSITIVE label type.

2005-04-18  Angus Leeming  <leeming@lyx.org>

	* ExternalSupport.[Ch] (doSubstitution): passed an extra boolean
	'use_latex_path' argument. In turn, passed to the new subst_path
	function when replacing placeholders with paths.

	* insetexternal.C (getScreenLabel):
	* ExternalSupport.C (lots of places): change invocation of
	doSubstitution in lots of places, specifying the appropriate values
	for this 'use_latex_path' boolean.

	* insetbib.C (latex):
	* insetgraphics.C (latex):
	* insetinclude.C (latex): pass path to latex_path rather than to
	os::external_path.

2005-04-18  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcharstyle.C (validate): allow nested charstyle insets

2005-04-15  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insettabular.C (getStatus): handle LFUN_INSET_MODIFY

2005-04-11  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetfloat.C (InsetFloat):
	* insetwrap.C (InsetWrap): do not set layout here.

2005-04-13  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetbase.C (getStatus): handle LFUN_INSET_MODIFY and
	LFUN_INSET_INSERT
	* insetbase.h (getStatus): add more documentation
	* insettabular.C (getStatus): disable LFUN_INSET_INSERT with multiple
	cells selected

2005-04-10  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcharstyle.C (metrics, draw):
	* insetert.C (metrics, draw):
	* insetfootlike.[Ch] (metrics, draw): fix font inside inset
	(bugs 1766, 1809)

2005-04-05  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetexternal.C (validate):
	* ExternalTemplate.[Ch] (dumpFormat, readFormat): allow
	multiple Requirements in external material template

2005-04-03  Alfredo Braunstein  <abraunst@lyx.org>

	* insettext.C (drawFrame): cosmetic fix

2005-03-30  Martin Vermeer  <martin.vermeer@hut.fi>

	* ExternalSupport.C (writeExternal):
	* insetgraphics.C (latex):
	* insetnote.C (latex, linuxdoc, docbook, plaintext): fix
	mis-count in computing latex error location

2005-03-21  Alfredo Braunstein  <abraunst@lyx.org>

	* insettabular.[Ch]: rename setPos -> setCursorFromCoordinates and
	make it *not* descend into insets (fix a crash). Move the part
	needed from editXY to a new function getNearestCell

2005-02-22  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetinclude.C (InsetInclude): when constructing from another
	InsetInclude, set set_label_ to false, since the value is never
	copied.

2005-03-21  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C (getStatus): enable tabulator keys (bug 1836).

2005-03-21  Alfredo Braunstein  <abraunst@lyx.org>

	* insettabular.C (drawSelection): cosmetic bugfix

2005-03-17  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insettabular.C (doDispatch): get middle mouse button back again
	(partially), pass LFUN_CUT and LFUN_PASTE to insettext's dispatch
	when only a part of the cell is selected (fix bug 1799)

	* insettabular.C: handle some more character attributes in
	M. Vermeers method (when multiple cells in tables are selected);
	disable some more senseless lfuns when multiple cells are selected
	(prevent crashes);
	Move to end of cell instead of beginning when coming from the cell
	behind.

2005-03-12  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettabular.C: make applying character attributes
	possible for multiple cells in tables. Disable collapsable
	insets for multiple-cell selection in table (Jürgen S.)
	Bug reported by Helge Hafting.

2005-02-25  Andreas Vox  <avox@arcor.de>

	* insetmarginal.[hC] (docbook): new method, render as <note>

	* insetoptarg.[hC] (docbook, linuxdoc): new, empty, methods

2005-02-23  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetcaption.[Ch] (doClone): implement

2005-02-22  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (prepareFile): handle non-existing files
	* insetgraphics.C (latex): remove special handling of non-existing
	files

2005-02-22  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcharstyle.C: add TEXT_TO_INSET_OFFSET and adjust metrics.
	* insettext.C: adjust metrics

2005-02-20  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettext.C: include boost/current_function.hpp (needed when
	assertions are disabled)

2005-02-20  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.C: Prevent problems on double-/
	tripleclick on collapsable label (bug 1797).

2005-02-13  André Pönitz  <poenitz@gmx.net>

	* insettext.[Ch] (border_): new
	* insettext.C (metrics, draw, drawFrame, clearInset, getCursorPos):
	use border_

2005-02-14  Angus Leeming  <leeming@lyx.org>

	* insetlatexaccent.C (draw): squash a couple of MSVC warnings
	about "truncation of constant value".

2005-02-08  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (latex): Remove line continuation '%\n' (bug xxx,
	workaround for broken HTML converter)

2005-02-08  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetcollapsable.C (leaveInset): size() -> depth()
	* insettabular.C (isRightToLeft): ditto

2005-02-03  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetert.C (latex, linuxdoc, docbook): remove newline handling
	* insetert.C (doDispatch): clean pasted paragraphs
	* insetert.C (getStatus): suppress more lfuns
	* insetert.C (insetAllowed): return always false

2005-01-31  Asger Ottar Alstrup  <aalstrup@laerdal.dk>

	* inset.C:
	* insetbase.C:
	* insettabular.C:
	* updatableinset.C: Use new cursor accessors.

2005-01-31  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetinclude.C (loadIfNeeded): rewrite to use boost.filesystem

2005-01-31  Angus Leeming  <leeming@lyx.org>

	* insetgraphicsParams.C: protect a #warning preprocessor call
	with a #ifdef WITH_WARNINGS guard.

2005-01-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Several files: use convert<> instead of atoi,strToXXX and friends

2005-01-23  Angus Leeming  <leeming@lyx.org>

	* insetbibitem.h (bibitemWidest): declare the function.

2005-01-14  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (prepareFile): move the invocation of the default
	converter to ../converter.C
	* insetgraphics.C (prepareFile), ExternalSupport.C (updateExternal):
	call convert with try_default == true

2005-01-11  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (prepareFile): add missing calls to addExternalFile
	* ExternalSupport.[Ch] (doSubstitution): take a new parameter that
	determines what variables are substituted
	* ExternalSupport.C (updateExternal): fix substitution of
	ReferencedFiles

2005-01-10  Angus Leeming  <leeming@lyx.org>

	* ExternalTemplate.C: use support/package.h to provide the paths to the
	various directories used by LyX.

2005-01-06  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetwrap.C:
	* insettabular.C:
	* insetinclude.C:
	* insetfloat.C:
	* insetexternal.C:
	* insetbibitem.C:
	* ExternalTransforms.C (adjAngle): tostr -> convert

2005-01-05  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* inset.[Ch] (forceDefaultParagraphs): delete since it is same as
	base version

2005-01-04  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* ExternalTransforms.C: fix LaTeX output of \scalebox.

	* ExternalTransforms.[Ch]:
	* insetexternal.C: store all float/double values as strings.

	* insetgraphics.C:
	* insetgraphicsParams.C: more precise checks for the value strings.

2004-12-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettext.C (doDispatch): remove unused variable was_empty

2004-12-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetgraphics.C:
	* insetgraphicsParams.[Ch]: store all float/double values as strings.

2004-12-17  Alfredo Braunstein  <abraunst@lyx.org>

	* insettext.[Ch] : move autoBreakRows_ bool to LyXText

2004-12-15  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insettabular.C (tabularFeatures): re-enable SET_ALL_LINES and
	UNSET_ALL_LINES (from Jürgen)

2004-12-14  Angus Leeming  <leeming@lyx.org>

	* Makefile.am (AM_CPPFLAGS): Remove trailing slash from -Ifoo/
	to overcome bug in the MinGW port of g++ 3.4.2.

2004-12-06  Alfredo Braunstein  <abraunst@lyx.org>

	* insettabular.C (getCellXPos): make it return a relative x
	position wrt. the begin of the tabular
	(resetPos): a couple of fixes
	(doDispatch): add a couple of resetPos calls
	(drawSelection): fix drawing of selection in single-cell mode
	(draw): replace 'do not draw' optimization by 'draw with
	nullpainter' one

2004-12-03  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetbase.[Ch] (idxUpDown2): remove function

2004-12-02  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insettabular.[Ch]: use size_t-like types for cell, row and column
	indices

2004-12-02  José Matos  <jamatos@lyx.org>

	* insetlatexaccent.C (checkContents): remove compatibility code,
	moved to lyx2lyx.

2004-11-30  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetbase.h (getStatus): add better comment from src/cursor.C

2004-11-26  Alfredo Braunstein  <abraunst@lyx.org>

	* insettabular.[Ch]: adjust, introduce "do not draw
	offscreen" optimization using NullPainter, (dist): introduce,
	(getCursorPos): implement, (drawSelection): implement

	* insetcollapsable.[Ch]: adjust

	* insettext.C: adjust, (metrics): set the font before calling
	LyXText::metrics

2004-11-25  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* rename a lot of InsetOld to InsetBase

2004-11-25  Alfredo Braunstein  <abraunst@lyx.org>

	* insettabular.C:
	* insettext.C: par->pit renaming

2004-11-24  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Most insets: rename priv_dispatch to doDispatch

2004-11-24  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insettabular.C (tabularFeatures): fix multicolumn handling

2004-11-23  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* render_base.h (operator=): use common semantics

	* insettext.C (operator=): delete this
	(copy constructor): implement this properly
	(init): use for_each and bind
	(clear): ditto
	(appendParagraphs): ditto

	* insettabular.C: add more const. Adjust for changes in tabular.

	* insetbase.h: Use NVI on clone. Add virtual doClone and update
	all children, also make copy constructor protected. Added some
	safe-guards to clone.

	* insets: adjust to fit.

2004-11-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetoptarg.C (latexOptional): return number of lines instead of
	number of characters

2004-11-18  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insettabular.[Ch] (string2params): Don't pretend to return the
	active cell anymore and simplify keyword parsing.

2004-11-10  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetlatexaccent.h (isLetter): implement, so that word selection
	takes accents into account.

2004-11-11  Alfredo Braunstein  <abraunst@lyx.org>

	* insetcollapsable.C (priv_dispatch): do not push the inset to the
	cursor in dispatch

2004-11-09  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalSupport.C, insetgraphics.C:
	s/getFormatFromContents/formats.getFormatFromFile/

2004-11-04  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcharstyle.[Ch]:
	* insetert.[Ch]: implement getStatus

	* insetcharstyle.C (draw): visual clue when the cursor is inside
	the inset

2004-11-02  José Matos  <jamatos@lyx.org>

	* insetcharstyle.C (docbook):
	* insetlabel.C (linuxdoc, docbook):
	* insetref.C (linuxdoc, docbook): escape chacters in id to produce
	always legal output.

	* insettabular.C (docbook): mixed content no longer belongs to
	output parameters.

2004-11-01  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcharstyle.C (priv_dispatch): prevent paragraph breaks

2004-11-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalSupport.C (updateExternal): convert files in the temp dir

2004-10-31  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcharstyle.C: drawing cosmetics.

2004-10-30  José Matos  <jamatos@lyx.org>

	* insetcharstyle.C (docbook): a compromisse solution. Don't output
	paragraph tags inside inline elements.

2004-10-30  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcharstyle.C (latex, linuxdoc, docbook, plaintext): use
	InsetText methods rather than outputVerbatim (escapes special
	characters) [bug 1731]
	* insetcharstyle.C (outputVerbatim): remove this function.
	* insetcharstyle.C (priv_dispatch): fix typo in LFUN_MOUSE_PRESS,
	which caused an infinite loop.

2004-10-29  José Matos  <jamatos@lyx.org>

	* insetgraphics.C (uniqueID): transfered to sgml.C

2004-10-29 Andreas Vox  <vox@isp.uni-luebeck.de>

	* insetlabel.C (docbook, linuxdoc):
	* insetref.C (docbook, linuxdoc): sanitize id.

2004-10-29  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalSupport.C: s/getExtFromContents/getFormatFromContents/
	* insetgraphics.C: s/getExtFromContents/getFormatFromContents/
	* insetgraphics.C (findTargetFormat): reformat

2004-10-28  José Matos  <jamatos@lyx.org>

	* insetcharstyle.C (linuxdoc, docbook): apply opentTag and closeTag.

2004-10-28  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalTransforms.C (sanitizeLatexOption): simplify regex

2004-10-27  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalTransforms.C (sanitizeLatexOption): fix regex to handle
	"[,,,]" without warning message

2004-10-26  Angus Leeming  <leeming@lyx.org>

	* ExternalSupport.C (updateExternal):
	* insetgraphics.C (copyFileIfNeeded): use the new Movers to move
	external files to the temp directory.

2004-10-25  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetfoot.C (latex): use \thanks instead of \footnote on titlepage
	layouts. This fixes problems with the memoir class (which does not
	allow \footnote) [bug 1677]

2004-10-24  Andreas Vox  <vox@isp.uni-luebeck.de>

	* insetindex.C (docbook): escape the index, to generate correct sgml.

2004-10-23  José Matos  <jamatos@lyx.org>

	* insettext.C (docbook): rearrange arguments, due to change in the
	upper code.

2004-10-23  André Pönitz  <poenitz@gmx.net>

	* insettabular.C (cutSelection, tabularFereatures):
	  fix cursor position after cutting selection or table rows

2004-10-18  Andreas Vox  <vox@isp.uni-luebeck.de>

	* insetgraphics.C (docbook, writeImageObject): write more than one
	format of imageobjects in <mediaobject>.

2004-10-17  Andreas Vox  <vox@isp.uni-luebeck.de>

	* insetcite.[hC] (docbook, latex, cleanupWhitespace): implementing
	DocBook output for this inset ( <citation>content</citation> )

2004-10-05  Andreas Vox  <vox@isp.uni-luebeck.de>

	* insetgraphics.C (docbook) : using mediaobject for XML;
	correcting bug with SGML output (now '>' instead of '/>')

2004-10-05  José Matos  <jamatos@lyx.org>

	* insetfloatlist.C (read):
	* insetquotes.C (read):
	* insetspace.C (read):
	* insetspecialchar.C (read):
	* insettabular.C (read): replace nextToken by more appropriate lex
	methods.

2004-09-29  Andreas Vox  <vox@isp.uni-luebeck.de>

	* insetgraphics.C (createDocBookAttribute, docbook) :
	convert scale, width, height and keepaspectratio to Docbook standards)

	* insetgraphics.[hC] (toDocbookLength): new method to convert TeX units
	to Docbook units where possible.

2004-09-29  Andreas Vox  <vox@isp.uni-luebeck.de>

	* insetgraphics.C (docbook): create inlinegraphic instead of graphic.

	* insetgraphics.[hC] (createDocBookAttributes): Export parameters
	as attributes with new method for docbook.

2004-09-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* render_preview.h: Use preferred calling of Boost.Signal

	* pch.h: use proper signal include

2004-09-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* ExternalTransforms.h: User preferred calling of Boost.Function

2004-09-24  Andreas Vox  <vox@isp.uni-luebeck.de>

	* insetref.C (docbook): fixing problem where Docbook XML output
	had unclosed <xref ... >

2004-08-16  José Matos  <jamatos@lyx.org>

	* insethfill.C (write):
	* insetline.C (write):
	* insetnewline.C (write):
	* insetpagebreak.C (write): remove space at end of line.

2004-08-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettabular.C (plaintext): do not use ownerPar to get the
	paragraph depth

	* insettext.C (sanitizeEmptyText): remove. Not sure what it does,
	and it calls getParentLanguage (which calls ownerPar)
	(edit): do not call sanitizeEmptyText
	(priv_dispatch): remove code resetting font on empty inset, for
	the same reasons as above.

	* insettabular.C (isRightToLeft): instead of using
	BufferView::getParentLanguage, use the data from the cursor

2004-08-15  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* pch.h: new file

	* Makefile.am: support pch

2004-08-15  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettabular.C (draw): whitespace

	* insetnewline.C (draw): use PainterInfo::ltr_pos instead of ownerPar.

2004-08-14  André Pönitz  <poenitz@gmx.net>

	* insettabular.C (priv_dispatch): fix MOUSE_MOTION handling

2004-08-14  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettabular.C (metrics): when the width of a cell is zero(),
	let it use as much space as it can

	* insettext.C (editXY): compilation fix

	* insetinclude.C (priv_dispatch): fix showing dialog on mouse
	release
	(metrics): the insets is not full width any more.
	(draw): adjust; fix bad test for PREVIEW_OFF
	(add_preview): fix bad test for PREVIEW_OFF
	(display): do not return true when using \input

2004-08-14  José Matos  <jamatos@lyx.org>

	* insetbibitem.[Ch] (plaintext): added.

	* insetcite.[Ch]: fix plaintext export.

2004-08-14  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* insettext.[Ch] (setDrawFrame): take a bool, get rid of the
	DrawFrame enum.

	* insetcaption.C (InsetCaption): modify call to setDrawFrame
	* insetcollapsable.C (InsetCollapsable): ditto
	* insetenv.C (InsetEnvironment): ditto

2004-08-14  André Pönitz  <poenitz@gmx.net>

	* inset.[Ch]:
	* insetbase.[Ch]:	remove the 'internale' xo, yo position cache

2004-08-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetoptarg.C (latexOptional): if the optional argument contains
	a ']' enclose it in {curly brackets}

	* insettext.C (editXY):
	* insettabular.C (editXY):
	* insetcollapsable.C (editXY):
	* insetbase.C (editXY): constify

	* insetcollapsable.C (priv_dispatch): on a mouse press event, do
	not ask for an update if we did nothing; on a mouse release, make
	sure that the cursor is  moved to the right position; on a mouse
	release, exit from the inset instead of invoking a
	LFUN_FINISHED_RIGHT.

	* insetbase.C (dispatch): before invoking dispatch, set cursor
	result to dispatch=update=true.

2004-08-13  José Matos  <jamatos@lyx.org>

	* insetgraphics.C (docbook): close empty tags in XML. Fix bug 1147.

2004-08-04  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetfoot.C (latex): use OutputParams::intitle instead of
	parOwner() (avoids time consuming lookup)

	* insetquotes.C (latex): same as above with OutputParams::lang.
	Moreover the code actually works now.

2004-07-24  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetwrap.C, insetvspace.C, insettabular.C, insetnote.C:
	* insetinclude.C, insetgraphics.C, insetfloat.C:
	* insetexternal.C, insetert.C, insetcharstyle.C, insetcaption.C:
	* insetbranch.C, insetbox.C, ExternalTransforms.C: change
	"support/std_sstream.h" to <sstream>

2004-06-22  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (prepareFile): remove conversion_needed flag.
	It made the following fail for a .eps graphics file:
	1) view->ps
	2) view->pdf (pdflatex)
	because the .eps file was already in the temp dir when the pdflatex
	export happened and therefore no .eps -> pdf conversion was done.

2004-06-18  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C, insettabular.C: s/wether/whether/g

2004-06-10  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (stripExtension): new
	* insetgraphics.C (prepareFile): Don't check for nonexisting files,
	the caller does this
	* insetgraphics.C (prepareFile): Handle "nice" exports, too
	* insetgraphics.C (latex): call prepareFile() also for "nice" exports

2004-06-02  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetfloatlist.C (latex,getScreenLabel): translate according to
	the document language (bug #1312)

2004-06-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalSupport.[Ch] (doSubstitution): exchange filename argument
	with external_in_tmpdir and compute filename ourself
	* ExternalSupport.[Ch] (updateExternal): add exportdata argument and
	use it to store referenced file(s)
	* ExternalSupport.C (writeExternal): write relative filename if
	running latex
	* ExternalTemplate.[Ch]: add ReferencedFile command
	* insetgraphics.C (prepareFile, docbook, linuxdoc): add file to
	runparams.exportdata
	* insetgraphics.C (prepareFile): write relative filename if
	running latex
	* insetinclude.C (latex, docbook, linuxdoc): add file to
	runparams.exportdata and write it to the temp dir instead of
	writing it to the final destination
	* insetinclude.C (docbook, linuxdoc): don't copy runparams

2004-05-19  Angus Leeming  <leeming@lyx.org>

	* insetcite.[Ch]: small change because namespace biblio is
	now namespace lyx::biblio.

2004-05-15  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insettabular.[Ch] (buffer): make Buffer * argument const

2004-05-17  Angus Leeming  <leeming@lyx.org>

	* insetcommand.C (priv_dispatch): act on receipt of LFUN_INSET_REFRESH
	to force the button label to be re-generated.

2004-05-14  José Matos  <jamatos@lyx.org>

	* insetlabel (docbook): do not ouput label, for the moment.

2004-05-14  Angus Leeming  <leeming@lyx.org>

	* insetcite.C (getNatbibLabel, generateLabel, latex): use the
	new biblio::asValidLatexString function.

2004-05-12  Angus Leeming  <leeming@lyx.org>

	* insetcite.C: use BufferParams::cite_engine rather than the three
	bools, use_natbib, use_jurabib, use_numerical_citations.

2004-05-10  Angus Leeming  <leeming@lyx.org>

	* insetcite.[Ch]: move the Cache::Style enum to biblio::CiteEngine.
	Ditto with getStyle, moved to biblio::getEngine.

2004-05-07  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (validate): remove pre 233 file format stuff,
	handle zipped files for "nice" export

2004-05-05  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (prepareFile): copy zipped file and corresponding
	.bb file to the tmp dir if we don't unzip it (needed for dvi export)
	* insetgraphics.C (prepareFile): unzip zipped file also if it has
	changed since the last run
	* insetgraphics.C (copyToDirIfNeeded): split into copyToDirIfNeeded
	and copyFileIfNeeded.

2004-04-29  Angus Leeming  <leeming@lyx.org>

	* ExternalTemplate.[Ch]: remove redundant #includes.

2004-04-28  Angus Leeming  <leeming@lyx.org>

	* insettext.C:
	s/updateToolbar()/updateToolbars()/

2004-04-29  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C: require file extension (file format change!)
	* insetgraphics.C (latex): handle zipped files for "nice" export

2004-04-26  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C (latex): strip the extension and replace dots in
	the filename if doing a "nice" export. This is a partial fix for
	bug 1231 without reintroducing bug 655.

2004-04-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetoptarg.h: remove the editable() method (InsetCollapsable
	does it better already)

	* insetbibtex.C (normalize_name): new helper function. Changes the
	name to be suitable to use in a latex file (relative to master
	buffer if necessary).
	(latex): use normalize_name.

2004-04-20  Angus Leeming  <leeming@lyx.org>

	* render_preview.C (startLoading): remove lyxerr statement.
	(draw): cosmetics.
	(getPreviewLoader): new helper function.

2004-04-19  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C:
	* insetinclude.C:
	* render_preview.[Ch]: changes due to changes to LyXRC::preview.

2004-04-19  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C (priv_dispatch): remove unnecessary invocation of
	BufferView::update.
	(add_preview): renamed as add_preview_and_start_loading. Invoke
	RenderPreview::startLoading.

	* insetinclude.C (metrics, draw): changes due to the changed
	RenderPreview interface.

	* render_preview.C: remove cached pimage_.
	(previewReady): removed. Replaced by getPreviewImage(Buffer const &).
	(draw): don't call startLoading. That's up to the user of
	RenderPreview.

2004-04-16  Angus Leeming  <leeming@lyx.org>

	* render_graphic.h (checksum_, hasFileChanged): unused, so removed.

2004-04-13  Angus Leeming  <leeming@lyx.org>

	* render_base.[Ch] (clone): now takes an InsetBase ptr to enable
	the renderer to inform LyX::updateInset that the inset's status
	has changed and it should be redrawn.

	* render_button.[Ch] (clone):
	* render_graphic.[Ch] (c-tors, clone):
	* render_preview.[Ch] (c-tors, clone): ditto.

	* render_graphic.[Ch] (connect):
	* render_preview.[Ch] (connect): removed, as connection is now
	made in the constructors.

	* insetexternal.C:
	* insetgraphics.C:
	* insetinclude.C: ensuing simplification of the client code.
	(statusChanged): now superfluous. Removed.

2004-04-12  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalTemplate.[Ch]: remove editCommand
	* ExternalSupport.C (editExternal): use formats.edit() instead of
	the removed editCommand template parameter
	* insetgraphics.C (priv_dispatch): handle LFUN_GRAPHICS_EDIT
	* insetgraphics.[Ch] (editGraphics): new method

2004-04-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetinclude.C (validate): set/reset features.buffer_ when
	validating the child

2004-04-07  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C (priv_dispatch):
	* insetinclude.C (priv_dispatch): prevent crash by invoking
	InsetOld::priv_dispatch at the end of the switch, rather than
	InsetOld::dispatch...

2004-04-07  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcollapsable.C:
	* insetbranch.C: 'assign' to open/close branch inset according to
	selection; also print content on closed branch button

2004-04-06  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalSupport.C (doSubstitution): add new variables $$AbsPath,
	$$RelPath_Master, $$RelPath_Parent, $$Extension,
	$$AbsOrRelPathMaster and $$AbsOrRelPathParent. Change the meaning
	of $$Basename
	* ExternalSupport.C (updateExternal): use absolute and output
	filename where appropriate

2004-04-05  André Pönitz  <poenitz@gmx.net>

	* insetbase.h: use LCursor & in notifyCursorLeave

2004-04-05  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.C: remove unused header file "lyxrc.h".

	* render_graphic.C: squash bug 1372: Misleading graphics label when
	deactivating lyx view.

2004-04-05  Angus Leeming  <leeming@lyx.org>

	* insetbibitem.C:
	* insetcaption.C:
	* insetgraphics.C:
	* insetlatexaccent.C:
	* insetquotes.C:
	* insettabular.C:
	* insettext.C:
	* updatableinset.C:
	wrap #warning calls inside #ifdef WITH_WARNINGS blocks.

2004-04-02  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetfloat.C (read): fix yesterday's float fix.
	* insetwrap.C (read): apply the fixed float fix.

2004-04-01  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetfloat.C (read): fix reading of float params
	(recognize "type")

2004-03-31  Alfredo Braunstein  <abraunst@lyx.org>

	* insettext.C (edit): comment the call to updateLocal (dangling now)
	* insettext.h: add allowSpellCheck() returning true

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* insetcollapsable.[Ch]: (leaveInset): renaming of getOutOfInset.

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* insetcollapsable.[Ch] (getOutOfInset): new function which pushes
	the cursor out of an inset.

	* insetbranch.C (priv_dispatch):
	* insetcollapsable.C (priv_dispatch): in the LFUN_INSET_TOGGLE code,
	use getOutOfInset to push the cursor out of the inset when
	collapsing it.

2004-03-30  Angus Leeming  <leeming@lyx.org>

	* insetbase.[Ch] (translate): new static member function, returns
	an InsetBase::Code corresponding to the input string.

	* insetcollapsable.C (priv_dispatch): handle LFUN_INSET_TOGGLE.

	* insetbranch.C(priv_dispatch): specialize LFUN_INSET_TOGGLE
	so that it opens the inset if it refers to the currently active
	branch.

2004-03-30  Alfredo Braunstein  <abraunst@lyx.org>

	* insetfloat.C (addToToc): use par_const_iterator_begin and
	par_const_iterator_end.

2004-03-29  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetbibtex.[Ch]: bibtopic support.

	* insetfloat.[Ch]: add param \sideways {true|false}
	(support for sideways floats from rotating.sty).

2004-03-28  Alfredo Braunstein  <abraunst@lyx.org>

	* insettext.[Ch]: add a default ctor. implement const version of
	paragraphs()
	* insetcharstyle.C:
	* insetert.C:
	* insetfloat.C:
	* insetlabel.C:
	* insetwrap.C: adjust

2004-03-28  Alfredo Braunstein  <abraunst@lyx.org>

	* insettext.h: add insetAllowed returning true by default (fixing
	vanishing insets problem)

	* insettext.C (draw): handle the responsability of adding the
	ouside offset to collapsable. Clean code a bit.

	* insetcollapsable.[Ch] (metrics, draw): handle the derivation
	from insettext correctly, solve a couple of off-by-one drawing
	bugs

2004-03-25  Angus Leeming  <leeming@lyx.org>

	* insetcaption.C (draw): squash warning about unused variable.

2004-03-19  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* ExternalSupport.C: use the master buffer's temp dir
	* insetgraphics.C (latex): make relative filename relative to the
	master file
	* insetgraphics.C: use the master buffer's temp dir
	* insetinclude.C (masterFilename): new function
	* insetinclude.C (linuxdoc, docbook): simplify logic (IsLyXFilename()
	is always true if loadIfNeeded() returns true)

2003-02-10  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetinclude.C (loadIfNeeded): when the child buffer is loaded,
	set its parent to the current buffer.
	(latex): use the tmppath of the master buffer, not just the parent
	buffer (makes a difference with more than one level of include
	insets). If the file name is relative write in the .tex file a
	name relative to the master buffer directory.

	* insetinclude.C: rename masterFilename to parentFilename (this
	points to the direct parent)

2004-03-25  André Pönitz  <poenitz@gmx.net>

	* inset.[Ch]: remover owner

	* insetcollapsable.[Ch]: derive from InsetText instead having such a
	member

	* insettext.[Ch]:
	* insetbibitem.C:
	* insetbox.C:
	* insetbranch.C:
	* insetcaption.C:
	* insetcharstyle.[Ch]:
	* insetert.C:
	* insetfloat.C:
	* insetfoot.C:
	* insetmarginal.C:
	* insetnote.C:
	* insetoptarg.C:
	* insettabular.C:
	* insetwrap.C: adjust

2004-03-16  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetquote.C: use opening quote after '[' char.

2004-03-09  Alfredo Braunstein  <abraunst@lyx.org>

	* insetcollapsable.[Ch] (metrics, draw): implemented an inlined-Open
	submode.

2004-03-07  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcite.[Ch]: support jurabib.

2004-03-05  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetcite.C: Support second \cite option.

	* insetcommand.[Ch]:
	* insetcommandparams.[Ch]: add second optional argument.

2004-03-03  Alfredo Braunstein  <abraunst@lyx.org>

	* insetcollapsable.C (lfunMouseRelease): right mouse button only
	shows the inset dialog.

2004-02-27  Alfredo Braunstein  <abraunst@lyx.org>

	* insetlabel.[Ch]: remove them
	* Makefile.am: adjust

2004-02-21  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetexternal.C, insetgraphics.C, insetinclude.C: use always a
	temp dir
	* insetinclude.C (latex): show a GUI warning if textclasses don't
	match
	* insetinclude.C: use mangledFilename() for temp files
	* insetgraphics.C (readInsetGraphics): remove version check, since
	the graphics inset has no own fileformat number anymore

2004-02-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetquotes.[Ch]: added new member that allows direct access
	to single/double quotation marks.
	* insetnewline.[Ch]:
	* insethfill.[Ch]: treat as space (i.e. opening quotes follow)

2004-02-16  André Pönitz  <poenitz@gmx.net>

	* insetbase.C:
	* insetbase.[Ch]: remove explicit 'DispatchResult' return type and
	  implicitly assume 'DispatchResult(true, true) with exception of
	  InsetBase::priv_dispatch which does the equivalent of
	  'retrun DispatchResult(false)'

	* inset*.[Ch] (priv_dispatch): adjust

	* insettabular.[Ch]: remove remains of the 'update' mechanism,
	  simplify cursor moving function,
	  re-enable horizontal scrolling for large tables

2004-02-13  André Pönitz  <poenitz@gmx.net>

	* insettabular.[Ch]: some work after IU

2004-02-06  Alfredo Braunstein  <abraunst@lyx.org>

	* inset.C (setPosCache): switch to absolute coords in insets
	* insettext.[Ch] (draw, drawFrame): adjust
	* insetcollapsable.C (draw): adjust
	(edit): adjust

2004-02-04  Alfredo Braunstein  <abraunst@lyx.org>

	* insettext.C (edit):
	(updateLocal): use the cur argument instead of the global cursor
	* insetcollapsable.C (edit): dont call inset.edit(x,y) when opening

2004-02-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetlatexaccent.C (checkContents): "c" -> 'c' in calls to contains

	* insetfloat.C (validate): "H" -> 'H' in call to contains

	* insetcite.C (getBasicLabel): "," -> ',' in calls to contains

2004-01-30  André Pönitz  <poenitz@gmx.net>
	* inset.[Ch]:
	* insetbase.[Ch]:
	* insetcharstyle.C:
	* insetcollapsable.[Ch]:
	* insetcommand.C:
	* insetexternal.C:
	* insetgraphics.[Ch]:
	* insetinclude.C:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* insetvspace.C:
	* updatableinset.[Ch]: adjust coordinate handling to 'screen absolute'
	 coordinate

2004-01-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettabular.C: add using statement for std::vector, remove
	std:: where using was already used.

2004-01-19  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetgraphics.C, insetinclude.C: use runparams.nice instead of
	buffer->niceFile()
	* insetinclude.C (validate): use feautures.nice() instead of
	buffer->niceFile()

2004-01-20  André Pönitz  <poenitz@gmx.net>

	* inset.h:
	* insetbase.[Ch]: move stuff from mathcursor here.

	* insetbibitem.[Ch]:
	* insetbibtex.[Ch]:
	* insetbox.[Ch]:
	* insetbranch.[Ch]:
	* insetcharstyle.[Ch]:
	* insetcollapsable.[Ch]:
	* insetcommand.[Ch]:
	* insetert.[Ch]:
	* insetexternal.[Ch]:
	* insetfloat.[Ch]:
	* insetgraphics.[Ch]:
	* insetinclude.[Ch]:
	* insetlabel.[Ch]:
	* insetnote.[Ch]:
	* insetref.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* insetvspace.[Ch]:
	* insetwrap.[Ch]:
	* updatableinset.[Ch]: Adjust to IU changes (see comment in
	src/Changelog)

2004-01-15  André Pönitz  <poenitz@gmx.net>

	* insetbase.[Ch]:
	* insetbibitem.[Ch]:
	* insetbibtex.[Ch]:
	* insetbox.[Ch]:
	* insetbranch.[Ch]:
	* insetcharstyle.[Ch]:
	* insetcollapsable.[Ch]:
	* insetcommand.[Ch]:
	* insetert.[Ch]:
	* insetexternal.[Ch]:
	* insetfloat.[Ch]:
	* insetgraphics.[Ch]:
	* insetinclude.[Ch]:
	* insetlabel.[Ch]:
	* insetnote.[Ch]:
	* insetref.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* insetvspace.[Ch]:
	* insetwrap.[Ch]:
	* updatableinset.[Ch] (priv_dispatch et al): change signature.

2004-01-08  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* updatableinset.h: use cell index info from global cursor.

2004-01-06  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetnote.C (InsetNoteParams::write): write label only once

2004-01-05  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetbranch.C (isBranchSelected): use the BranchNamesEqual
	functor
	get rid of the SameName functor

	* insettabular.C: improve the functor.

2003-12-29  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C (setParams): update defaultTemplateName.

2003-12-22  Michael Schmitt  <michael.schmitt@teststep.org>

	* insetbox.C: Use term "Box" in button label

2003-12-16  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcharstyle.C: get getDrawFont working again

2003-12-15  André Pönitz  <poenitz@gmx.net>

	* insettabular.[Ch]:
	* insettext.C: adjust to changed name in CursorItem -> CursorSlice

2003-12-12  Angus Leeming  <leeming@lyx.org>

	* insetbranch.C (c-tor): takes an InsetBranchParams arg rather than
	a string.
	(InsetBranchParams): remove the branchlist hack.
	(isBranchSelected): new function, used to decide whether to
	print each output format. Also used by InsetList.
	(read, string2params): repair my own breakage ;-)

2003-12-14  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetminipage.[Ch]: remove from repository.

2003-12-12  Michael Schmitt  <michael.schmitt@teststep.org>

	* insetert.[Ch]:
	* insetcollapsable.[Ch]: Move all CollapseStatus code from
	insetert to insetcollapsable; introduce virtual function
	setButtonLabel and invoke it from collapsable

2003-12-12  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C (draw): cache x,y and so enable the
	dialog to be opened.

2003-12-12  Angus Leeming  <leeming@lyx.org>

	* mailinset.C (print_mailer_error): tidy up the output.

2003-12-11  Angus Leeming  <leeming@lyx.org>

	* mailinset.[Ch] (print_mailer_error): new helper function.

	* insetcommand.[Ch]: add a mailer_name_ variable and use it when
	calling InsetCommandMailer.
	(InsetCommandMailer::string2params): pass the name of the dialog.

	* insetbibitem.[Ch] (d-tor):
	* insetbibtex.[Ch] (d-tor):
	* insetcite.[Ch] (d-tor):
	* insetfloatlist.[Ch] (d-tor):
	* insetindex.[Ch] (d-tor):
	* insetlabel.[Ch] (d-tor):
	* insetref.[Ch] (d-tor):
	* insettoc.[Ch] (d-tor):
	* inseturl.[Ch] (d-tor): removed.
	Hiding the dialog is handled by InsetCommand.

	* insetbibtex.[Ch] (draw, metrics):
	* insetfloatlist.[Ch] (draw, metrics):
	* insetindex.[Ch] (draw, metrics): removed.
	Drawing is handled by InsetCommand.

	* insetbibitem.[Ch] (priv_dispatch):
	* insetbibtex.[Ch] (priv_dispatch):
	* insetcite.[Ch] (priv_dispatch):
	* insetfloatlist.[Ch] (priv_dispatch):
	* insetindex.[Ch] (priv_dispatch):
	* insetlabel.[Ch] (priv_dispatch):
	* insettoc.[Ch] (priv_dispatch):
	* inseturl.[Ch] (priv_dispatch): removed or simplified.
	let InsetCommand handle LFUN_MOUSE_PRESS, LFUN_MOUSE_RELEASE,
	LFUN_INSET_DIALOG_SHOW.

	* insetbox.C (string2params):
	* insetbranch.C (string2params):
	* insetert.C (string2params):
	* insetexternal.C (string2params):
	* insetfloat.C (string2params):
	* insetinclude.C (string2params):
	* insetminipage.C (string2params):
	* insetnote.C (string2params):
	* insetvspace.C (string2params):
	* insetwrap.C (string2params): over-hauled.

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* insetexternal.[Ch]: add a draft option and respect it when
	outputting LaTeX.

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* insetbox.C: (read, write): now prepend the inset contents with
	'Box' to identify the inset as a box inset.

	* insetbox.h: move the translators out of sight.

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* insetert.C (string2params): clean-up using the new lyxlex interface.

	* insetexternal.C: ensure that InsetExternalParams has a default
	template, 'RasterImage'.

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* insetnote.[Ch]: change the storage type of InsetNoteParams::type
	to an enum. Ensuing clean-ups through out the class.
	(read, write): now prepend the inset contents with 'Note' to identify
	the inset as a note inset.

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* insetbranch.[Ch]: changes to the InsetBranchMailer interface.
	* insetnote.[Ch]: changes to the InsetNoteMailer interface.

2003-12-10  André Pönitz  <poenitz@gmx.net>

	* inset.h:
	* insetert.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]: remove unused insetInset()

	* insetert.C: disable some  LFUNs

	* insettoc.[Ch]: metrics() and draw() of InsetButton is enough.

2003-12-04  Martin Vermeer  <martin.vermee@hut.fi>

	* insetcharstyle.[Ch]: Conglomerate-style CharStyles

2003-12-04  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C (draw): update the xo_, yo_ cache.

	* ExternalTransforms.[Ch] (ResizeData): add a usingScale member
	function.
	(RotationDataType): new helper struct wrapping the
	RotationData::OriginType enum.

2003-12-03  André Pönitz  <poenitz@gmx.net>

	* inset.h: remove getParagraphs()

	* insetcollapsable.[Ch]:
	* insetert.[Ch]:
	* insetnote.[Ch]:
	* insettabular.[Ch]:
	* insettext.C: use getText()  instead of getParagraphs()

2003-12-03  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetert.C: fix label text updating bug

2003-12-02  Angus Leeming  <leeming@lyx.org>

	* insetvspace.[Ch] (space): new member function. Make space_ private.
	(read): use the new, simpler lyxlex syntax.

2003-12-01  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.[Ch]:
	* insetert.[Ch]: move 'inline' state to InsetCollapsable

2003-12-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* insetvspace.C (read): handle 'end_inset' token.

2003-12-01  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcharstyle.[Ch]: add latexparam to CharStyle inset

2003-12-01  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcollapsable.[Ch]:
	* insetert.[Ch]:
	* insetcharstyle.C: place inset content on the button when
	collapsed.

2003-12-01  Michael Schmitt  <michael.schmitt@teststep.org>

	* insetvspace.C: remove VSpace::NONE; increase inset width

2003-12-01  André Pönitz  <poenitz@gmx.net>

	* insetbase.h: whitespace

	* inset.[Ch]: remove latexTextWidth
	make setBackgroundColor virtual

	* insettext.[Ch]:  move ParagraphList member to LyXText

	* insetcollapsable.[Ch]: handle LFUN_INSET_TOGGLE

	* insetcharstyle.C:
	* insetenv.C:
	* insetert.[Ch]:
	* insetfloat.[Ch]:
	* insetminipage.[Ch]:
	* insettabular.C:
	* insetwrap.[Ch]: adjust paragraphs and background color handling,

2003-11-28  Angus Leeming  <leeming@lyx.org>

	* insetvspace.[Ch] (d-tor, priv_dispatch): new member functions,
	hiding and showing the dialog respectively.
	(priv_dispatch): also actually update the inset contents.

2003-11-28  Angus Leeming  <leeming@lyx.org>

	* insetbox.C (d-tor):
	* insetbranch.C (d-tor):
	* insetcite.C (d-tor):
	* insetfloat.C (d-tor):
	* insetfloatlist.C (d-tor):
	* insetinclude.C (d-tor):
	* insetindex.C (d-tor):
	simplify the invocation of the Mailer::hideDialog() function.

	* insetminipage.C (showInsetDialog):
	simplify the invocation of the Mailer::showialog() function.

2003-11-28  André Pönitz  <poenitz@gmx.net>

	* Makefile.am:
	* insetvspace.[Ch]: new insets

2003-11-28  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcharstyle.C: Syntax change for CharStyles

2003-11-28  André Pönitz  <poenitz@gmx.net>

	* updatableinset.h: remove insetInInsetY

	* insetcollapsable.[Ch]:
	* insetnewline.C:
	* insettabular.[Ch]:
	* insettext.[Ch]: adjust

2003-11-27  Alfredo Braunstein  <abraunst@lyx.org>

	* insettext.[Ch]:
	* inset.[Ch]:
	* insetcollapsable.[Ch]:
	* insetert.[Ch]:
	* insettabular.[Ch]: remove setFont

2003-11-25  Alfredo Braunstein  <abraunst@lyx.org>

	* render_graphic.[Ch]: adjust comments

2003-11-24  Alfredo Braunstein  <abraunst@lyx.org>

	* insetgraphics.C (draw): cache xo_ & yo_

2003-11-24  André Pönitz  <poenitz@gmx.net>

	* insettext.C (setViewCache): don't call LyXText::init() anymore

2003-11-21  Michael Schmitt  <michael.schmitt@teststep.org>

	* inset.h:
	* insetcollapsable.[Ch]:
	* insetert.[Ch]: remove bufferview parameter in methods
	open, close, status, and updateStatus.

2003-11-21  Michael Schmitt  <michael.schmitt@teststep.org>

	* insetcollapsable.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch] (getCursorDim): squash unused variable

2003-11-21  Alfredo Braunstein  <abraunst@lyx.org>

	* insettext.C (edit): x0_,y0_ -> xo_,yo_

2003-11-20  Alfredo Braunstein  <abraunst@lyx.org>

	* insettext.C (draw): sets LyXText absolute coordinates

2003-11-20  Angus Leeming  <leeming@lyx.org>

	* insetcharstyle.C (latex, linuxdoc, docbook, plaintext): squash
	warnings about unused parameters.

	* insetcollapsable.C (open):
	* insettabular.C (pasteSelection):
	* insettoc.C (draw): ditto.

2003-11-17  Alfredo Braunstein  <abraunst@lyx.org>

	* insetcollapsable.C:
	* insettext.C:
	* insettext.h: hand on MOUSE_* events to the LyXText when appropriate
	remove mouse_x mouse_y etc.

2003-11-17  André Pönitz  <poenitz@gmx.net>

	* insettext.[Ch] (cx, cy): remove

	* insettext.[Ch] (dispatch): move most of it to LyXText::dispatch

2003-11-13  André Pönitz  <poenitz@gmx.net>

	* inset.h:
	* insetcollapsable.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch] (deleteLyXText): remove

2003-11-13  Alfredo Braunstein  <abraunst@lyx.org>

	* insetcollapsable.[Ch] (fitInsetCursor): remove
	* insettabular.[Ch] (fitInsetCursor): remove
	* insettext.[Ch] (fitInsetCursor): remove
	* updatableinset.[Ch] (fitInsetCursor): remove
	(getCursorDIm): add virtual

2003-11-12  Martin Vermeer  <martin.vermeer@hut.fi>

	* src/insets/Makefile.am:
	* src/insets/inset.h:
	* src/insets/insetcharstyle.C:
	* src/insets/insetcharstyle.h: The Character Style /XML short
	element patch.

2003-11-11  Alfredo Braunstein  <abraunst@lyx.org>

	* insettext.C: remove all update calls
	* insetcollapsable.C: remove all update calls

2003-11-11  Alfredo Braunstein  <abraunst@libero.it>

	* insettext.C (updateLocal, insertInset, setFont): remove
	fitCursor calls

2003-11-10  André Pönitz  <poenitz@gmx.net>

	* inset.h: remove Inset::id_

	* inset.h: top_x -> xo_, top_baseline -> yo_ to unify with
	mathed/*.[Ch]

	* *.[Ch]: adjust

2003-11-10  André Pönitz  <poenitz@gmx.net>

	* inset.[Ch]:
	* insetbox.[Ch]:
	* insetcollapsable.[Ch]:
	* insetert.C:
	* insetfloat.C:
	* insetminipage.C:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* insetwrap.C:
	* updatableinset.[Ch]: remove inset locking & adjust

2003-11-07  Alfredo Braunstein  <abraunst@libero.it>

	* inset.h (allowSpellCheck): add (return true)
	* insetert.h (allowSpellCheck): add (return false)

2003-11-05  José Matos  <jamatos@lyx.org>

	* inset.h:
	* insetbibtex.[Ch]:
	* insetbox.[Ch]:
	* insetbranch.[Ch]:
	* insetcaption.[Ch]:
	* insetcite.[Ch]:
	* insetcollapsable.[Ch]:
	* insetcommand.[Ch]:
	* insetenv.[Ch]:
	* insetert.[Ch]:
	* insetexternal.[Ch]:
	* insetfloat.[Ch]:
	* insetfloatlist.[Ch]:
	* insetfoot.[Ch]:
	* insetgraphics.[Ch]:
	* insethfill.[Ch]:
	* insetinclude.[Ch]:
	* insetindex.[Ch]:
	* insetlabel.[Ch]:
	* insetlatexaccent.[Ch]:
	* insetline.[Ch]:
	* insetlist.[Ch]:
	* insetmarginal.[Ch]:
	* insetminipage.[Ch]:
	* insetnewline.[Ch]:
	* insetnote.[Ch]:
	* insetoptarg.[Ch]:
	* insetpagebreak.[Ch]:
	* insetquotes.[Ch]:
	* insetref.[Ch]:
	* insetspace.[Ch]:
	* insetspecialchar.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* insettheorem.[Ch]:
	* insettoc.[Ch]:
	* inseturl.[Ch]:
	* insetwrap.[Ch]: rename ascii to plaintext
	and LatexRunParams to OutputParams.

2003-11-05  Alfredo Braunstein  <abraunst@libero.it>

	* insetcollapsable.C (edit): add open() all
	* insettext.C (edit): add setViewCache call

2003-11-04  André Pönitz  <poenitz@gmx.net>

	* inset.h (edit): move locking code from dispatch() to edit()

	* insetbase.[Ch]:
	* insetbibitem.C:
	* insetbranch.[Ch]:
	* insetcite.[Ch]:
	* insetcollapsable.[Ch]:
	* insetcommand.C:
	* insetert.[Ch]:
	* insetexternal.[Ch]:
	* insetgraphics.[Ch]:
	* insetindex.[Ch]:
	* insetlabel.C:
	* insetnote.[Ch]:
	* insetref.C:
	* insettabular.[Ch]:
	* insettext.[Ch]: adjust

2003-11-04  Alfredo Braunstein  <abraunst@libero.it>

	* inset.h:
	* insetcollapsable.[Ch]:
	* insetert.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* updatableinset.[Ch]: remove dead search code

2003-11-04  Alfredo Braunstein  <abraunst@libero.it>

	* inset.h:
	* insetcollapsable.[Ch]:
	* insetert.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* updatableinset.[Ch]: remove dead spellcheck code

2003-11-04  Alfredo Braunstein  <abraunst@libero.it>

	* insettabular.C (lockInsetInInset): small fix

2003-11-04  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (priv_dispatch): some DispatchResult type cleanup,
	don't handle LFUN_UNKNOWN_ACTION, don't call BufferView::dispatch
	from here. Be stricter on DispatchResult returned.

2003-11-03  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Inset::dispatch's: adjust for new DispatchResult semantics.

2003-11-03  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* render_base.h: make clone return an auto_ptr
	* render_button.C (clone): adjust
	* render_graphic.C (clone): adjust
	* render_preview.C (clone): adjust

	* insettheorem.C (clone): return an auto_ptr

	* insettext.C (priv_dispatch): exception safety

	* insettabular.C: store the file scope variable paste_tabular in a
	scoped_ptr, adjust usage.

	* insetexternal.C (setParams): exception safety

	* insetbibitem.C (clone): exception safety

2003-11-03  André Pönitz  <poenitz@gmx.net>

	* inset.[Ch]:
	* insetcollapsable.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]: remove Inset::id and related functions

2003-11-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insets: adjust for DispatchResult changes.

2003-11-01  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetpagebreak.C: fix screen representation & ascii output.

2003-11-01  Alfredo Braunstein  <abraunst@libero.it>

	* inset.[Ch]:
	* insettext.[Ch]:
	* insettabular.[Ch]:
	* insetcollapsable.[Ch]: bool haveParagraphs() -> int numParagraphs()

2003-10-31  José Matos  <jamatos@lyx.org>

	* inset.h (ascii, linuxdoc, docbook):
	* insetbox.[Ch] (ascii, linuxdoc, docbook):
	* insetbranch.[Ch] (ascii, linuxdoc, docbook):
	* insetcaption.[Ch] (ascii, docbook):
	* insetcollapsable.[Ch] (ascii, linuxdoc, docbook):
	* insetcommand.[Ch] (ascii, linuxdoc, docbook):
	* insetert.[Ch] (ascii, linuxdoc, docbook):
	* insetexternal.[Ch] (ascii, linuxdoc, docbook):
	* insetfloat.[Ch] (linuxdoc, docbook):
	* insetfloatlist.[Ch] (ascii):
	* insetfoot.[Ch] (docbook):
	* insetgraphics.[Ch] (ascii, linuxdoc, docbook):
	* insethfill.[Ch] (ascii, linuxdoc, docbook):
	* insetinclude.[Ch] (ascii, linuxdoc, docbook):
	* insetindex.[Ch] (docbook):
	* insetlabel.[Ch] (ascii, linuxdoc, docbook):
	* insetlatexaccent.[Ch] (ascii, linuxdoc, docbook):
	* insetline.[Ch] (ascii, linuxdoc, docbook):
	* insetnewline.[Ch] (ascii, linuxdoc, docbook):
	* insetnote.[Ch] (ascii, linuxdoc, docbook):
	* insetpagebreak.[Ch] (ascii, linuxdoc, docbook):
	* insetquotes.[Ch] (ascii, linuxdoc, docbook):
	* insetref.[Ch] (ascii, linuxdoc, docbook):
	* insetspace.[Ch] (ascii, linuxdoc, docbook):
	* insetspecialchar.[Ch] (ascii, linuxdoc, docbook):
	* insetspecialchar.[Ch] (ascii, linuxdoc, docbook):
	* insettext.[Ch] (ascii, linuxdoc, docbook):
	* insettoc.[Ch] (ascii, linuxdoc, docbook):
	* inseturl.[Ch] (ascii, linuxdoc, docbook):
	* insetwrap.[Ch] (docbook):
	add LatexRunParams argument.

2003-10-30  José Matos  <jamatos@lyx.org>

	* insettext.C (linuxdoc, docbook): use new pagraph generation code.

2003-10-29  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* updatableinset.C (priv_dispatch):
	* insetwrap.C (priv_dispatch):
	* inseturl.C (priv_dispatch):
	* insettoc.C (priv_dispatch):
	* insettext.C (lfunMouseRelease, priv_dispatch, moveRightIntern)
	(moveLeftIntern, moveUp, moveDown):
	* insettabular.C (lfunMouseRelease, priv_dispatch, moveRight)
	(moveLeft, moveUp, moveDown):
	* insetref.C (priv_dispatch):
	* insetnote.C (priv_dispatch):
	* insetminipage.C (priv_dispatch):
	* insetlabel.C (priv_dispatch):
	* insetindex.C (priv_dispatch):
	* insetinclude.C (priv_dispatch):
	* insetgraphics.C (priv_dispatch):
	* insetfloatlist.C (priv_dispatch):
	* insetfloat.C (priv_dispatch):
	* insetexternal.C (priv_dispatch):
	* insetert.C (priv_dispatch):
	* insetcommand.C (priv_dispatch):
	* insetcollapsable.C (lfunMouseRelease, priv_dispatch):
	* insetcite.C (priv_dispatch):
	* insetbranch.C (priv_dispatch):
	* insetbox.C (priv_dispatch):
	* insetbibtex.C (priv_dispatch):
	* insetbibitem.C (priv_dispatch):
	* insetbase.C (priv_dispatch): explict DispatchResult ctor fallout.

2003-10-29  Martin Vermeer  <martin.vermeer@hut.fi>

    * insettext.C: small refactoring of docbook stuff

2003-10-29  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (lfunMouseRelease): dont use implicit conversion to bool
	(priv_dispatch): adjust for operator dispatch_result_t removal

	* insettabular.C (lfunMouseRelease): put the result of a dispatch
	in a DispatchResult, adjust accordingly.
	(priv_dispatch): use strange >= construct... (will be removed later)

	* most insets: dispatch_result -> DispatchResult

	* insetbase.h: move DispatchResult out to dispatchresult.h

2003-10-27  André Pönitz  <poenitz@gmx.net>

	* insetpagebreak.[Ch]: new inset for page breaks

	* insetline.[Ch]: new inset for vertical lines

	* Makefile.am:
	* inset.h: adjust

2003-10-25  Angus Leeming  <leeming@lyx.org>

	* render_base.h (asButton, asGraphic, asPreview, asMonitoredPreview):
	new virtual member functions, specialised...
	* render_button.h (asButton):
	* render_graphic.h (asGraphic):
	* render_preview.h (asPreview, asMonitoredPreview): ... here.

	* insetexternal.C: use these new functions rather than dynamic_cast.
	Various other small simplifications.

2003-10-22  Angus Leeming  <leeming@lyx.org>

	* insetexternal.[Ch]: add the ability to 'preview' the external file
	if so desired.

	* insetinclude.C: changes due to the changes in the RenderPreview
	interface.

	* render_preview.[Ch]: Lots of small changes. Display a diagnostic
	message if the preview image is not available. Only initiate the
	loading of the preview from draw(). Ditto, start the monitoring
	of an external file from RenderMonitoredPreview::draw.

2003-10-22  Angus Leeming  <leeming@lyx.org>

	* insetcite.[Ch] (setLoadingBuffer): removed.
	(getNatbibLabel): use the new Buffer::fully_loaded member function to
	ascertain whether to proceed with the (expensive) task of computing
	the natbib-style label. Remove the home-grown hack providing
	similar functionality.

2003-10-22  Angus Leeming  <leeming@lyx.org>

	* render_graphic.[Ch] (statusMessage, readyToDisplay): move out of the
	class and into an anonymous namespace.

2003-10-22  Angus Leeming  <leeming@lyx.org>

	* insetcommand.h: remove the display method.

	* insetbibtex.h:
	* insetfloatlist.h:
	* insetindex.h (InsetPrintIndex):
	* insettoc.h: add a display method, returning true.

2003-10-21  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcollapsable.h:
	* insetcommand.h:
	* insetfloat.h:
	* insetfootlike.h:
	* insetinclude.h: (1) finish off the inset display() work;
	(2) fix the "is a bit silly" bug (accessing char
	past end of par).

2003-10-20  Martin Vermeer  <martin.vermeer@hut.fi>

	* inset.h:
	* insetfloat.h:
	* insetfootlike.h: re-introduce display() for insets,
	fixing the various bugs (stretch of line above, math inset
	positioning, ...)

2003-10-17  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetbase.C (dispatch): new func
	(priv_dispatch): new func replaces...
	(localDispatch): this, deleted.

	* all insets with dispatch modified for new code.

2003-10-15  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.[Ch]
	* insettabular.[Ch]
	* inset.h: re-add some edit(bv, index) method called by undo

2003-10-14  Angus Leeming  <leeming@lyx.org>

	* insetexternal.[Ch] (view, cache, view_):
	* insetgraphics.[Ch] (view, cache, view_):
	* insetinclude.[Ch] (view, cache, view_): remove the BufferView cache.
	(statusChanged): call LyX::cref().updateInset.

	* insetinclude.C (fileChanged): use LyX::cref().updateInset rather than
	the BufferView cache.

	* insetlabel.h: remove #include <boost/weak_ptr.hpp>. Cruft from an
	earlier clean-up.

2003-10-14  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C (metrics, draw): only draw the preview when previews
	are activated.

2003-10-14  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* inset.h: getText() as alternative to getParagraphs()

2003-10-13  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C:
	* insetgraphicsParams.C: displayTranslator is now a function.

2003-10-13  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C: remove #include "PreviewImage.h".

2003-10-13  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* ExternalSupport.C:
	* ExternalTransforms.C:
	* insetbox.C:
	* insetbox.h: ws changes only

2003-10-13  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetinclude.C (localDispatch): do not call
	InsetOld::localDispatch, just return UNDISPATCHED
	* insetgraphics.C (localDispatch): ditto
	* insetcommand.C (localDispatch): ditto

2003-10-13  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* inset.h: get rid of RESULT typedef for dispatch_result

	* insetcollapsable.[Ch] (localDispatch): RESULT -> dispatch_result
	* insetert.[Ch] (localDispatch): ditto
	* insettabular.[Ch] (localDispatch): ditto
	(moveRight): ditto
	(moveLeft): ditto
	(moveUp): ditto
	(moveDown): ditto
	* insettext.[Ch] (localDispatch): ditto
	(moveRight): ditto
	(moveLeft): ditto
	(moveRightIntern): ditto
	(moveLeftIntern): ditto
	(moveUp): ditto
	(moveDown): ditto
	* updatableinset.[Ch] (localDispatch): ditto

2003-10-12  Angus Leeming  <leeming@lyx.org>

	* renderbase.h (view, view_): removed.
	* renderbase.C: removed.
	* Makefile.am: remove render_base.C. The shortest lived file in
	history?

	* renderbutton.C (draw):
	* render_graphic.C (draw): don't cache the BufferView.

	* insetabase.h (cache, view): removed.

	* inset.h (generatePreview) removed.

	* insetcallapsable.[Ch] (cache, view, view_): removed.

	* insetcollapsable.C (draw): don't cache the BufferView.

	* insetcommand.[Ch] (view): removed.

	* insetexternal.[Ch] (cache, view, view_):
	* insetgraphics.[Ch] (cache, view, view_):
	* insetinclude.[Ch] (cache, view, view_): added. Cache the BufferView.

	* insetlabel.C: small clean-up. Don't use the BufferView cache, view(),
	when you have direct access to it. In fact, don't use the cache at all.

2003-10-10  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C (metrics): use preview_->metrics.
	(draw): use preview_->draw.

	* render_preview.[Ch] (pimage): removed.

2003-10-10  Angus Leeming  <leeming@lyx.org>

	* renderers.[Ch]: removed.

	* render_base.[Ch]:
	* render_button.[Ch]:
	* render_graphic.[Ch]:
	* render_preview.[Ch]: new files. The first three are split out of
	renderers.[Ch]. The last one is a renamed PreviewedInset.[Ch]. which
	contains a re-worked InsetInclude::PreviewImpl also.

	* Makefile.am: reflect the changed files.

	* insetcommand.h:
	* insetexternal.[Ch]:
	* insetgraphics.[Ch]: trivial changes ButtonRenderer -> RenderButton, etc.

	* insetinclude.[Ch]: changes reflecting the change from
	InsetInclude::PreviewImpl to RenderMonitoredPreview.

	* insethfill.C:
	* insetindex.C:
	* insetlabel.C:
	* insettoc.C:
	* inseturl.C: add #include "support/std_ostream.h"

2003-10-09  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C (metrics, draw): no longer need to pass a Buffer arg
	to PreviewedInset::previewReady.

2003-10-09  Angus Leeming  <leeming@lyx.org>

	* insetexternal.[Ch] (statusChanged):
	* insetgraphics.[Ch] (statusChanged): make a const member function.

	* insetinclude.[Ch]: mods to PreviewImpl due to the changes to
	PreviewedInset.

2003-10-09  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C (metrics, draw, restartLoading): pass a buffer arg
	to PreviewedInset's previewReady and removePreview member functions.

2003-10-08  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.C:
	* insettext.[Ch]: saner 'init' structure

	* updatableinset.[Ch]: remove unneeded code

2003-10-08  Angus Leeming  <leeming@lyx.org>

	Fix doxygen warnings.

	* insetbox.h (localDispatch): remove prefix InsetBox:: from declaration.
	* insetnote.h (localDispatch): remove prefix InsetNote:: from declaration.

2003-10-07  Angus Leeming  <leeming@lyx.org>

	* ExternalTransforms.[Ch]: new files, detailing transforms that can
	be applied to InsetExternal.

	* Makefile.am: add these new files.

	* ExternalTemplate.[Ch]: add a list of available transforms to
	class Template and a list of factory functions for transformer classes
	that can act on this data to class Format.

	* insetexternal.[Ch]: add transform data to InsetExternal::Params.

	* ExternalSupport.C: Add code to replace transform placeholders
	with appropriate output.

2003-10-07  Angus Leeming  <leeming@lyx.org>

	* ExternalSupport.[Ch]: new files, moving the private member functions
	and namespace anon functions out of insetexternal.C to here, so making
	it easier to understand what is going on in insetexternal itself.

	* Makefile.am: add new files.

	* insetexternal.[Ch]: InsetExternal::Params -> InsetExternalParams,
	allowing the class to be forward declared. (Also consistent with
	all other Params classes.)
	(write): moved out of the class. Move this function and those in
	namespace anon to ExternalSupport.[Ch].

2003-10-07  Angus Leeming  <leeming@lyx.org>

	* ExternalTemplate.[Ch] (TemplateManager::getTemplates): remove
	non-const member function.

2003-10-07  Martin Vermeer  <martin.vermeer@hut.fi>

	* Makefile.am:
	* inset.h:
	* insetbox.C:
	* insetbox.h: The Box patch. Fancybox support, minipage, parbox

2003-10-02  André Pönitz  <poenitz@gmx.net>

	* insettext.C (read): make sure there is at least one par
	  in the text after reading.

2003-10-01  José Matos  <jamatos@lyx.org>

	* insetbranch.C (linuxdoc, docbook): minor fix.

2003-10-01  Angus Leeming  <leeming@lyx.org>

	* ExternalTemplace.[Ch]: introduce namespace lyx::external.

	* insetexternal.[Ch]: changes due to the introduction of
	namespace lyx::external.

2003-09-30  Angus Leeming  <leeming@lyx.org>

	* insetexternal.[Ch] (Params::read, write): new member functions.

2003-09-25  Angus Leeming  <leeming@lyx.org>

	* insetexternal.[Ch] (TempName): new (private) nested struct with
	fake copy semantics. Enables us to use the generated copy c-tor
	in the Params struct.
	(Params::templatename, Params::tempname): use accessor functions.

2003-09-25  Angus Leeming  <leeming@lyx.org>

	* ExternalTemplate.[Ch] (getTemplateByName): now it's a const member
	function, returning a const pointer.

2003-09-23  Angus Leeming  <leeming@lyx.org>

	* ExternalTemplate.[Ch]: can have multiple preamble snippets if we
	store them in a vector, preambleNames.

	* insetexternal.C (validate): loop over all preambleNames and call
	LaTeXFeatures::addExternalPreamble with each.

2003-09-22  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetbranch.C: bug fix in branches

2003-09-22  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetnote.C: small clean-up.

2003-09-19  Angus Leeming  <leeming@lyx.org>

	* inset.h (generatePreview): passed a 'Buffer const &' arg.

	* insetcommand.C (string2params): clear params using the default c-tor.

	* insetinclude[Ch]: get rid of the masterFilename_ parameter in
	InsetInclude::Params. No more data in this struct than in
	InsetCommandParams, so get rid of it and use InsetCommandParams instead.
	(c-tor): no need to pass a 'Buffer const &' arg anymore.
	(clone): remove #warning as it's now redundant.
	(set): add a 'Buffer const &' arg. Make private.
	(loadIfNeeded) move out of the class definition and into namespace anon.
	(getMasterFilename, getFileName): ditto.

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* insetcommand.C (setParams): use the params' copy constructor.

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* insetinsetbase.h (getLabelList):
	* insetinsetcollapsable.[Ch] (getLabelList):
	* insetinsetinclude.[Ch] (getLabelList):
	* insetinsetlabel.[Ch] (getLabelList):
	* insetinsettabular.[Ch] (getLabelList):
	* insetinsettext.[Ch] (getLabelList): receive a Buffer const & arg.
	* insetinsetinclude.[Ch] (fillWithBibKeys): ditto.

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* insetinclude.[Ch]: remove Params::operator==, operator!= as they're
	redundant baggage from yesteryear.
	Remove Params::flag as it is redundant; the info is present in
	getCmdName.

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C (latexString): add a Buffer const & arg.

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* inset.C:
	* inset.h:
	* insettext.C:
	* insettext.h: rename EnumLColor as LColor_color.

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* inset.h: add the InsetOld::Code wrapper class InsetOld_code.
	* insetbase.h: add the dispatch_result wrapper class DispatchResult.

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C (localDispatch): ensure that
	params_.masterFilename_ is set before trying to generate a
	preview, else we trigger an assert.

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C (PreviewImpl::parent): return a const reference.

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* insetcollapsable.[Ch]: make all member variables, except for
	'inset', private.

	* insetert.C (init): use InsetCollapsable::setLabelFont rather
	than access labelfont directly.
	(read, updateStatus, lfunMouseRelease, status, showInsetDialog):
	use InsetCollapsable::setCollapsed, isOpen rather than access
	collapsed_ directly.

	* insetminipage.C (metrics):
	* insetnote.C (metrics):
	* insettheorem.C (clone): use InsetCollapsable::isOpen rather than
	access collapsed_ directly.

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* insetbibitem.C: add #include "lyxfont.h".

2003-09-16  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetgraphics.C:
	* insetbibtex.C: use namespace alias for lyx::support::os

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* insetcollapsable.h: remove unused framecolor variable.
	Remove #include "LColor.h".

	* insetcollapsable.C: remove unused framecolor variable.

	* insetcaption.C:
	* insetcollapsable.C:
	* insetert.C:
	* insetfloat.C:
	* insetfootlike.C:
	* insetminipage.C:
	* insetnote.C:
	* insetoptarg.C:
	* insetwrap.C:
	Add #include "LColor.h".

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* insettext.[Ch] (frameColor): new accessor function.
	(frame_color_): stored as an int, allows us to remove #include
	"LColor.h" from insettext.h

	* insetbranch.C:
	* insettabular.C:
	* insettext.C:
	add #include "LColor.h".

	* insetcollapsable.h: add #include "LColor.h"
	(for its framecolor member variable).

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* insetenv.C (constructor): use accessor functions to access
	InsetText variables.

	* insettext.h: rename autoBreakRows as autoBreakRows_. Make private.
	rename frame_color as frame_color_. Make private.

	* insettext.C: associated changes.

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* inset.h: store background_color_ as an int, not as an
	LColor::color to get LColor.h out of the header file.

	* inset.C:
	* insetlatexaccent.C:
	* insetnewline.C:
	* insetspace.C:
	* insetspecialchar.C:
	* renderers.C:
	add #include "LColor.h".

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* renderers.C: LyXFont::setColor no longer return a LyXFont &, so
	cannot string calls together.

2003-09-15  Angus Leeming  <leeming@lyx.org>

	* inset.[Ch] (setBackgroundColor, backgroundColor):
	* insettext.[Ch] (setFrameColor):
	pass EnumLColor args, rather than LColor::color ones.

2003-09-15  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetcommand.C
	* insetexternal.C
	* insetfloat.C
	* insetgraphics.C
	* insetinclude.C
	* insetminipage.C
	* insetnote.C
	* insettabular.C
	* insetwrap.C: remove usage of STRCONV

2003-09-15  Angus Leeming  <leeming@lyx.org>

	* renderers.C (draw):
	* insetlatexaccent.C (draw): explicitly define the color passed to
	the painter.

2003-09-10  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettext.C: remove block causing problems in lockInsetInInset
	(mentioned erroneously under Bug #1366)

2003-09-10  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcollapsable.C: Simplify by using adjustCommand, and fix bug
	in the process

2003-09-09  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* several files: change Assert to BOOST_ASSERT

2003-09-09  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettext.[Ch]: remove drawText[XY]Offset

2003-09-08  Angus Leeming  <leeming@lyx.org>

	* insetcollapsable.C:
	* insetenv.C:
	* insetinclude.C:
	* insetlabel.C:
	* insetoptarg.C:
	* insetspecialchar.C:
	* insettabular.C:
	* insettext.C:
	* insettoc.C: remove redundant using directives.

2003-09-07  Angus Leeming  <leeming@lyx.org>

	* insetspace.h:
	* insetspecialchar.h: remove #include "support/std_string.h".

2003-09-06  Angus Leeming  <leeming@lyx.org>

	* renderers.C: add #include "insets/inset.h"

2003-09-05  Angus Leeming  <leeming@lyx.org>

	* *.C: strip out redundant #includes. (193 in total.)

2003-09-03  Martin Vermeer  <martin.vermeer@hut.fi>

	* insets/insetbibtex.[Ch]:
	* insets/insetcommand.h:
	* insets/insetfloatlist.[Ch]:
	* insets/insetinclude.[Ch]:
	* insets/insettoc.[Ch]: Restricts the mouse click functionality
	of insets like bibtex, include, toc and floatlist to the visible
	button, and allows the use of LFUN_INSET_SHOW_DIALOG to bring
	up the dialogs. Cursor has to be in front of the inset (i.e.
	start of row) for this to function.

2003-09-04  Angus Leeming  <leeming@lyx.org>

	* ExternalTemplate.[Ch]: store the preamble snippets in a separate
	structure outside of the Format struct. Format::preambleName refers to
	an item in the map of all preamble snippets.
	Make use of the new Debug::EXTERNAL flag.

	* insetexternal.C: make use of the new Debug::EXTERNAL flag.
	(validate): Small change due to the changed storage of preamble
	snippets.

2003-09-04  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.C: #include "support/os.h"

	* insetfoot.h: move #include "LaTeXFeatures.h" out of the header file.
	* insettabular.h: move #include "FuncStatus.h" out of the header file.
	* insettoc.[Ch]: move #include "metricsinfo.h" out of the header file.

	* insetcollapsable.h:
	* insetbranch.C:
	* insetnote.C: move #include "funcrequest.h" out of the header file.

2003-09-03  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C (updateExternal):
	* insetgraphics.C (prepareFile): Fix the conversion when exporting to
	latex.

2003-09-03  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C: don't bring namespace lyx::support into the global
	namespace.

2003-09-02  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetbranch.C: Add Branch: to label

2003-09-02  John Levon  <levon@movementarian.org>

	* insettext.h:
	* insettext.C: remove cursor.i[xy]()

2003-08-28  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.C (prepareFile): prepend "convertDefault.sh" with
	"sh ", enabling the conversion to be carried out even if the script
	is not executable.

2003-08-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* most files: change to use const Buffer refs

2003-08-26  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetfootlike.C: whitespace.

2003-08-26  John Levon  <levon@movementarian.org>

	* insetenv.h:
	* insetcaption.h:
	* insetindex.h: remove remaining mentions of needFullRow()

2003-08-26  André Pönitz  <poenitz@gmx.net>

	* insetfoot.C:
	* insetnewline.C:
	* insetquotes.C:
	* insettabular.C:
	* inset.[Ch]: remove InsetOld::par_owner_ & handling

2003-08-26  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetbranch.C: Small fix to prevent a crash on loading.

2003-08-25  Martin Vermeer  <martin.vermeer@hut.fi>

	* inset.h:
	* insetbibtex.[Ch]:
	* insetbranch.[Ch]:
	* insetcollapsable.h:
	* insetert.[Ch]:
	* insetfloatlist.[Ch]:
	* insetfootlike.[Ch]:
	* insetinclude.[Ch]:
	* insetindex.[Ch]:
	* insetindex.h:
	* insetminipage.h:
	* insetnote.[Ch]:
	* insettext.C:
	* insettheorem.[Ch]:
	* insettoc.[Ch]: eliminates the needFullRow/display() stuff
	altogether, putting the logic in metrics/draw in the insets.=20
	Draws short single row insets with more or less realistic metrics.

2003-08-19  André Pönitz  <poenitz@gmx.net>

	* insettext.C: use new RowPainter interface

2003-08-18  John Levon  <levon@movementarian.org>

	* insetref.C: require amsmath for eqref

2003-08-17  Martin Vermeer  <martin.vermeer@hut.fi>

	* Makefile.am:
	* inset.h:
	* insetbranch.[Ch]: implements the 'branch inset'
	idea. This allows the output of various versions of a document
	from a single source version, selectively outputing or suppressing
	output of parts of the text.
	This implementation contains a 'branch list editor' in a separate
	tab of the document settings dialog. Branches are user definable
	and have a "display colour" to distinguish them on-screen.

	ColorHandler was somewhat cleaned up.
	(1) make possible a dynamically growing LColor list by allowing
	the graphic context cache to grow along (vector);
	(2) eliminate an IMHO unnecessary step in colour allocation.

2003-08-15  André Pönitz  <poenitz@gmx.net>

	* insettext.[Ch]: adjust after rowlist split

2003-08-12  Michael Schmitt  <michael.schmitt@teststep.org>

	* insettabular.C: rename M_VALIGN_CENTER to M_VALIGN_MIDDLE;
	  rename valign-center to valign-middle;
	  rename VALIGN_CENTER to VALIGN_MIDDLE

2003-08-11  André Pönitz  <poenitz@gmx.net>

	* inset.h: remove resizeLyXText

	* insetcaption.C:
	* insetcollapsable.[Ch]:
	* insetminipage.C:
	* insettabular.[Ch]: adjust

	* insettext.[Ch]: remove saveLyXTextState,
	 restoreLyXTextStat, sstate, reinitLyXText

2003-08-07  André Pönitz  <poenitz@gmx.net>

	* inset.[Ch]: move non-crucial functions out-of-line

	* insettext.C: rely on LyXText's LFUN handlers in some more cases,
	remove duplicated code.

2003-08-05  André Pönitz  <poenitz@gmx.net>

	* insetbibitem.C:
	* insetcollapsable.[Ch]:
	* insetcommand.C:
	* insetert.C:
	* insetexternal.C:
	* insetfloat.C:
	* insetgraphics.C:
	* insetinclude.C:
	* insetlabel.C:
	* insetminipage.C:
	* insetnote.C:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* insetwrap.C:
	* updatableinset.[Ch]: rip out "deep update"

	* insettext.C (localDispatch): merge cases with default branch

	* insettext.C (frame_x,y,w,h): replace member with automatic variables

	* insettabular.[Ch] (updateLocal): simplify logic

2003-08-04  André Pönitz  <poenitz@gmx.net>

	* insettext.[Ch] (updateLocal): remove 'what' argument by assuimng it
  is 'FULL' all the time.

2003-08-03  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetert.C (get_new_label): only add ... to the (closed) label
	when the string has been shortened

2003-08-02  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* Always use std::endl with lyxerr

2003-08-01	Martin Vermeer  <martin.vermeer@hut.fi>

	* insetnote.C: update \author list

2003-07-31  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.h:
	* insettabular.[Ch]:
	* insettext.[Ch]: remove toggleSelection

2003-07-30  Martin Vermeer  <martin.vermeer@hut.fi>

	(with help from Juergen Spitzmueller)
	* insetnote.C: add add i18n support. Use Prefs-definable
	colours for Comment and Greyedout.

2003-07-30	Martin Vermeer  <martin.vermeer@hut.fi>

	* insetcollapsable.[Ch]:
	* insetnote.C:
	* insetert.C: factor out the detection of clicking on the inset
      button as 'hitButton'. John Levon contributed.

2003-07-30  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.C:
	* insetfootlike.C:
	* insettabular.C: parantheses, localize vars etc.

2003-07-29  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetnote.C: Implement a newenvironment in preamble for
	greyedout. Patch provided by Jürgen Spitzmüller.

2003-07-29  Angus Leeming  <leeming@lyx.org>

	* insetcommand.C (localDispatch): default to
	InsetOld::localDispatch.

	* insetbibitem.C (localDispatch):
	* insetbibtex.C (localDispatch): remove call to
	ChangeCitationsIfUnique.

	* insetbibtex.[Ch] (clone): move out of line; use copy c-tor.

	* insetexternal.C (read): use pushpophelper.

2003-07-28  José Matos  <jamatos@lyx.org>

	* insetext.C (read): \end_document replaces \the_end.

2003-07-28  José Matos  <jamatos@fep.up.pt>

	* insetert.C (write): \layout -> \begin_layout.
	Add missing \end_layout.

2003-07-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetquotes.C: document a bit the format

	* insettabular.C (write): remove extra space

2003-07-28  Martin Vermeer  <martin.vermeer@hut.fi>
	* insetnote.C: Umpf. Hope I *now* get it right :-(

2003-07-28  Martin Vermeer  <martin.vermeer@hut.fi>
	*insetnote.C: did the right fix to greyedout: \color
	instead of \textcolor.

2003-07-28  Angus Leeming  <leeming@lyx.org>

	* insetbibtex.h: remove extraneous forward declaration.

	* insetbibitem.h:
	* insetbibtex.h: Also remove long-dead Holder member class
	and variable.

2003-07-27  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetbase.h: add #include <memory> needed by gcc 2.95.2 at
	least.

2003-07-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetwrap.C (addToToc): adjust for lyx::toc

	* insetfloatlist.C (ascii): adjust for lyx::toc

	* insetfloat.C (addToToc): adjust for lyx::toc

2003-07-27  José Matos  <jamatos@fep.up.pt>

	* insetnote.h (linuxdoc,docbook): update support.

2003-07-27  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetfloat.C (wide): add a space to label, for consistency

2003-07-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (nextChange): adjust for lyx::find
	(searchForward): ditto
	(searchBackward): ditto

2003-07-26  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetgraphicsParams.C:
	* insetexternal.C: declare extern displayTranslator

	* insetexternal.C:
	* renderers.C: add #include "support/LAssert.h"

2003-07-27  José Matos  <jamatos@fep.up.pt>

	* insetfloat.[Ch] (linuxdoc):
	* insetgraphics.C (linuxdoc):
	* insettabular.C (linuxdoc):
	* insettext.[Ch] (linuxdoc): add support for tables and figures
	(linuxdoc).

2003-07-27  José Matos  <jamatos@fep.up.pt>

	* insetinclude (latex): comply with makeLaTeXFile argument change.

2003-07-26  Asger Alstrup  <alstrup@local>

	* insettext.C (reinitLyXText): Get rid of updateLocal which causes
	the undo crashes. We'll see what problems other places this will
	cause.

2003-07-26  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.C: remove unused declaration of system_tempdir.

2003-07-25  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* rename Inset to InsetOld

	* all inset files (clone): return a auto_ptr<InsetBase>

2003-07-23  Angus Leeming  <leeming@lyx.org>

	* insetexternal.[Ch] (setParams): pass it a Buffer const *.

2003-07-23  Angus Leeming  <leeming@lyx.org>

	* mailinset.[Ch] (inset2string):
	* insetcommand.[Ch] (inset2string):
	* insetert.[Ch] (inset2string):
	* insetexternal.[Ch] (inset2string):
	* insetfloat.[Ch] (inset2string):
	* insetgraphics.[Ch] (inset2string):
	* insetinclude.[Ch] (inset2string):
	* insetminipage.[Ch] (inset2string):
	* insetnote.[Ch] (inset2string):
	* insettabular.[Ch] (inset2string):
	* insetwrap.[Ch] (inset2string): now requires a Buffer const & arg.

	* insetexternal.[Ch]:
	* insetgraphics.[Ch]: get rid of the view() function. Associated
	changes to the mailers' string2params and params2string functions.

2003-07-23  Angus Leeming  <leeming@lyx.org>

	* insetexternal.[Ch]: store the external file name in a FileName
	member variable rather than a string + associated changes.

2003-07-21  Angus Leeming  <leeming@lyx.org>

	* insetgraphicsParams.[Ch]: store the graphics file name in
	a FileName member variable rather than a string.

	* insetgraphics.[Ch]:
	* insetgraphicsParams.[Ch]: Associated changes.

2003-07-21  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.[Ch] (string2params, params2string): passed a
	buffer_path argument.
	(view): new method.

2003-07-21  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C:
	* insetgraphicsParams.[Ch]:
	* insetinclude.C:
	* renderers.C: use namespace lyx::graphics rather than grfx shortcut.

2003-07-21  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetnote.C: fixed greyout and conditionals layout foul-ups.

2003-07-18  André Pönitz  <poenitz@gmx.net>

	* insetert.[Ch]:
	* insetminipage.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* insetwrap.[Ch]:
	* updatableinset.[Ch]: remove unneeded Inset::getMaxWidth()

2003-07-18  André Pönitz  <poenitz@gmx.net>

	* inset.[Ch]:
	* insetbibitem.C:
	* insetcollapsable.C:
	* insetcommand.C:
	* insetert.C:
	* insetexternal.C:
	* insetgraphics.[Ch]:
	* insetlatexaccent.[Ch]:
	* insetminipage.C:
	* insetnewline.C:
	* insetquotes.C:
	* insetspace.C:
	* insetspecialchar.C:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* updatableinset.C: two-phase-drawing for InsetText & InsetTabular

2003-07-17  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.C:
	* insettabular.C:
	* insettext.C: don't call Inset::update() anymore

	* insettext.[Ch]:
	* insettabular.[Ch]: remove unneeded in_update_ members

	* insettext.[Ch]: remove unneeded InsetText::old_max_width member

2003-07-16  André Pönitz  <poenitz@gmx.net>

	* insettext.C (selectAll): remove

2003-07-16  John Levon  <levon@movementarian.org>

	* insetnote.h:
	* insetnote.C: implement showInsetDialog()

2003-07-15  André Pönitz  <poenitz@gmx.net>

	* insettabular.C:
	* insettext.C: refresh_status tristate -> need_update bool

2003-07-15  Alfredo Braunstein  <abraunst@libero.it>

	* insettext.C: adjust call to LyXText::init

2003-07-14  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* insettext.C: use bufferview_funcs->replaceSelection()
	to delete selections in some cases (bugs 441, 673, 702, 954).

2003-07-14  André Pönitz  <poenitz@gmx.net>

	* insettext.C (draw): use slimmed down rowpainter interface

2003-07-14  André Pönitz  <poenitz@gmx.net>

	* insetcollapsable.C:
	* insetert.C:
	* insettext.[Ch] (cy, ciy, setUpdateStatus):
	remove unused BufferView * argument

2003-07-14  André Pönitz  <poenitz@gmx.net>

	* insettext.[Ch]: used cached metrics a bit more

2003-07-10  Alfredo Brauntein  <abraunst@libero.it>

	* insettabular.[Ch]: invalidate InsetTabular::view(), added buffer()

2003-07-10  André Pönitz  <poenitz@gmx.net>

	* insettabular.C:
	* insettext.[Ch]: remove InsetText::InnerCache, clean up consequences

2003-07-04  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* introduce namespace lyx::graphics

2003-07-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* introduce namespace lyx::support

2003-06-30  André Pönitz  <poenitz@gmx.net>

	* insetcite.C (localDispatch): fix case of missing return value

	* insetcite.C (ascii): remove unneeded temporary

2003-06-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetspace.h: fix \file

	* insetbibtex.C (fillWithBibKeys): use std:: on stdlib types
	* insetinclude.C (fillWithBibKeys): ditto

	* insetbibitem.C: fix type const order

	* inset.C (getLyXText): add varname for arg

	* ExternalTemplate.h: fix type const order

2003-06-27  André Pönitz  <poenitz@gmx.net>

	* insettext.C: take care of removed LyXCursor::row_ member

	* insettext.[Ch]: use new TextCursor struct for sstate

2003-06-21  Alfredo Braunstein  <abraunst@libero.it>

	* inseterror.[Ch]: removed

2003-06-21  Alfredo Braunstein  <abraunst@libero.it>

	* insetinclude.C (docbook): use parseError instead of sgmlError

2003-06-19  Alfredo Braunstein  <abraunst@libero.it>

	* insetinclude.C (loadIfNeeded): call ::loadLyXFile instead
	of BufferList::loadLyXFile

2003-06-18  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (update): simplify
	(updateLocal): remove commented code
	(insetUnlock): simplify
	(lockInset): simplify
	(updateInsetInInset): simplify
	(localDispatch): simplify
	(setFont): simplify
	(resizeLyXText): simplify
	(collapseParagraphs): simplify

	* insetert.C (get_new_label): simplify

2003-06-17  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* insettext.C (localDispatch): handle arg to LFUN_PASTE, call
	pasteSelection with index

2003-06-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettext.C (localDispatch): fix call to cutSelection for LFUN_CUT

2003-06-16  André Pönitz  <poenitz@gmx.net>

	* insetbase.h: new virtual base function clone()

	* *inset*.[Ch]: IU of clone() and getLabelList (i.e. essentially
	  Inset * clone()  ->  InsetBase * clone()

2003-06-13  André Pönitz  <poenitz@gmx.net>

	* insettabular.[Ch]: make tabular a proper member

2003-06-12  André Pönitz  <poenitz@gmx.net>

	* insettabular.[Ch]: some renaming plus whitespace

2003-06-11  Angus Leeming  <leeming@lyx.org>

	* Makefile.am: remove graphicinset.[Ch], insetbutton.[Ch].
	Add renderers.[Ch].

	* insetbutton.[Ch]: removed.
	* graphicinset.[Ch]: renamed as renderers.[Ch].

	* renderers.[Ch]: new files. Rename GraphicsInset as GraphicsRenderer.
	Create a new class ButtonRenderer using the InsetButton::metrics() and
	draw() functions.
	Derive both from a common RenderedInset base class.

	* insetcommand.[Ch]:
	* insetinclude.[Ch]: derive from Inset, not InsetButton.
	Give it a ButtonRenderer member variable. Use it.
	Give the classes working copy c-tors.
	No longer derive from boost::noncopyable.

	* insetexternal.[Ch]: enable the inset to choose dynamically whether to
	display its contents as a button or as a graphic.

	* insetgraphic.[Ch]: changes due to the change in name GraphicInset ->
	GraphicRenderer.

2003-06-11  Angus Leeming  <leeming@lyx.org>

	* insetcite.C (localDispatch): reformat.

	* insetref.C (localDispatch): enable dialog to be lauched.

2003-06-11  John Levon  <levon@movementarian.org>

	* insettabular.C: correctly mark all cells as erased

2003-06-11  Angus Leeming  <leeming@lyx.org>

	* insetexternal.[Ch]: InsetExternal::Params no longer stores the
	ExternalTemplate but its name, templatename. This means that a file
	containing a reference to an External Template not installed on the
	current machine will be saved retaining this info rather than inserting
	the first "valid" template from the list of templates.

	As a by product, the visual statement that the Template is missing is
	now very clear!

2003-06-10  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* insettext.C (appendParagraphs): remove some commented code.

2003-06-10  Angus Leeming  <leeming@lyx.org>

	* graphicinset.[Ch] (view): removed the publicly accessible
	function to set the cache.

	* insetexternal.[Ch]: move tempname_ into the Params struct.
	(Params d-tor): new function, to clean-up this temp file.
	(localDispatch): dispatch LFUN_EXTERNAL_EDIT.
	(cache): removed.
	(editExternal, doSubstitution): move out of class.

2003-06-10  Angus Leeming  <leeming@lyx.org>

	* graphicinset.[Ch] (params): removed.
	* graphicinset.h (operator=): declared private but not defined.
	(statusMessage): made private.

	* insetexternal.[Ch]: graphic_ renamed as renderer_.

2003-06-07  John Levon  <levon@movementarian.org>

	* insetert.C (latex): make a newline mean just that not
	a new par

2003-06-07  José Matos  <jamatos@fep.up.pt>

	* insethfill.[Ch] (linuxdoc, docbook): implement output
	* insetspace.C (linuxdoc, docbook): remove coments as the code
	is correct.

2003-06-06  José Matos  <jamatos@fep.up.pt>

	* insetnewline.C (linuxdoc,docbook): return newline, fix bug 1148.

2003-06-06  André Pönitz  <poenitz@gmx.net>

	* insetwrap.[Ch]: code compactification

2003-06-06  Alfredo Braunstein  <abraunst@libero.it>

	* mailinset.C (updateDialog): use Dialogs::visible

2003-06-04  Angus Leeming  <leeming@lyx.org>

	* graphicinset.C (draw): add a comment for the #if 0 block.

	* insetexternal.h: remove Params::parameters variable.

	* insetexternal.C (read, write): rewrite to output new ExternalInset
	format and read it back making full use of LyXLex.

2003-06-04  André Pönitz  <poenitz@gmx.net>

	* inset.[Ch]: change owner_ from Inset * to UpdatableInset *

2003-06-04  John Levon  <levon@movementarian.org>

	* insettabular.C: back out tall table speed up. It was broken

2003-06-03  Angus Leeming  <leeming@lyx.org>

	* ExternalTemplate.[Ch]: add inputFormat and UpdateFormat variables.
	Remove ViewCommand and UpdateCommand.

	* graphicinset.C (update): bug fix. Set the params before calling the
	loader.

	* graphicinset.[Ch] (view): new method. A bit of a fudge to set
	the BufferView cache to enable the InsetExternal::editCommand to
	be invoked from the frontends. Would not be needed if this were
	dispatched properly.
	(old_ascent_): variable removed.

	* insetexternal.[Ch]: large clean-up to use the converter mechanism to
	do any necessary conversions of external material. Also use the
	new GraphicsInset to display the inset within LyX.

2003-06-03  Angus Leeming  <leeming@lyx.org>

	* graphicinset.[Ch]: new files. Clean up the InsetGraphics::Cache
	and move it somewhere where InsetExternal can use it too.

	* Makefile.am: add the new files.

	* insetgraphics.[Ch]: make use of the new GraphicInset.

2003-06-03  John Levon  <levon@movementarian.org>

	* inset.h:
	* insetbibitem.[Ch]:
	* insetbibtex.h:
	* insetcite.h:
	* insetcommand.[Ch]:
	* insetenv.[Ch]:
	* inseterror.h:
	* insetert.[Ch]:
	* insetexternal.[Ch]:
	* insetfloat.[Ch]:
	* insetfloatlist.h:
	* insetfoot.[Ch]:
	* insetgraphics.[Ch]:
	* insethfill.h:
	* insetinclude.[Ch]:
	* insetindex.h:
	* insetlabel.h:
	* insetlatexaccent.[Ch]:
	* insetmarginal.[Ch]:
	* insetminipage.[Ch]:
	* insetnewline.h:
	* insetnote.[Ch]:
	* insetoptarg.[Ch]:
	* insetquotes.[Ch]:
	* insetref.[Ch]:
	* insetspace.[Ch]:
	* insetspecialchar.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* insetthereom.[Ch]:
	* insettoc.h:
	* inseturl.h:
	* insetwrap.[Ch]: make clone() not take a Buffer * arg

	* insetgraphics.[Ch]:
	* insetgraphicsParams.[Ch]: always store an absolute
	path at runtime

2003-06-02  André Pönitz  <poenitz@gmx.net>

	* inseterror.C:
	* insetgraphics.C:
	* insetlatexaccent.C: remove duplicated call to metrics()

2003-06-02  John Levon  <levon@movementarian.org>

	* insettabular.C: fix resize of column width

2003-06-02  John Levon  <levon@movementarian.org>

	* Makefile.am:
	* inset.h:
	* insetparent.h:
	* insetparent.C: remove insetparent

2003-06-02  André Pönitz  <poenitz@gmx.net>

	* inset.[Ch]:
	* insetbase.h:
	* insetbibtex.[Ch]:
	* insetbutton.[Ch]:
	* insetcaption.C:
	* insetcollapsable.[Ch]:
	* inseterror.[Ch]:
	* insetert.[Ch]:
	* insetfootlike.C:
	* insetgraphics.[Ch]:
	* insetinclude.[Ch]:
	* insetlatexaccent.[Ch]:
	* insetminipage.[Ch]:
	* insetnewline.[Ch]:
	* insetquotes.[Ch]:
	* insetspace.[Ch]:
	* insetspecialchar.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]: unify first drawing phase

	* inset.[Ch]:
	* insetbase.h: move validate() to the base

2003-05-31  Angus Leeming  <leeming@lyx.org>

	* Makefile.am: moved insetwrap.[Ch] into alphabetical order.

2003-05-30  André Pönitz  <poenitz@gmx.net>

	* inset.h:
	* insetbase.h:
	* insetbutton.[Ch]:
	* insetcaption.[Ch]:
	* insetcollapsable.[Ch]:
	* inseterror.[Ch]:
	* insetert.[Ch]:
	* insetgraphics.[Ch]:
	* insetinclude.[Ch]:
	* insetlatexaccent.[Ch]:
	* insetnewline.[Ch]:
	* insetquotes.[Ch]:
	* insetspace.[Ch]:
	* insetspecialchar.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* updatableinset.[Ch]: unify second drawing phase

2003-05-30  John Levon  <levon@movementarian.org>

	* insetgraphics.C: fix a bformat

2003-05-29  John Levon  <levon@movementarian.org>

	* insettabular.C: remove unused bufferOwner()

2003-05-29  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (lockInsetInInset): adjust
	(getLabelList): use const_iterator, adjust
	(getInsetFromID): use const_iterator, adjust
	(addPreview): use const_iterator, adjust

	* insetwrap.C (clone): remove const_cast

	* insetnote.C (clone): remove const_cast

	* insetminipage.C (clone): remove const_cast

	* insetmarginal.C (clone): remove const_cast

	* insetfoot.C (clone): remove const_cast

	* insetfloat.C (clone): remove const_cast

	* insetert.C (clone): remove const_cast

	* delete commented same_id functions from a lot of files.

2003-05-28  John Levon  <levon@movementarian.org>

	* insetcite.C:
	* insetinclude.C:
	* insetindex.C:
	* insetparent.C:
	* insettoc.C: fix dispatch of mouse release (bug 1143 and others)

	* insetminipage.C: fix metrics (bug 1144)

2003-05-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (saveLyXTextState): adjust
	(restoreLyXTextState): adjust
	(init): adjust
	(lockInset): adjust
	(unlockInsetInInset): adjust
	(localDispatch): adjust
	(getLyXText): adjust

	* insettabular.C (insertAsciiString): adjust

2003-05-27  André Pönitz  <poenitz@gmx.net>

	* insetbutton.C:
	* insetcollapsable.C:
	* inseterror.C:
	* insetgraphics.C:
	* insetlatexaccent.C:
	* insetminipage.C:
	* insetnewline.C:
	* insetquotes.C:
	* insetspace.C:
	* insetspecialchar.C:
	* insettabular.C:
	* insettext.C: dim.w -> dim.wid

2003-05-26  John Levon  <levon@movementarian.org>

	* insettabular.C: avoid drawing all of a long table
	if it's not needed. A big speedup

2003-05-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* remove same_id from function signatures, adjust

2003-05-24  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (InsetText): adjust
	(clear): adjust
	(setParagraphData): separate same_id cases, adjust
	(appendParagraphs): adjust
	(appendParagraphs): adjust

2003-05-23  André Pönitz  <poenitz@gmx.net>

	* insetbutton.h: whitespace

	* insettabular.C: more compact code

	* updatableinset.C: remove const_cast


2003-05-23  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C (write): check how many lines are output.
	(latex): use the "PDFLaTeX" flavour if outputting to pfdlatex and
	if the template has defined it.

2003-05-23  Angus Leeming  <leeming@lyx.org>

	* insetquotes (validate): use the new LaTeXFeatures::useBabel() method.

2003-05-23  Angus Leeming  <leeming@lyx.org>

	* insetfoot.C (latex):
	* inseturl.C (latex): rename fragile as moving_arg.

2003-05-23  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* inseterror.C (localDispatch): comment out unused var.

2003-05-22  Angus Leeming  <leeming@lyx.org>

	* inset*.[Ch] (latex): no longer has a free_spacing arg. Data is now
	passed through the LatexRunParams arg.

2003-05-22  Angus Leeming  <leeming@lyx.org>

	* inset*.[Ch] (latex): no longer has a fragile arg. Data is now passed
	through the LatexRunParams arg.

	* insetquotes.C (latex): accesses use_babel through the LatexRunParams
	arg rather than through a global var.

2003-05-22  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetspecialchar.C (dimension): use a string.

2003-05-22  Angus Leeming  <leeming@lyx.org>

	* insetbibtex.C (latex):
	* insetgraphics.C (latex):
	* insetinclude.C (latex): extract the buffer's 'nice'ness from
	runparams rather than from the buffer itself.

2003-05-22  Angus Leeming  <leeming@lyx.org>

	* inset*.[Ch] (latex):
	passed a LatexRunParams parameter.

	* insetgraphics.C (latex): actually use it ;-)

2003-05-22  Alfredo Braunstein  <abraunst@libero.it>

	* insetfloat.C (addToToc): trivial compile fix

2003-05-22  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.[Ch] (paragraph): delete unused function

	* insetfloat.C (addToToc): parlist simplfication

2003-05-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* insetspace.[Ch]: added (new space insets)
	* Makefile.am:
	* inset.h: handle new space insets

2003-05-21  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetfloat.C (addToToc): adjust

2003-05-21  André Pönitz  <poenitz@gmx.net>

	* insettext.[Ch]: fix drawing bug introduced earlier

2003-05-19  André Pönitz  <poenitz@gmx.net>

	* insetspecialchar.C: fix bug introduced yesterday

2003-05-19  André Pönitz  <poenitz@gmx.net>

	* inset.[Ch]:
	* insetbutton.[Ch]:
	* insetcollapsable.[Ch]:
	* inseterror.[Ch]:
	* insetert.[Ch]:
	* insetfoot.[Ch]:
	* insetgraphics.[Ch]:
	* insetgraphicsParams.[Ch]:
	* insetlatexaccent.[Ch]:
	* insetminipage.[Ch]:
	* insetnewline.[Ch]:
	* insetquotes.[Ch]:
	* insetspecialchar.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]: dimensions() instead of ascend/descend/width

2003-05-19  André Pönitz  <poenitz@gmx.net>

	* insetenv.[Ch]:
	* insettext.C: more insetenv

2003-05-16  André Pönitz  <poenitz@gmx.net>

	* insetcommand.C:
	* insetminimpage.[Ch]:
	* insetcollapsable.[Ch]: fix #832

2003-05-16  André Pönitz  <poenitz@gmx.net>

	* inset.[Ch]:
	* insetbibitem.[Ch]:
	* insetbibtex.[Ch]:
	* insetbutton.[Ch]:
	* insetcite.[Ch]:
	* insetcollapsable.[Ch]:
	* insetcommand.[Ch]:
	* inseterror.[Ch]:
	* insetert.[Ch]:
	* insetexternal.[Ch]:
	* insetfloatlist.[Ch]:
	* insetgraphics.[Ch]:
	* insetinclude.[Ch]:
	* insetindex.[Ch]:
	* insetlabel.[Ch]:
	* insetlatexaccent.[Ch]:
	* insetparent.[Ch]:
	* insetref.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:
	* insettoc.[Ch]:
	* inseturl.[Ch]:
	* updatableinset.[Ch]: edit() -> LFUN_INSET_EDIT

2003-05-13  André Pönitz <poenitz@gmx.net>

	* insetbibitem.C:
	* insetcollapsable.C:
	* insetert.C:
	* insetfloat.C:
	* insetinclude.C:
	* insetwrap.C: tostr from own header

	* insetcommand.C:
	* insetexternal.C:
	* insetfloat.C:
	* insetfloat.h:
	* insetgraphics.C:
	* insetinclude.C:
	* insetminipage.C:
	* insetparent.C:
	* insettabular.C:
	* insettext.C:
	* insetwrap.C: STRCONV


2003-05-12  André Pönitz <poenitz@gmx.net>

	* insetcaption.C:
	* insetexternal.C:
	* insetfloat.C:
	* insetfloatlist.C:
	* insetgraphics.C:
	* insetinclude.C:
	* insetminipage.C:
	* insetminipage.C:
	* insettabular.C:
	* insettext.C:
	* insetwwrap.C:  boost::format -> bformat  all over the place

2003-05-05  André Pönitz <poenitz@gmx.net>

	* insettext.h: add missing #include <map>

2003-05-07  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (InsetText): parlist cleanup
	(clear): ditto
	(edit): ditto
	(insetUnlock): ditto
	(lockInset): ditto
	(lockInsetInInset): ditto
	(cx): ditto
	(cix): ditto
	(getLyXText): ditto
	(searchBackward): ditto
	(collapseParagraphs): ditto

2003-05-06  John Levon  <levon@movementarian.org>

	* insetcaption.C: don't cast wrap inset to InsetFloat

	* insetfloat.h:
	* insetfloat.C: remove unneeded type() function

2003-05-05  André Pönitz <poenitz@gmx.net>

	* inset.h:
	* insettext.[Ch]:
	* insettabular.[Ch]:
	* insetcollapsable.[Ch]: remove unused function firstParagraph()
	replace getFirstParagraph() by getParagraphs()

2003-05-03  John Levon  <levon@movementarian.org>

	* insetcollapsable.h:
	* insetcollapsable.C:
	* insettabular.h:
	* insettabular.C:
	* insettext.h:
	* insettext.C:
	* updatableinset.h:
	* updatableinset.C: remove cursor_visible_, showInsetCursor(),
	hideInsetCursor(), toggleInsetCursor(), isCursorVisible(). Add
	getCursor(). Remove explicit cursor hides.

2003-05-02  André Pönitz <poenitz@gmx.net>

	* insettext.C: remove unneeded &*

2003-04-30  John Levon  <levon@movementarian.org>

	* insettabular.C: fix edit message

2003-04-30  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (setFont): do not convert iterator -> pointer

	* insettabular.C (localDispatch): do not convert iterator -> pointer
	(setFont): ditto
	(tabularFeatures): ditto

2003-04-29  André Pönitz <poenitz@gmx.net>

	* inset.h: introduce "haveParagraph" from Lars' parlist-14-b.

2003-04-28  André Pönitz <poenitz@gmx.net>

	* insettext.[Ch]: part of Lars' Paragraph * -> ParagraphList::iterator
	  Changes

2003-04-25 André Pönitz <poenitz@gmx.net>

	* insetenv.C: derive from InsetText instead of InsetCollapsable

2003-04-24  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetexternal.C (string2params): dont do anything if the string
	is empty.
	* insetgraphics.C (string2params): ditto
	* insetcommand.C (string2params): ditto
	* insetert.C (string2params): ditto
	* insetfloat.C (string2params): ditto
	* insetinclude.C (string2params): ditto
	* insetminipage.C (string2params): ditto
	* insettabular.C (string2params): ditto
	* insetwrap.C (string2params): ditto

2003-04-24  André Pönitz <poenitz@gmx.net>

	* insetref.C: support for eqref

2003-04-16  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetert.C (read): use ParagraphList::iterator.

2003-04-15  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetquotes.C (latex): comment some code and add warnings.

2003-04-14   Alfredo Braunstein  <abraunst@libero.it>

	* insetexternal.C (localDispatch): added a missing DISPATCHED

2003-04-12  John Levon  <levon@movementarian.org>

	* insetwrap.C (addToToc): fix a crash, conversion
	from while to for loop forgot to remove the explicit
	increment

2003-04-10  John Levon  <levon@movementarian.org>

	* insettabular.C (tabularFeature): make sure
	to update the dialog when we change something
	(bug 1036).

	(getStatus): don't disable some lfuns (bug 939)

2003-04-09  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (saveLyXTextState): adjust
	(localDispatch): adjust
	(setFont): adjust
	(cx): adjust
	(cix): adjust
	(cpar): adjust

	* insettabular.C (localDispatch): adjust
	(setFont): adjust
	(tabularFeatures): adjust

2003-04-05  Alfredo Braunstein  <abraunst@libero.it>

	* insettabular.C (searchForward,searchBackward): fix bug 782

2003-04-07  John Levon  <levon@movementarian.org>

	* insettabular.C:
	* insettext.C: clear status message on inset exit

2003-04-03  John Levon  <levon@movementarian.org>

	* insetcommand.C: return dispatched on DIALOG_UPDATE

2003-04-02  John Levon  <levon@movementarian.org>

	* insettabular.C: tab lfuns renamed

2003-04-02  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (update): move towards ParagraphList
	(updateLocal): ditto
	(edit): ditto
	(insetUnlock): ditto
	(lockInset): ditto
	(lockInsetInInset): ditto
	(updateInsetInInset): ditto
	(localDispatch): ditto
	(docbook): ditto
	(setFont): ditto
	(resizeLyXText): ditto
	(searchBackward): ditto
	(collapseParagraphs): ditto
	(addPreview): ditto

	* insetwrap.C (InsetWrap): adjust
	(addToToc): adjust and rewrite loop

	* insettext.[Ch] (paragraph): delete function

	* insettabular.C (moveNextCell): adjust
	(movePrevCell): adjust
	(insertAsciiString): adjust

	* insetfloat.C (InsetFloat): adjust
	(addToToc): adjust

	* insetert.C (InsetERT): adjust
	(write): adjust, and rewrite loop
	(latex): adjust, and rewrite loop
	(linuxdoc): adjust, and rewrite loop
	(docbook): adjust, and rewrite loop
	(localDispatch): adjust
	(get_new_label): adjust

2003-04-01  John Levon  <levon@movementarian.org>

	From Alfredo Braunstein

	* insetbutton.h:
	* insetbutton.C: add localDispatch()

	* insetcommand.C: return DISPATCHED when edit() called

	* insettext.C: fix bug 967

2003-04-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C: adjust

2003-04-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (draw): adjust
	(crow): return a RowList::iterator not a Row*

	* insetminipage.C (localDispatch): adjust

	* insetert.C (localDispatch): adjust

2003-03-31  John Levon  <levon@movementarian.org>

	* insetgraphics.C:
	* insetgraphicsParams.C: use_gui moved to lyx_gui

2003-03-31  John Levon  <levon@movementarian.org>

	* insettext.C: Alert fix

2003-03-30  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (ascent): adjust for RowList
	(descent): ditto
	(draw): ditto
	(getLyXText): adjust
	(toggleSelection): adjust

	* insetminipage.C (localDispatch): adjust for RowList

	* insetert.C (localDispatch): adjust for RowList
	(getMaxWidth): adjust for RowList

2003-03-29  John Levon  <levon@movementarian.org>

	* insetert.C: Alert cleanup

2003-03-29  John Levon  <levon@movementarian.org>

	* insettabular.C: Alert fix

2003-03-28  John Levon  <levon@movementarian.org>

	* insetfloat.C: reset label on INSET_MODIFY

2003-03-28  John Levon  <levon@movementarian.org>

	* insetgraphicsParams.C: read subcaptionText as a whole line
	(bug 656)

2003-03-28  John Levon  <levon@movementarian.org>

	* insettext.C: remove unused prototypes

2003-03-25  Angus Leeming  <leeming@lyx.org>

	* insetbibitem.C (localDispatch): repaint the view after modifying
	a bibitem inset in case the maximum InsetBibitem width has changed.

2003-03-25  John Levon  <levon@movementarian.org>

	* insettext.C:
	* insettabular.C: LyXText renamings

2003-03-24  John Levon  <levon@movementarian.org>

	* insettext.C: remove some dead code. Fix bug 972 and
	  related by posting a repaint in updateLocal(), and making
	  the SEL functions set SELECTION.

2003-03-22  John Levon  <levon@movementarian.org>

	* inset.h:
	* inset.C: remove no-longer-needed topx_set

	* insetcollapsable.h:
	* insetcollapsable.C: remove dead code

	* insetminipage.C:
	* insetert.C: rebreak the rows when a possible
	  change in size is made, and reset the cursor
	  (bug 962, bug 965)

	* insettabular.C: remove topx_set, CHANGED_IN_DRAW

	* insettext.C: remove CHANGED_IN_DRAW noticing/handling,
	  topx_set. Fix drawing errors for clearInset(). Remove
	  some unnecessary uses of topx, which should die.

	* updatableinset.C: fix getMaxWidth() so CHANGED_IN_DRAW
	  is no longer needed. Replace it with an ugly hack.

2003-03-20  John Levon  <levon@movementarian.org>

	* inset.h:
	* insetcollapsable.h:
	* insetcollapsable.C:
	* insetert.h:
	* insetert.C:
	* insetminipage.C:
	* insetminipage.C:
	* insettabular.h:
	* insettabular.C:
	* insettext.h:
	* insettext.C: remove spurious font parameter
	from update(). Fix drawing of ERT insets inside
	insets (bug 966). Remove unused mark_dirty from
	tabular's updateLocal()

2003-03-19  John Levon  <levon@movementarian.org>

	* insetfloat.h:
	* insetfloat.C:
	* insetinclude.h:
	* insetinclude.C:
	* insetminipage.h:
	* insetminipage.C:
	* insetwrap.h:
	* insetwrap.C: remove unused getter/setters

2003-03-19  John Levon  <levon@movementarian.org>

	* several files: bv->updateInset() doesn't take
	a bool mark_dirty any more

2003-03-17  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* adjust for BufferView* arg removal from lyxtext.

2003-03-17  John Levon  <levon@movementarian.org>

	* most files: remove the "cleared" parameter
	to draw in favour of always clearing. Associated
	code removal.

2003-03-16  John Levon  <levon@movementarian.org>

	* insettext.C: remove unused s.refresh

2003-03-13  Angus Leeming  <leeming@lyx.org>

	* insettext.C (edit): replace Dialogs::updateParagraph with
	BufferView::dispatch(LFUN_PARAGRAPH_UPDATE).

2003-03-13  André Pönitz <poenitz@gmx.net>

	* Makefile.am: insert insetenv

	* insethenv.[Ch]: new files, currently inactive

2003-03-12  John Levon  <levon@movementarian.org>

	* Makefile.am:
	* inset.h:
	* inset.C:
	* insetert.h:
	* insetert.C:
	* insetnewline.h:
	* insetnewline.C:
	* insetquotes.C:
	* insettext.C: use new insetnewline

2003-03-12  John Levon  <levon@movementarian.org>

	* insettext.C: readToken became readParagraph

2003-03-12  John Levon  <levon@movementarian.org>

	* insettext.C: use parlist iterator for reading contents

2003-03-12  John Levon  <levon@movementarian.org>

	* insettext.C: name change to readToken()

2003-03-11  André Pönitz <poenitz@gmx.net>

	* Makefile.am: insert insethfill

	* insethfill.[Ch]: new files

2003-03-10  Angus Leeming  <leeming@lyx.org>

	* mailinset.[Ch] (showDialog, updateDialog): now take a mandatory
	BufferView * arg.
	(hideDialog): calls the new static Dialogs::hide() method.

	* insetbibitem.C (edit):
	* insetbibtex.C (edit):
	* insetcite.C (edit):
	* insetcommand.C (localDispatch):
	* inseterror.C (d-tor):
	* insetert.C (showInsetDialog):
	* insetexternal.C (localDispatch, edit):
	* insetfloat.C (localDispatch, showInsetDialog):
	* insetfloatlist.C (edit):
	* insetgraphics.C (localDispatch, edit):
	* insetinclude.C (localDispatch, edit):
	* insetindex.C (edit):
	* insetlabel.C (edit):
	* insetminipage.C (localDispatch, showInsetDialog):
	* insetref.C (edit):
	* insettabular.C (unlockInsetInInset, lfunMouseRelease, localDispatch,
	resetPos, showInsetDialog, openLayoutDialog):
	* insettoc.C (edit):
	* inseturl.C (edit):
	* insetwrap.C (localDispatch, showInsetDialog):
	changes due to the changed MailInset interface.

2003-03-10  Dekel Tsur  <dekelts@tau.ac.il>

	* insetfloat.h: Set default placement to an empty string.

2003-03-10  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C (latex): adjust call to latexParagraphs.

2003-03-10  Angus Leeming  <leeming@lyx.org>

	* mailinset.C: warn the user if the BufferView has not been cached.

2003-03-10  Angus Leeming  <leeming@lyx.org>

	* inset.h, insetbase.h: move cache() and view() into InsetBase.

	* insetcommand.h (inset):
	* insetert.h (inset):
	* insetexternal.h (inset):
	* insetfloat.h (inset):
	* insetgraphics.h (inset):
	* insetinclude.h (inset):
	* insetminipage.h (inset):
	* insettabular.h (inset):
	* insetwrap.h (inset):
	* mailinset.h (inset): return an InsetBase &, not an Inset &.

2003-03-10  Angus Leeming  <leeming@lyx.org>

	* insetcommand.C (string2params):
	* insetexternal.C (string2params):
	* insetfloat.C (string2params):
	* insetgraphics.C (string2params):
	* insetinclude.C (string2params):
	* insetminipage.C (string2params):
	* insettabular.C (string2params):
	* insetwrap.C (string2params): cure warning message about missing
	'\end_inset'.

2003-03-09  Angus Leeming  <leeming@lyx.org>

	* insettabular.[Ch]: define a new class InsetTabularMailer and use
	it to communicate with the frontend dialogs.

	* mailinset.C (hideDialog): only hide the dialog if it is showing the
	contents of this inset!

2003-03-07  Angus Leeming  <leeming@lyx.org>

	* inseterror.C (localDispatch): new method; calls edit() on
	LFUN_MOUSE_RELEASE.

2003-03-07  Angus Leeming  <leeming@lyx.org>

	* insetbibitem.C (localDispatch):
	* insetbibtex.C (localDispatch):
	* insetlabel.C (localDispatch):
	rewrite as a switch.

2003-03-07  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.[Ch]: define a new class InsetGraphicsMailer and use
	it to communicate with the frontend dialogs.

2003-03-07  Angus Leeming  <leeming@lyx.org>

	* insetexternal.C: remove operator== and operator!= for
	InsetExternal::Params. They were used only by the old controller
	scheme.

2003-03-07  Angus Leeming  <leeming@lyx.org>

	* insetcommand.C (localDispatch):
	* insetexternal.C (localDispatch):
	* insetfloat.C (localDispatch):
	* insetinclude.C (localDispatch):
	* insetminipage.C (localDispatch):
	* insetwrap.C (localDispatch):
	add LFUN_INSET_DIALOG_UPDATE to the switch.

2003-03-07  Angus Leeming  <leeming@lyx.org>

	* insetcommand.C (string2params):
	* insetexternal.C (string2params):
	* insetfloat.C (string2params):
	* insetinclude.C (string2params):
	* insetwrap.C (string2params): use LyXLeX more.

	* insetert.[Ch]:
	* insetexternal.[Ch]:
	* insetfloat.[Ch]:
	* insetinclude.[Ch]:
	* insetwrap.[Ch]: change Mailer::name_ to be static.

	* insetminipage.[Ch]: define a new class InsetMinipageMailer and use
	it to communicate with the frontend dialogs.

2003-03-06  Alfredo Braunstein  <abraunst@libero.it>

	* insettext.C:
	* insettabular.C: use LyXText::top_y() instead of LyXText::first_y

2003-03-06  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (updateLocal): un-const function
	(updateLocal): adjust
	(collapseParagraphs): un-const function
	(collapseParagraphs): adjust

2003-03-05  Angus Leeming  <leeming@lyx.org>

	* insetwrap.[Ch]: define a new class InsetWrapMailer and use
	it to communicate with the frontend dialogs.

2003-03-05  Angus Leeming  <leeming@lyx.org>

	* insetcollapsable.C (draw): cache the BufferView.

	* insetfloat.[Ch]: define a new class InsetFloatMailer and use
	it to communicate with the frontend dialogs.

2003-03-05  Angus Leeming  <leeming@lyx.org>

	* insetfloat.[Ch]: move the params into a separate InsetFloatParams
	struct.

2003-03-05  Angus Leeming  <leeming@lyx.org>

	* insetcommandparams.[Ch] (getAsString, setFromString): remove.

	* insetinclude.[Ch]: define a new class InsetIncludeMailer and use
	it to communicate with the frontend dialogs.

2003-03-05  Angus Leeming  <leeming@lyx.org>

	* insetexternal.[Ch]: define a new class InsetExternalMailer and use
	it to communicate with the frontend dialogs.

2003-03-04  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (collapseParagraphs): adjust
	(appendParagraphs): make it take a Buffer* instead of a
	BufferParams& as arg.
	(appendParagraphs): adjust

2003-03-04  Angus Leeming  <leeming@lyx.org>

	* insetbibitem.C (localDispatch):
	* insetbibtex.C (localDispatch):
	* insetcommand.C (localDispatch):
	* insetert.C (localDispatch):
	* insetlabel.C (localDispatch):
	handle LFUN_INSET_MODIFY, not LFUN_INSET_APPLY.

2003-03-04  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (latex): adjust for ParagraphList::iterator

2003-03-03  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetbutton.C (view): adjust for boost 1.30.0
	* insetcollapsable.C (view): ditto
	* insetgraphics.C (statusChanged): ditto

	* insettext.h: move paragraphs to be public.

2003-03-02  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetnote.[Ch] (InsetNote): remove unused constructor

2003-02-28  Alfredo Braunstein  <abraunst@libero.it>

	* insetgraphics.C: added include "format.h"

2003-02-27  Angus Leeming  <leeming@lyx.org>

	* indexlabel.C: use a real, LyX dialog rather than that nasty Alert
	thingy.

2003-02-27  Angus Leeming  <leeming@lyx.org>

	* insetbibitem.C (localDispatch):
	* insetbibtex.C (localDispatch):
	* insetcommand.C:
	* insetert:
	collapse LFUN_XYZ_APPLY to LFUN_INSET_APPLY.

2003-02-26  Angus Leeming  <leeming@lyx.org>

	* insetbibitem.[Ch] (localDispatch):
	* insetbibtex.[Ch] (localDispatch):
	new method. Modify inset on receipt of LFUN_XYZ_APPLY.

	* insetcommand.C (localDispatch):
	act only on receipt of LFUN_XYZ_APPLY.

	* insetert.C (localDispatch): reformat.
	add LFUN_XYZ_APPLY to the switch.

2003-02-26  John Levon  <levon@movementarian.org>

	* insettext.C: use RowPainter

	* inset.h: make helpers take const *

2003-02-26  Angus Leeming  <leeming@lyx.org>

	* insetcommand.[Ch] (localDispatch): new method.

2003-02-26  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C (draw): cache the BufferView* using cache not
	PreviewImpl::setView

2003-02-26  Alfredo Braunstein <abraunst@libero.it>

	* insetgraphics.C (draw)
	* insetinclude.C (draw): Eliminate also the other argument (owner
	inset inset) in the call to PreviewImage::image

2003-02-25  Alfredo Braunstein <abraunst@libero.it>

	* insetgraphics.C (draw)
	* insetinclude.C (draw): Eliminate Buferview argument in call to
	PreviewImage::image

2003-02-25  John Levon  <levon@movementarian.org>

	* insetgraphicsParams.h:
	* insetgraphics.C: don't start a load process if
	  the inset is set to NoDisplay (bug #920)

2003-02-22  John Levon  <levon@movementarian.org>

	* insetfloat.C:
	* insetwrap.C: TocItem changed API (bug 913)

2003-02-21  Angus Leeming  <leeming@lyx.org>

	* insetcollapsable.[Ch] (cache, edit):
	* insetbutton.[Ch] (cache, edit): new methods to cache the
	BufferView in the draw method.

	* insetcommand.[Ch]: implement a new class, InsetCommandMailer, to
	simplify comunication between InsetCommand-derived classes and
	the Dialogs.

	* insetbibitem.[Ch]:
	* insetbibtex.[Ch]:
	* insetcite.[Ch]:
	* inseterror.[Ch]:
	* insetfloatlist.[Ch]:
	* insetindex.[Ch]:
	* insetref.[Ch]:
	* insettoc.[Ch]:
	* inseturl.[Ch]: small changes to reflect the new interface to the
	Dialogs code.

	* mailinset.[Ch]: new files. Base class to InsetCommandMailer and
	other, similar classes.

	* Makefile.am: add new files.

2003-02-21  Angus Leeming  <leeming@lyx.org>

	* updatableinset.h (setView, view): remove.
	* inset.h (view, cache): to be replaced by these.

	* insetbib.[Ch]: removed, to be replaced by insetbibitem.[Ch] and
	insetbibtex.[Ch]:

	* Makefile.am: replace insetbib.[Ch] with insetbibitem.[Ch] and
	insetbibtex.[Ch].

	* inset.h: change BIBKEY_CODE to BIBITEM_CODE.

2003-02-21  Allan Rae  <rae@lyx.org>

	* insetinclude.C (loadIfNeeded): ensure loading also works when
	child document is under version control.

2003-02-17  André Pönitz <poenitz@gmx.net>

	* insetbib.[Ch]: Adjust access to bibkeys

2003-02-14  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetquotes.C (dispString): remove use of acute accent for "'"
	right quote.

2003-02-14  John Levon  <levon@movementarian.org>

	* insettabular.C: changed method names in tabular.C

2003-02-14  John Levon  <levon@movementarian.org>

	* inset.h:
	* inset.C:
	* insetcollapsable.h:
	* insetcollapsable.C:
	* insettabular.h:
	* insettabular.C:
	* insettext.h:
	* insettext.C: remove unused getParFromID()

2003-02-13  John Levon  <levon@movementarian.org>

	* insettext.h:
	* insettext.C: remove unused beginningofMainBody()

2003-02-08  John Levon  <levon@movementarian.org>

	* inset.h:
	* inset.C:
	* insetcollapsable.h:
	* insetcollapsable.C:
	* insettabular.h:
	* insettabular.C:
	* insettext.h:
	* insettext.C:
	  add nextChange(). Make allowSpellcheck() const. Add markErased().

	* insetert.C: ignore deleted text

	* insettabular.C: make sure to keep change  tracking working
	  properly.

2003-01-20  Michael Schmitt <michael.schmitt@teststep.org>

	* insetert.C:
	* insetgraphics.C:
	* insettabular.C:
	* insettext.C: Use error messages with identical spelling and
	punctuation

2003-01-12  Michael Schmitt <michael.schmitt@teststep.org>

	* insetgraphics.C (draw, width): Fix spacing around graphics inset

2002-12-17  Juergen Vigna  <jug@lyx.org>

	* insettext.C (localDispatch): hopefully fixed cursor up down
	movement on leaving other insets.

2003-01-06  Michael Schmitt <Michael.Schmitt@teststep.org>

	* insettext.C: fix inconsistent usage of spaces, colons,
	capitalization, and the like.

2002-12-18  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetgraphics.C (prepareFile): do not remove the extension of
	the file name if it is not the default extension for the given
	format (that is, in latex output, remove extension from foo.eps,
	but not from foo.epsi)

2002-12-17  Alfredo Braunstein <abraunst@libero.it>

	* insettext.C (lfunMouseRelease): hackish solution to the "double
	menu open" bug

2002-12-08  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetfloat.C (addToToc): use the floats name not its type
	* insetwrap.C (addToToc): ditto

2002-12-04  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetnote.C (init): make label font smaller

2002-12-04  John Levon  <levon@movementarian.org>

	* insetinclude.C: ressurect setting of command name

2002-12-02  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetquotes.C (dispString): disambiguate insert call

2002-12-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* several files: ws changes

2002-12-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetquotes.C (dispString): use string::insert for prepending a
	char.

2002-11-21  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetparent.C (getScreenLabel): use boost::format

	* insetgraphics.C (prepareFile): use boost::format
	(ascii): ditto

	* insetfloatlist.C (latex): use boost::format

	* insetcaption.C (draw): use boost::format

2002-11-21  Dekel Tsur  <dekelts@tau.ac.il>

	* insettabular.C (tabularFeatures): Support for block alignment in
	fixed width columns.

2002-11-20  Juergen Vigna  <jug@sad.it>

	* insettabular.C (resetPos): temporary fix for endless loop in
	this function on a redraw.

2002-11-04  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettabular.C (copySelection): STRCONV

	* insetinclude.C (uniqueID): STRCONV
	(latexString): ditto

	* insetgraphics.C: put VersionNumber inside anon namespace
	(createLatexOptions): STRCONV

	* insetcommandparams.C: include config.h

2002-10-31  Rob Lahaye  <lahaye@snu.ac.kr>

	* insetgraphicsParams.C (Write): use lyx::float_equal.
	Write height data correctly.
	(Read): zero scale when reading height data.

2002-10-30  John Levon  <levon@movementarian.org>

	* insetfloat.C (addToTOC): recursively traverse all
	  contents looking for captions (fix #568)

2002-10-25  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetexternal.C (doSubstitution): do not try to replace
	environment variables, this is done when executing the command

2002-10-24  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetexternal.C (doSubstitution): change order of substitution
	to work around ReplaceEnvironmentPath brokenness

2002-10-24  Rob Lahaye  <lahaye@snu.ac.kr>

	* insetgraphicsParams.h (scale): is now a float, not an unsigned int.

	* insetgraphicsParams.C (init, Write): associated changes
	* insetgraphics.C (createLatexOptions): use lyx::float_equal with
	InsetGraphicsParams::scale.

2002-10-21  John Levon  <levon@movementarian.org>

	* inset.h: remove unused DISPATCH_RESULT

	* insettext.C: sgml open/close tag now in sgml namespace

2002-10-21  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.C (draw): Fix the drawing of an inset with a relative
	file path subdir/fig.eps when pasting it into a buffer in a different
	directory.

2002-10-16  John Levon  <levon@movementarian.org>

	* insetspecialchar.C: remove \\protected_separator parsing

2002-09-25  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* insetquote.C: fix LaTeX output of quotation marks.

2002-10-14  Juergen Vigna  <jug@sad.it>

	* insettext.C (localDispatch): remove double setUndo in Cut/Delete/
	Backspace functions which confused the Undo handling.

2002-10-09  Angus Leeming  <leeming@lyx.org>

	* insetcite.[Ch] (setLoadingBuffer): new method, invoked by
	BufferView::dispatch that turns off this optimisation when a new inset
	is inserted.

	* insetcite.C (getNatbibLabel): correct logic of when and when not to
	reload the BibTeX keys.

2002-10-11  André Pönitz <poenitz@gmx.net>

	* insettext.h: handle LFUN_PRIOR/NEXT

2002-07-30  Juergen Spitzmueller <j.spitzmueller@gmx.de>

	* insetfloat.C: fix bug with float settings
	(document default != float default).

2002-09-24  Dekel Tsur  <dekelts@tau.ac.il>

	* insetwrap.C (addToToc): New method.
	(InsetWrap): Set layout to caption.

2002-09-24  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Makefile.am (INCLUDES): loose SIGC_INCLUDES

2002-09-16  John Levon  <levon@movementarian.org>

	* insettabular.h: hasSelection() needs to be public

2002-09-12  Rob Lahaye  <lahaye@snu.ac.kr>

	* insetgraphicsParams.C: use empty string as default for rotateOrigin

2002-09-10  Rob Lahaye  <lahaye@snu.ac.kr>

	* insetgraphicsParams.C: use empty string as default for rotateOrigin

2002-09-11  André Pönitz <poenitz@gmx.net>

	* insettabular.C: implement LFUN_WORDSEL

2002-09-10  John Levon  <levon@movementarian.org>

	* insetinclude.h: remove unused param

2002-09-09  John Levon  <levon@movementarian.org>

	* insetinclude.h:
	* insetinclude.C: remove noload, default to input

2002-09-29  Martin Vermeer  <martin.vermeer@hut.fi>

	* insetgraphics.C: disfuscated use of ']' in built output string.

2002-09-06  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* remove all INHERIT_LANG and INHERIT_LANGUAGE commented code.

2002-08-29  Juergen Vigna  <jug@sad.it>

	* insettabular.C (lfunMousePress): Pay attention where you set
	the x/y values as they depend on which inset in the tabular is
	actually locked. So you surely have to reset them if you (un)lock
	a inset!

2002-08-29  André Pönitz <poenitz@gmx.net>

	* insetfootlike.h: rename include guard to ALL CAPS

	* insettext.C: swap object and first parameter for checkInsetHit calls
	  as this functions has moved from BufferView to LyXText


2002-08-28  Rob Lahaye  <lahaye@snu.ac.kr>

	* insetgraphicsParams.C: remove local displayTranslator and use
	the one from graphics/GraphicsTypes.h.

2002-08-27  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetfloat.C (wide): add BufferParams parameter

	* insetfloatlist.C (read):
	(latex):
	(getScreenLabel):
	* insetfloat.C (latex):
	(floatname):
	* insetcaption.C (draw): use LyXTextClass::floats()

2002-08-26  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetoptarg.h: add std:: qualifier.

2002-08-26  Juergen Vigna  <jug@sad.it>

	* insettext.C (localDispatch): ditto.

	* insettabular.C (localDispatch): fixed mouse pressing lfuns.

2002-08-25  John Levon  <levon@movementarian.org>

	* inseturl.C: elide long URLs (bug 404)

2002-08-23  Rob Lahaye  <lahaye@snu.ac.kr>

	* insetgraphics.[Ch]: remove InsetGraphics::readFigInset()
	remove "Format Version <version_no.>" string from inset header

	* insetgraphics.C:
	* insetgraphicsParams.[Ch]: Implement new graphics dialog

	* insetgraphicsParams.C: keepLyXAspectRatio, width and height are not
	a member of "grfx::Params" anymore.

	* insetminipage.C: apply changes to "enum UNIT" in src/lyxlength.h

2002-08-24  John Levon  <levon@movementarian.org>

	* insetoptarg.h:
	* insetoptarg.C: ws, pedantry ...

2002-08-21  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C (collapseParagraphs): pasteParagraph now in global
	scope
	(appendParagraphs): ditto

2002-08-21  Dekel Tsur  <dekelts@tau.ac.il>

	* insetcite.C (latex): Remove spaces only after commmas.

2002-08-21  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C: remove NO_COMPABILITY stuff

2002-08-15  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (edit): use ParagraphList iterators

	* insetbib.C (bibitemMaxWidth): use ParagraphList iterators
	(bibitemWidest): ditto

2002-08-14  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C: include <boost/bind.hpp>
	add using std::for_each
	(saveLyXTextState): use ParagraphsList::iterator
	(init): use for_each on paragraphlist iterators
	(InsetText): remove superflous setting cached_bview to 0
	(latex): reformat a bit
	(ascii): use paragraphlist iterators
	(validate): use for_each + boost bind
	(getLabelList): use paragraphlist iterators
	(deleteLyXText): use for_each + boost::bind
	(resizeLyXText): ditto
	(reinitLyXText): ditto
	(removeNewlines): use paragraphlist iterators
	(getParFromID): ditto
	(paragraph): use for_each + boost::bind
	(getInsetFromID): use paragraphlist iterators
	(getLabelList): typo fix

2002-08-14  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C (read): assign tmp to paragraphs after return from
	call to parseSingleLyXformat2Token


2002-08-13  Angus Leeming  <leeming@lyx.org>

	* insetbib.C:
	* insetcite.C:
	* inseterror.C:
	* insetert.C:
	* insetexternal.C:
	* insetfloat.C:
	* insetfloatlist.C:
	* insetgraphics.C:
	* insetinclude.C:
	* insetindex.C:
	* insetminipage.C:
	* insetparent.C:
	* insetref.C:
	* insettabular.C:
	* insettext.C:
	* insettoc.C:
	* inseturl.C: changes due to the changed LyXView interface that
	now returns references to member variables not pointers.

2002-08-13  Angus Leeming  <leeming@lyx.org>

	* inset.h:
	* insetcollapsable.h:
	* insetert.h:
	* insettabular.h:
	* insettext.h: forward-declare WordLangTuple
	(selectNextWordToSpellcheck) constify return type.

	* inset.C:
	* insetcollapsable.C:
	* insetert.C:
	* insettabular.C:
	* insettext.C: #include "WordLangTuple.h" and rearrange included files.

2002-08-12  Angus Leeming  <leeming@lyx.org>

	* insetgraphicsParams.C: fix reading of lyxsize_type in 1.2.0
	documents.

2002-08-12  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.C (edit): ignore if entered when pressing mouse
	button 3.

2002-08-12  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetbib.C (bibitemMaxWidth): ParagraphList changes
	(bibitemWidest): ditto
	* insettext.[Ch]: ditto

2002-08-10  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insettext.C, insetert.C: use Paragraph::empty where appropriate

2002-08-09  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C (latexString): remove fudge now that I've found out
	how to enable LaTeX to find the file using input@path.

2002-08-09  John Levon  <levon@movementarian.org>

	* insettext.h:
	* insettext.C: remove unused xpos

2002-08-07  Juergen Vigna  <jug@lyx.org>

	* insettabular.C (localDispatch): make delete not put the stuff
	in the clipboard only do this on a cut operation.

	* insettext.C (localDispatch): make delete and backspace not put
	selected stuff to the clipboard.

2002-08-07  André Pönitz <poenitz@gmx.net>

	* inset.[Ch]:
	* insetcollapsable.[Ch]:
	* insetert.[Ch]:
	* insetparent.[Ch]:
	* insetref.[Ch]:
	* insettabular.[Ch]:
	* insettext.[Ch]:  change (kb_action, arg) pair into a FuncRequest

2002-08-06  John Levon  <levon@movementarian.org>

	* inset.h:
	* inset.C:
	* insetcollapsable.h:
	* insetcollapsable.C:
	* insetert.h:
	* insetert.C:
	* insettabular.h:
	* insettabular.C:
	* insettext.h:
	* insettext.C: use WordLangTuple for spellcheck

2002-08-06  Angus Leeming  <leeming@lyx.org>

	* insetinclude.C: add a monitor to the previewed image, so that the
	image is refreshed if the \input-ed file changes.

2002-08-04  John Levon  <levon@movementarian.org>

	* inset.h:
	* insetnote.h: s/IGNORE_CODE/NOTE_CODE/

2002-08-02  Angus Leeming  <leeming@lyx.org>

	* insetcommandparams.[Ch] (preview): new methods returning and setting
	a new bool preview_ flag.
	(read): read this flag.
	(operator==): add flag to check.

	* insetinclude.C (write): output new preview() flag.
	(previewWanted): use this flag.

2002-08-02  Angus Leeming  <leeming@lyx.org>

	* insetcollapsable.[Ch] (addPreview):
	* insettabular.[Ch] (addPreview):
	* insettext.[Ch] (addPreview): new methods. Can now generate previews
	for insets in insets.

2002-08-02  Angus Leeming  <leeming@lyx.org>

	* insetcite.C: fix typo.

	* insetgraphics.C: kill current_view and instead cache the BufferView
	as a weak_ptr.

	* insetinclude.C: kill current_view and pass the BufferView to the
	PreviewedInset so that it can cache it.

2002-08-01  Angus Leeming  <leeming@lyx.org>

	* inset.h (generatePreview): renamed as addPreview.
	(generatePreview): new method. Allows code to be moved out of
	math_nestinset.C and into the new PreviewedInset class.

	* insetinclude.[Ch] (ascent, descent, width, draw, addPreview):
	add previews to the inset when \input-ing LaTeX.

2002-07-29  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* several files: strip,frontStrip -> trim,ltrim,rtrim

2002-07-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* insetbib.C (latex): modify because of strip changes
	(getKeys): ditto
	* insetnote.C (InsetNote): ditto

2002-07-26  Juergen Vigna  <jug@sad.it>

	* insettabular.C (searchForward): check for lastcell if we
	had a locking inset.

2002-07-25  Juergen Vigna  <jug@sad.it>

	* insettabular.C (insetMotionNotify): Don't update the screen
	if we didn't do nothing.
	(searchForward): last cell was not checked.

2002-07-25  Dekel Tsur  <dekelts@tau.ac.il>

	* insetfloat.C (read, write): Allow default placement
	(floatPlacement_ is empty).

2002-07-23  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetminipage.h (noFontChange):
	* insettabular.h (noFontChange):
	* insetfootlike.h (noFontChange):
	* insetfloat.h (noFontChange): return true

	* inset.h (noFontChange): new method, defaulting to false

2002-07-22  Herbert Voss  <voss@lyx.org>

	* insetgraphicsParams.[Ch]: support size_type for old docs

2002-07-22  Herbert Voss  <voss@lyx.org>

	* insetgraphics.C:
	* insetgraphicsParams.[Ch]: change size_type to size_kind and
	other small changes

2002-07-21  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insettext.h: do not include "paragraph.h" and "lyxcursor.h"

	* insetlatexaccent.h: do not include "lyxlex.h"

	* insetgraphicsParams.h: do not include "lyxlex.h" and "buffer.h"

	* insetquotes.C:
	* insetlatexaccent.C:
	* insetgraphics.C:
	* insetexternal.C:
	* insetert.C:
	* insetbib.C: #include "lyxlex.h"

	* insetinclude.C:
	* insetfloat.C:
	* insetert.C:
	* insetbib.C:
	* insettext.C: use BufferParams::getLyXTextClass


	* insetfloat.C (addToToc): new method. Add to toclist the entries
	corresponding to Caption layouts
	(InsetFloat): when creating a new float, set the layout to "Caption"

2002-07-21  Herbert Voss  <voss@lyx.org>

	* insetgraphicsParams.C: fet the keepLyXAspectRatio run. Move the
	image relevant part into graphics/GraphicsImgae.C

2002-07-21  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insettoc.C (ascii):
	* insetfloatlist.C (ascii): change to use the new Toc functions
	instead of stuff that was in Buffer

2002-07-20  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insettext.C (localDispatch): BufferView::Dispatch has been
	renamed to BufferView::dispatch

2002-07-19  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetgraphicsParams.C (as_grfxParams): use the new
	keepLyXAspectRatio parameter. Note that this is an adaptation of a
	1.2.0 patch, and I do not really know how to adapt it to the new
	grfx::Cache world. Angus, please could you have a look?

2002-05-01  Herbert Voss  <voss@lyx.org>

	* insetgraphicsParams.[Ch]: define a new keepLyXAspectRatio parameter.

2002-07-18  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.C: clean-up comments (from Herbert).
	add a new checksum variable to the cache. Use it in PrepareFile.
	(draw): start monitoring the file for a change.
	(prepareFile): re-arrange a little to avoid unnecessary steps.

2002-07-17  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.C (Cache c-tor): bind to the GraphicsLoader through
	a method rather than to the signal directly.

2002-07-17  John Levon  <moz@compsoc.man.ac.uk>

	* insettext.C: use view_state_changed, switchKeyMap

2002-07-17  Herbert Voss  <voss@perce.de>

	* insetgraphics.C (prepareFile): keep the extension when
	exporting to nice file

2002-07-15  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetcite.C (getNatbibLabel):
	* insetbib.C (getKeys): use ascii_lowercase instead of lowercase

2002-07-15  John Levon  <moz@compsoc.man.ac.uk>

	* insetgraphics.C: use ->isDrawable()

2002-07-12  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.C: use the new smart loading capabilities of the image
	loader.

2002-07-13  Dekel Tsur  <dekelts@tau.ac.il>

	* insettabular.C (edit): Move into correct cell when entering a
	tabular in

	* insettext.C (unlockInsetInInset): Correct cursor behaviour for
	RTL paragraphs.

2002-07-05  Angus Leeming  <leeming@lyx.org>

	* inset.h (generatePreview): new virtual method.

2002-07-04  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetcommandparams.[Ch] (operator=): move out of class
	(operator!): move out of class

2002-07-04  André Pönitz <poenitz@gmx.net>

	* insetcommandparams.[Ch]: new files

	* insetcommand.[Ch]: move code to insetcommandparams.[Ch]

2002-06-15  Herbert Voss  <voss@perce.de>

	* insetgraphics.C (prepareFile): bugfix; return always
	files without extension

2002-06-28  Angus Leeming  <leeming@lyx.org>

	* insetgraphicsParams.[Ch]: forward declare grfx::Params.
	rename asGParams -> as_grfxParams.

	* insetgraphics.C: reflect above change.

2002-06-26  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.h: use boost::scoped_ptr in preference to
	std::auto_ptr.

2002-06-26  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.C: moved the image loading stuff into a new class
	grfx::Loader. Simplifies this file enormously.

	* insetgraphics.h: no longer #include "graphics/GraphicsTypes.h".

	* insetgraphicsParams.C: changes aassociated with moving
	grfx::DisplayType out of grfx::GParams.

2002-06-26  André Pönitz <poenitz@gmx.net>

	* insetgraphics.C: use os::external_path where necesaary according to a
	patch from Claus Hentschel)

2002-06-25  Angus Leeming  <leeming@lyx.org>

	* insetgraphics.[Ch]: The inset now assumes the responsibility for
	generating a pixmap once the graphics file is loaded into memory.
	The current_view ugliness that was in grfx::ModifiedImage has been
	moved here now that grfx::ModifiedImage is no more.

2002-06-24  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C: layout as layout

2002-05-28  André Pönitz <poenitz@gmx.net>

	* insetfloatlist.h: remove source of compiler warning

	* insetref.C: tiny whitespace

2002-06-15  Herbert Voss  <voss@perce.de>

	* insetgraphics.C: (prepareFile) fix bug with zipped eps-files
	and take always convert when no userdefined converter was
	found
	(latex) small changes in the lyxerr output

2002-06-15  LyX Development team <lyx@rilke>

	* inset*.[Ch] (docbook): Added new argument to take the pernicious
	mixed content. Small white spaces clean.

2002-06-14  Angus Leeming  <leeming@lyx.org>

	* inseetexternal.C: remove the using std::difftime declaration.

2002-06-13  Edwin Leuven  <leuven@fee.uva.nl>

	* insetquotes.C: change lyxfont::draw to font_metrics::draw

2002-06-12  Vitaly Lipatov  <LAV@VL3143.spb.edu>

	* insetquotes.C (draw): fix drawing of double quotes

2002-06-12  John Levon  <moz@compsoc.man.ac.uk>

	* insettabular.C: s/scrollCB/scrollDocView/

2002-06-12  John Levon  <moz@compsoc.man.ac.uk>

	* insettext.C: change of topCursorVisible()
	  prototype

2002-06-12  John Levon  <moz@compsoc.man.ac.uk>

	* insettext.h:
	* insettext.C: rename/change of LyXScreen

2002-06-07  Angus Leeming  <leeming@lyx.org>

	Fixes needed to compile with Compaq cxx 6.5.

	* insetexternal.C: all c-library variables have been moved into
	namespace std. Wrap using std::xyz declarations inside a #ifndef
	CXX_GLOBAL_CSTD block.

2002-06-05  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetinclude.C (uniqueID):
	* insetgraphics.C (uniqueID): renamed from unique_id, since this
	conflicted with some AIX headers.

2002-05-31  Juergen Vigna  <jug@sad.it>

	* insetert.C (get_new_label): add '...' for multi-paragraph ert
	insets too
	(update) new method

2002-05-30  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetexternal.C (clone): fix () bug when using new
	(updateExternal): don't only look for difftime in global scope

2002-05-30  John Levon  <moz@compsoc.man.ac.uk>

	* insettabular.C: add const

2002-05-29  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetgraphicsParams.C (Read): use lyxlex::eatLine to read the
	file name, in case there are weird characters like ',' in there.
	(bug #407)

2002-05-29  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* switch from SigC signals to boost::signals.

2002-05-28  André Pönitz <poenitz@gmx.net>

	* insets/insetgraphicsParams.[Ch]:
	  put in inset related stuff from src/graphic

2002-05-26  John Levon  <moz@compsoc.man.ac.uk>

	* inset.C:
	* inset.h:
	* insetbib.C:
	* insetbib.h:
	* insetcite.h:
	* insetcite.C:
	* insetcollapsable.C:
	* insetcollapsable.h:
	* inseterror.C:
	* inseterror.h:
	* insetert.C:
	* insetert.h:
	* insetexternal.C:
	* insetexternal.h:
	* insetfloatlist.C:
	* insetfloatlist.h:
	* insetgraphics.C:
	* insetgraphics.h:
	* insetinclude.C:
	* insetinclude.h:
	* insetindex.C:
	* insetindex.h:
	* insetlabel.C:
	* insetlabel.h:
	* insetparent.C:
	* insetparent.h:
	* insetref.C:
	* insetref.h:
	* insettabular.C:
	* insettabular.h:
	* insettext.C:
	* insettext.h:
	* insettoc.C:
	* insettoc.h:
	* inseturl.C:
	* inseturl.h: use mouse_state. Kill insetKeyPress

2002-05-24  John Levon  <moz@compsoc.man.ac.uk>

	* insetbib.C:
	* insetbutton.C:
	* insetcaption.C:
	* insetcollapsable.C:
	* inseterror.C:
	* insetgraphics.C:
	* insetlatexaccent.C:
	* insetquotes.C:
	* insetspecialchar.C:
	* insettabular.C:
	* insettext.C: name change for font metrics

2002-05-24  Juergen Vigna  <jug@sad.it>

	* insetgraphics.h: include inset.h first (for LString.h)

2002-05-23  John Levon  <moz@compsoc.man.ac.uk>

	* insettext.C: screen moved

2002-05-23  John Levon  <moz@compsoc.man.ac.uk>

	* insetbib.C:
	* insetcite.C:
	* inseterror.C:
	* insetert.C:
	* insetexternal.C:
	* insetfloat.C:
	* insetfloatlist.C:
	* insetgraphics.C:
	* insetinclude.C:
	* insetindex.C:
	* insetminipage.C:
	* insetparent.C:
	* insetref.C:
	* insettabular.C:
	* insettext.C:
	* insettoc.C:
	* inseturl.C: LyXView moved into frontends/

2002-05-23  John Levon  <moz@compsoc.man.ac.uk>

	* inset.C:
	* insetbutton.C:
	* insetcaption.C:
	* insetcollapsable.C:
	* insetcommand.C:
	* inseterror.C:
	* insetgraphics.C:
	* insetgraphicsParams.C:
	* insetlatexaccent.C:
	* insetquotes.C:
	* insetspecialchar.C:
	* insettabular.C:
	* insettext.C: move Painter to frontends/

2002-05-22  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettabular.h: use more specific smart_ptr header.
	* insettext.h: ditto

	* insetgraphics.C (InsetGraphics): change call of shared_ptr::reset
	(draw): ditto

2002-05-15  John Levon  <moz@compsoc.man.ac.uk>

	* insettext.C: clear selection on paste (bug 393)

2002-05-11  Dekel Tsur  <dekelts@tau.ac.il>

	* insettext.C (latex): Honor the moving_arg argument.

2002-04-22  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetfoot.C (latex): if a footnote is in a title layout, then it
	is a \thanks. And then, its contents is a moving argument.

2002-05-14  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.C (InsetCollapsable): forgot to initialize
	first_after_edit.

2002-05-09  Angus Leeming  <a.leeming@ic.ac.uk>

	* Insetcite.C (getNatbibLabel): don't disable natbib label support
	when using options "Full author list" or "Upper case".

2002-05-14  Herbert Voss  <voss@perce.de>

	* insetgraphics.C (prepareFile): allow files with same name
	in different dirs
	(readFigInset): set the flags from old figinset in the right
	manner
	(findTargetFormat): more comments

2002-05-14  Juergen Vigna  <jug@sad.it>

	* insettext.C (edit): tell checkAndActivateInset() that we don't
	have a button press.
	(checkAndActivateInset): if button < 0 we don't have a button press
	on the inset and os we won't call edit on it if it's not a Highly
	editable inset (then we have to enter it).

2002-05-13  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.C (insetButtonRelease): returned wrong return
	value.

2002-05-09  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.C (edit): first_after_edit should only be
	set to true if we enter this inset and it was collapsed so we
	open it up. This is needed to reclose it after a search/replace
	or spellcheck function opened it and was negative.

2002-05-09  Dekel Tsur  <dekelts@tau.ac.il>

	* insetfloat.C (latex): Return correct value.

2002-05-04  Herbert Voss  <voss@perce.de>

	* InsetgraphicsParams.C (read): fix bug with WH

2002-05-05  Dekel Tsur  <dekelts@tau.ac.il>

	* insetfloat.C (latex): More sensible latex output
	(fix the problem with endfloat).

2002-05-02  José Matos  <jamatos@fep.up.pt>

	* insetgraphics.C (validate): acess params as everyone else.

2002-05-03  Juergen Vigna  <jug@sad.it>

	* insettabular.C (fitInsetCursor): recalculate the cursor position
	if I request it.

2002-05-01  Angus Leeming  <a.leeming@ic.ac.uk>

	* InsetgraphicsParams.[Ch]: whitespace.

2002-04-28  Dekel Tsur  <dekelts@tau.ac.il>

	* insetfloatlist.C (getScreenLabel): Fix crash in the case where
	float type do not exist.

2002-04-28  Herbert Voss  <voss@perce.de>

	* insetgraphics.C (latex): fix bug with missing file-extension.
	LaTeX still allows a missing "eps" or "ps".

2002-04-26  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetfloat.C (c-tor, wide): translate the name of the float.

2002-04-22  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetcite.[Ch]: take Herbert's patch to give WYSIWYG citation labels
	when using natbib and make it work efficiently. Must emphasise that the
	real work is Herbert's.

2002-04-23  Herbert Voss  <voss@perce.de>

	* insetgraphic.C (prepareFile): fix bug with overwriting and
	deleting an existing *.eps-file in the doc-dir

2002-04-23  Juergen Vigna  <jug@sad.it>

	* insettabular.C (drawCellSelection): fix off by 1 error.

2002-04-22  Juergen Vigna  <jug@sad.it>

	* insettabular.C (setFont): rewoke full selection if it was asked,
	after we changed all we had to change.

	* insettext.C (insetUnlock): code was uninitialized in some situations.

2002-04-19  Herbert Voss  <voss@perce.de>

	* insetgraphic.C (prepareFile): return filename without
	extension if we only export without compiling

2002-04-19  Juergen Vigna  <jug@sad.it>

	* insettext.C (draw): call a fullRebreak on the row where we had a
	change and reset the cursor and selection-cursors.

	* insettabular.C (insetUnlock):
	(insetButtonPress): call an update before setting the_locking_inset = 0
	as otherwise we don't repaint!
	(update): reset the cursor position when we changed dimensions as
	otherwise our cursor may be on the wrong spot.

2002-04-18  Juergen Vigna  <jug@sad.it>

	* insettabular.C (localDispatch): repaint the cell if it was unlocked.
	(unlockInsetInInset): set the_locking_inset to 0 only AFTER we made the
	redraw otherwise we won't redraw.

	* insettext.C (draw): fixed the setting of LyXText::first_y it was
	not really right before, but I only discovered this with the last
	changes to Page up/down.

2002-04-17  Juergen Vigna  <jug@sad.it>

	* insettext.C (checkAndActivateInset): simplified as we now have the
	edit(bv, bool) call.

	* insettext.h: changed behind variables to front variables to be
	equal to the one in the edit call (as it is for that they are used).

2002-04-16  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetnote.h (ascii): overide the InsetCollapsable::ascii method to
	not output anything at all!

2002-04-16  Juergen Vigna  <jug@sad.it>

	* insettabular.C (insetButtonPress):
	(insetUnlock): call a redraw on unlocking the cell inset.

	* insettext.C (insetButtonPress): same as below.
	(lockInset): new function to set initial values when inset should
	be locked.
	(insetButtonPress): use above function.
	(insetUnlock): don't force a repaint only set the updateStatus. The
	outside world should repaint if it thinks it should be done!

	* insettabular.C (insetButtonPress): init values if not set as locked
	as we are locked if someone presses on us and don't call the edit()
	call of the InsetText to lock it do it as BufferView does it!

	* inset.h (insetInInsetY): make func const and return an int.
	* insettext.C:
	* insettabular.C:
	* insetcollapsable.C: adapt the above changed function.

2002-04-15  Juergen Vigna  <jug@sad.it>

	* insettext.C (getCursorPos): return relative position as to be able
	to give them directly to the edit() call.
	(edit): we have to set also x_fix as it is not set inside the
	setCursorFromCoordinates call!
	(insetMotionNotify): ditto.

2002-04-16  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetbib.C (getKeys): strip leading '\t's from the line too.
	With thanks to Henry Pfister <hpfister@ucsd.edu>.

2002-04-12  Juergen Vigna  <jug@sad.it>

	* insettext.h: added cix() helper function and use it where appropriate

2002-04-12  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetgraphics.C (prepareFile): fix bug when graphics is a
	relative path

2002-04-12  Juergen Vigna  <jug@sad.it>

	* insettext.C (insertInset): remove unneeded code!
	(updateLocal): fitCursor() fixes.
	(collapseParagraphs): fix a possible problem when having a selection
	and collapsing the paragraphs.

2002-04-08  Herbert Voss  <voss@perce.de>

	* insetgraphic.C (write): write the rotating angle as
	a float as is. test only for != 0.0

2002-04-11  Juergen Vigna  <jug@sad.it>

	* insettext.C: new function ciy() and use it for setting inset_y.

	* insetert.C (draw): fix the x return for collapsed version.

2002-04-07  Herbert Voss  <voss@perce.de>

	* insetgraphic.C (readFigInset): fix bug with subcaption and
	rotating

2002-04-08  Herbert Voss  <voss@lyx.org>

	* insetgraphicsparam.C: forgot special option and delete old
	1.2.0 stuff

2002-04-05  Juergen Vigna  <jug@sad.it>

	* insettext.C (localDispatch): make a CURSOR update if we inserted
	a character.

2002-04-04  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetfloatlist.C (getScreenLabel):
	(latex): use Floating::listName
	(validate): new method

2002-04-03  José Matos  <jamatos@fep.up.pt>

	* insetlabel.C (docbook): the anchor is an empty element in docbook.

	* insetfoot.[Ch] (docbook): added forgotten method.

2002-04-03  Juergen Vigna  <jug@sad.it>

	* insettext.C (insetButtonPress): fix insetButtonPress events the same
	way as in Bufferview_pimpl.

2002-04-03  Allan Rae  <rae@lyx.org>

	* insetgraphics.C (latex): one % too many makes living on the bleeding
	edge fun with less than 30 minutes to a meeting with a PhD supervisor.

2002-03-28  Herbert Voss  <voss@lyx.org>

	* insetgraphic.C (latex): simplify the code for the latex
	output when the file doesn't exist

2002-03-29  Juergen Vigna  <jug@sad.it>

	* insettext.C (updateLocal): fixes to fitCursor calls when locking/
	unlocking inset.

	* insettabular.C (edit): call fitCursor().

	* insettext.C (insetButtonPress): change behaviour of no_selection
	to the one in the BufferView selection_possible and fix the spurious
	selection bug with it.
	(localDispatch): revoke selection on BREAK... functions.

2002-03-28  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetfloatlist.C (getScreenLabel): translate the GUI label.

2002-03-28  Juergen Vigna  <jug@sad.it>

	* insettabular.C (insetAllowed): return true as default value otherwise
	we're not able to insert insets inside paragraphs of an not locked
	insettext!

2002-03-27  Herbert Voss  <voss@lyx.org>

	* insetgraphicsparam.C: change c%, p% to col%, page%

2002-03-27  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetspecialchar.C (isLineSeparator): disable the nice code to
	allow linebreaks after hyphenation and menu separators.

2002-03-26  Herbert Voss  <voss@lyx.org>

	* insetgraphics.C (figinsetRead): set the right lyxview

2002-03-26  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetgraphicsParams.C (latexify): use \textbackslash in preference to
	$\backslash$ and pass a "string const &" to the function.
	(prepareFile, latex): use Path rather than MakeAbsPath.

2002-03-26  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetgraphicsParams.C (Read): revert Herbert's fix and apply the
	proper fix to the graphics cache.
	(latex): "really" nice output if the file is not found ;-)

2002-03-26  Juergen Vigna  <jug@sad.it>

	* insettext.C (setText): added a LyXFont param and call reinitLyXText()
	(collapseParagraphs): fixed inserting of separator ' '

	* insettabular.C (insertAsciiString): only check for buffer lenght
	not if we have \t or \n inside the buffer as if we don't have we only
	have 1 cell and that's it!

	* insetert.C (close): don't collapse if inlined.

2002-03-25  Herbert Voss  <voss@lyx.org>

	* insetgraphicsParams.C (Read): prevent LyX from hanging if the
	graphics file does not exist.

2002-03-25  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetgraphics.C (prepareFile): ensure that the file has an absolute
	path when preparing export.

	* insetgraphicsParams.[Ch] (Write): no longer passed Buffer *, as we
	no longer MakeRelPath.

2002-03-22  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetgraphics.[Ch] (c-tor, setParams, updateInset): passed filepath.
	Used to determine the absolute path to the graphics file in the
	graphics cache and only in the graphics cache.
	(readInsetGraphics, readFigInset) : no longer passed buffer. Do not
	make graphics file name absolute if it is stored as a relative path.

	* insetgraphicsParams.[Ch] (Read): no longer passed buffer. Do not
	make graphics file name absolute if it is stored as a relative path.

	* insettext.C (edit): emit an updateParagraph signal on entering a text
	inset. Needs to be emitted when leaving the inset also.

2002-03-21  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* all files: ws cleanup

	* Makefile.am: remove ld -r stuff

2002-03-21  Juergen Vigna  <jug@sad.it>

	* insettext.C (appendParagraphs): new function added to append
	the paragraphs to this insets paragraphs.

2002-03-20  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* Makefile.am: special rules if partial linking

2002-03-19  Juergen Vigna  <jug@sad.it>

	* insetgraphics.C (draw): fixed the setting of CHANGED_IN_DRAW!

2002-03-18  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetgraphics.C: Clean up Baruch's comments a little.
	(c-tor): remove code setting id_, as it's set in the Inset c-tor.

2002-03-14  John Levon  <moz@compsoc.man.ac.uk>

	* insettabular.C:
	* insettheorem.C: wrap warnings

	* insetgraphics.C: improve messages, move cached_status_
	  setting to safer place

2002-03-18  Juergen Vigna  <jug@sad.it>

	* insettabular.C (unlockInsetInInset): removed unneeded showCursor
	calls.
	(localDispatch): ditto

	* insettext.C (edit): removed unneeded showCursor calls.
	(localDispatch): ditto.

2002-03-13  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetgraphics.h: remove display() method.

2002-03-11  Juergen Vigna  <jug@sad.it>

	* insetgraphics.C (draw): hack to fix the redrawing bug.
	(draw): seems this fixes #268 (force redraw of row if we changed).

	* insettext.C (updateInsetInInset): fixed for updates in insets inside
	this inset text (don't know why I missed this earlier).

2002-03-08  Juergen Vigna  <jug@sad.it>

	* insettabular.C (updateLocal): do a FULL update if we're not locked
	and only a CELL update is asked.

	* insettext.C (updateInsetInInset): update insets inside inset also
	if it isn't inside the_locking_inset.

	* insettabular.C (updateInsetInInset): ditto.

2002-03-06  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetexternal.C (doSubstitution): check whether we are using a
	temp dir for defining $$FPath

2002-03-07  Angus Leeming  <a.leeming@ic.ac.uk>

	* insettabular.C:
	* insettext.C: remove #include "WorkArea.h".

2002-03-06  Juergen Vigna  <jug@sad.it>

	* insettext.C (draw): fixed frame redrawing.
	(clear): forgot to set the inset_owner of the paragraph.

	* insetert.C (status): pay attention the bv can be 0 here!
	(getMaxWidth): add the default leftMargin

2002-03-06  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetert.C (getMaxWidth): make w unsigned int.

2002-03-05  Juergen Vigna  <jug@sad.it>

	* insetert.C (status): change behaviour of Inlined.
	(getMaxWidth): added for new inlined behaviour.

2002-03-05  José Abílio Oliveira Matos  <jamatos@novalis.fc.up.pt>

	* insetnote.h (linuxdoc, docbook): add empty methods.
	* insetinclude.C (validate): fix a case where buffer->niceFile was used
	before being initialized.

2002-03-05  Juergen Vigna  <jug@sad.it>

	* insettext.C (insetButtonPress): don't call exit on a InsetButtonPress
	only that one in the inset. Should be enough.
	(updateLocal): set the selection cursor always if we don't have a
	selection to be sure it's set!

	* insettabular.C (insetButtonPress): don't hit a sub inset 2 times.

2002-03-04  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C (clear): a gross hack to set layout on a newly
	created paragraph.

2002-03-04  Juergen Vigna  <jug@sad.it>

	* insettabular.C (localDispatch): inserted handling of
	LFUN_FILE_INSERT_ASCII_PARA and LFUN_FILE_INSERT_ASCII.
	(insertAsciiString): new helper function.

2002-03-04  Jose Abilio Oliveira Matos  <jamatos@novalis.fc.up.pt>

	* insetinclude.C (linuxdoc, docbook): deal correctly with the niceFile
	argument.

2002-03-03  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C (InsetText): initalize newly created par with
	default layout. add bufferparams parameter
	first -> first_y

	* insetcaption.[Ch] (InsetCaption): add BufferParams parameter
	* insetcollapsable.[Ch] (InsetCollapsable): ditto
	* insetert.[Ch] (InsetERT): ditto
	* insetfloat.[Ch] (InsetFloat): ditto
	* insetfoot.[Ch] (InsetFoot): ditto
	* insetfootlike.[Ch] (InsetFootLike): ditto
	* insetmarginal.[Ch] (InsetMarginal): ditto
	* insetminipage.[Ch] (InsetMinipage): ditto
	* insetnote.[Ch] (InsetNote): ditto
	* insettabular.[Ch] (InsetTabular): ditto + adjust for tabular changes

2002-03-02  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C: layout as string

	* insetinclude.C: layout as string

	* insetert.C: layout as string

	* insetbib.C: layout as string

2002-02-28  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetert.C:
	* insettabular.C: remove #include "lyx_gui_misc.h".

2002-02-26  John Levon  <moz@compsoc.man.ac.uk>

	* Makefile.am:
	* figinset.h:
	* figinset.C:
	* inset.h: remove figinset, yahoo !

2002-02-28  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetgraphics.C (c-tors): initialise parent classes explicitly in
	copy c-tor and initialise member variables in the correct order.

2002-02-28  Juergen Vigna  <jug@sad.it>

	* insettabular.C (localDispatch): clear selection on PgUp/Down.

2002-02-28  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* inset.h: ... and add a better one here.

	* insetcommand.C (insetButtonRelease): remove that one which was a
	bit broken...

2002-02-27  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetcommand.C (insetButtonRelease): ... and move it here.

	* inseturl.h: remove insetButtonRelease from there...

2002-02-26  Juergen Vigna  <jug@sad.it>

	* inseturl.h: Added a insetButtonRelease call returning true as
	prove of concept.

	* insetlabel.C (edit): Fixed wrong update handling after change I
	leave in the wrong code for the one who wrote it to remove and have
	a look what he did wrong.

	* insettabular.C (localDispatch): force a SELECTION update if we
	had a selection and we passed the event down to the inset (fix #213)
	(localDispatch): handle font changing stuff when we have a cell
	selection so that the selection is not rewoked. I don't really like
	this fix, but it's the only way I see to do it right now.

2002-02-22  Juergen Vigna  <jug@sad.it>

	* insettext.C (insetUnlock): set the cursor to the second paragraph
	if available and if the first one is empty (fix #191).

2002-02-20  Juergen Vigna  <jug@sad.it>

	* insettext.C (getDrawFont): implemented this function to call the
	one of the owner if present as the owner normally knows what to do
	with us.

	* insetert.C: implement getDrawFont() function and comment out all
	the crap for setting a special latex font inside this inset.
	(InsetERT): added a Lanugage parameter to this constructor.

	* inset.h: added function getDrawFont(LyXFont & font) to be able to
	change the font for being drawn on screen (used only in InsetERT for
	now).

	* insettabular.C (draw): clear the parts around a cellinset ALWAYS
	and also above (was missing).
	(updateLocal): don't remove the cell selection if we have one this
	should be done where we really want to remove it.

2002-02-20  José Matos  <jamatos@fep.up.pt>

	* insetinclude.h: include_label made string const.

	* insetinclude.C (InsetInclude): moved include_label initialization.
	(linuxdoc):
	(docbook):
	(validate): fix support for temporary directory, for docbook and
	linuxdoc.

	* insetgraphics.h : new private member, graphic_label, that holds
	the entity name that defines the graphics location (SGML).

	* insetgraphics.C (unique_id): new function to give a unique label
	for graphic.
	(docbook):
	(validate): the file locatation is given by an entity reference.

2002-02-18  Herbert Voss  <voss@lyx.org>

	* insetgraphics.C: use [Debug::GRAPHICS] for lyxerr

2002-02-18  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetexternal.C Changes due to the renaming of support/syscall.[Ch]
	as support/systemcall.[Ch] and of class Systemcalls as class
	SystemCall.

2002-02-18  José Matos  <jamatos@fep.up.pt>

	* insetinclude.C (validate): some code only applies to latex buffers,
	it was made conditional.

2002-02-12  Herbert Voss  <voss@lyx.org>

	* insetgraphics.C: (prepareFile) do not check at this time
	if the file is present.

2002-02-12  Herbert Voss  <voss@lyx.org>

	* insetgraphics.C: latex(), return the correct newlines

2002-02-13  José Matos  <jamatos@fep.up.pt>

	* inseturl.C (docbook): escape & in url.

2002-02-13  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetspecialchar.C (isLineSeparator): line breaking is allowed
	after HYPHENATION and MENU_SEPARATOR

	* inset.h (isLineSeparator): new method, returns false by default.

2002-02-12  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetert.C (status): do not update the text inset, but the ERT
	inset.

2002-02-11  John Levon  <moz@compsoc.man.ac.uk>

	* insetnote.C: use notebg for background

2002-02-08  Herbert Voss  <voss@lyx.org>

	* insetgraphic.C:
	* insetgraphicsParams.[Ch]: adding new Option noUnzip to
	prevent LyX from unzipping when this should be handled
	by latex vis the graphic.cfg.
	clean up the code

2002-02-08  Herbert Voss  <voss@lyx.org>

	* insetgraphic.C: prepareFile(): fix bug when file doesn't
	exists, than return filename with extension

2002-02-06  Herbert Voss  <voss@lyx.org>

	* insetgraphic.C: prepareFile(): don't convert the file, when
	it's not viewed in LyX. Saves a lot of time when opening a
	document!

2002-02-05  Herbert Voss  <voss@lyx.org>

	* insetgraphic.C:
	* insetgraphicsParams.[Ch]: some cosmetic changes to latex output
	and adding a rotate bool similiar to subcaption

2002-02-04  Herbert Voss  <voss@lyx.org>

	* insetgraphic.C:
	* insetgraphicsParams.[Ch]: add a LyXView-scale to have a
	similiar view to the LaTeX one. Get zipped files work.

2002-02-04  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetgraphicsParams.C (init): set display to DEFAULT.
	No longer #include "lyxrc.h".

2002-02-04  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetgraphics.C (readFigInset): comment out the "zippedFile" stuff
	for now (so that the code compiles).

2002-02-02  Herbert Voss  <voss@lyx.org>

	* insetgraphic.C: delete inVariant() and some minor changes
	* insetgraphicsParams.[C]:

2002-02-01  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetgraphics.C (updateInset): if params.display == DEFAULT,
	interogate lyxrc.display_graphics before diaplaying the graphic.

	* insetgraphicsParams.[Ch]: respect the new DEFAULT state of
	InsetGraphicsParams::DisplayType.

2002-01-31  Herbert Voss  <voss@lyx.org>

	* insetgraphic.C: (readfigInset) set display to pref-default

2002-01-30  Herbert Voss  <voss@lyx.org>

	* insetgraphic.C: get the filetyp from it's contents
	* insetgraphicparams.C: add token scale and lyxrc.display when
	creating a new inset

2002-01-30  Angus Leeming  <a.leeming@ic.ac.uk>

	* figinset.C: added using std::ios directive.

2002-01-30  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* figinset.C (runqueue): open translation file in binary mode (for
	cygwin).

2002-01-27  Herbert Voss  <voss@lyx.org>

	* insetgraphic.[Ch]: mostly newritten to support graphicx with
	all options and to be sure that the old figinsets are correct
	converted.
	* insetgraphicParams.[Ch]: a lot of chamges to have a clean data-
	structure and to support all lengths as LyXLength. The Parameter
	structure changed again, but reading of "old" 1.2 graphic insets
	is no problem.

2002-01-20  Dekel Tsur  <dekelts@tau.ac.il>

	* insetert.h (forceDefaultParagraphs): Added

2002-01-20  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insettabular.C (getMaxWidth):
	(forceDefaultParagraphs): use Tabular::GetCellFromInset

2002-01-19  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insettabular.C (getMaxWidthOfCell): adapt to the new definition
	of LyXLength::inPixels

	* inset.C (latexTextWidth):
	* insetminipage.C (latexTextWidth): new method, which implements
	the equivalent of the LaTeX macro \textwidth

	* insetminipage.C (getMaxWidth): use latexTextWidth

2002-01-18  Juergen Vigna  <jug@sad.it>

	* inset.C (getMaxWidth): try to fix fluctuation of collapsable insets.

2002-01-17  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insettabular.C (getMaxWidthOfCell): use LyXLength::inPixels

	* insetminipage.[Ch]: change width_ and height_ to be LyXLength
	instead of string

2002-01-17  Juergen Vigna  <jug@sad.it>

	* insettabular.C (lockInsetInInset): same change as in insettext.

	* insettext.C (draw): width() function was called without setting
	the right top_x which could lead to wrong insetWidth setting!
	(lockInsetInInset): call edit instead of calling lockInset if we
	have to lock an inset inside!
	(edit): we have to also tell the inset that we have to redraw the
	frame on an edit call if this inset draws a frame only if locked.

2002-01-16  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetbib.C (getFiles): uncomment Path variable.

2002-01-16  Juergen Vigna  <jug@sad.it>

	* insettabular.C (forceDefaultParagraphs): fixed bug returning value
	of wrong cell.

2002-01-16  Allan Rae  <rae@lyx.org>

	* insetinclude.C (docbook): someone forgot a ";"

2002-01-16  José Matos  <jamatos@fep.up.pt>

	* figinset.C (docbook): removed a old place holder "@".
	* insetgraphics.C (docbook): remove the file sufix if graphic is eps.
	* insetinclude.C (linuxdoc): if include is verbatim, then export the
	ascii text version, clearly guarded inside a CDATA section.
	(docbook): in docbook 4, inlinegraphics is empty.
	* insettabular.C (linuxdoc): export the ascii version of the table
	inside a CDATA section.

2002-01-14  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetparent.C (InsetParent):
	* insetgraphicsParams.C (Write):
	(Read):
	* insetgraphics.C (prepareFile):
	(readFigInset):
	(docbook):
	* insetexternal.C (executeCommand):
	(doSubstitution): use Buffer::filePath

	* insetbib.C (getFiles): add a #warning for Angus

	* insetgraphics.C: Add a remark about how filenames should be
	considered to be relative to buffer (but absolute is still allowed)
	(draw): do not try to get status if lyxrc.use_gui is false

2002-01-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* inset.[Ch]:
	* insetcollapsable.[Ch]:
	* insettabular.[Ch] (searchForward, searchBackward): change the
	bool const & params to bool.

	* insetminipage.[Ch] (width, height): renamed as pageWidth, pageHeight
	to avoid the name clash with InsetCollapsable's methods of the same
	names but different functionality.

2002-01-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* insettext.C (ascii): use lyx::count rather than countChar.

2002-01-14  John Levon  <moz@compsoc.man.ac.uk>

	* insettabular.C: return early for the LFUN_*BUF[SEL] funcs too

2002-01-13  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetgraphics.C (updateInset): do not try to render image if
	lyxrc.use_gui is false (bug #104)

	* insetinclude.C (loadIfNeeded): do not call bufferlist.readFile
	if file does not exist

	* figinset.C (browseFile): add shortcuts to directory buttons

	* insettext.C (updateLocal): update menubar and toolbar here too.

2002-01-13  Allan Rae  <rae@lyx.org>

	* insettabular.C (InsetTabular): Both constructors now initialise
	all class variables.

2002-01-11  Juergen Vigna  <jug@sad.it>

	* insettext.C (insetButtonPress): set the_locking_inset to 0.

2002-01-11  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insettabular.C (getStatus): add forgotten brace around multiline
	if statement.

2002-01-09  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetfloat.C (validate): require "float" instead of "floats".

2002-01-08  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettabular.C (getStatus): use FuncStatus

2002-01-08  Juergen Vigna  <jug@sad.it>

	* insettabular.C (insetButtonRelease): now this should work too
	correctly.

	* insetminipage.C (getMaxWidth): fixed for minipage inside insets and
	if the width is a percentage.

	* inset.h: added isChar() function and implemented this for
	insetspecialchar insetquotes and insetlatexaccent.
	added forceDefaultParagraphs() and implemented it for insettabular.

2002-01-07  Juergen Vigna  <jug@sad.it>

	* insettext.C (getLyXText): Fixed this function. An insert into the
	map is only done if we REALLY have a new BufferView.

2002-01-07  Martin Vermeer  <martin.vermeer@hut.fi>

	* insettext.C: fix bug illustrated by attachment #37 of bug #59

2002-01-05  John Levon  <moz@compsoc.man.ac.uk>

	* insetinclude.C: fix use of FileInfo

2002-01-07  Juergen Vigna  <jug@sad.it>

	* insettabular.C (draw): fixed clearing of cell around inset.

2002-01-05  Juergen Vigna  <jug@sad.it>

	* insettext.C (draw): move the calls so that insetWidth/Asc/Desc
	variables are updated.

	* insettabular.C (resetPos): set always the inset_y as it may be
	needed in another function.
	(searchBackward): don't draw while searching.

2002-01-04  Juergen Vigna  <jug@sad.it>

	* insettext.C (lockInsetInInset): forgot to set a cursor.

2002-01-02  Juergen Vigna  <jug@sad.it>

	* insettext.C (insertInset): make the correct undo informations on
	inserting new insets.

2001-12-31  John Levon  <moz@compsoc.man.ac.uk>

	* insettabular.C: correct single-cell select vertically

2001-12-27  Juergen Vigna  <jug@sad.it>

	* insettabular.C (ascii): export as tab-separated-values if the
	function was not called from export (f.ex.: clipboard).

	* insetcollapsable.h: added default support for ascii, linuxdoc and
	docbook export (the insettext is exported by default!)

	* insettabular.C (copySelection): suff the clipboard with the tabular
	data in a tab separated format, seems more naturals then with all the
	formating.

2001-12-24  Juergen Vigna  <jug@sad.it>

	* insettext.C (insetMotionNotify): added a mouse_x & mouse_y position
	to check for REAL mouseMotion.

2001-12-20  Juergen Vigna  <jug@sad.it>

	* inset.C (cursor): return the owners cursor if available instead of
	always only the bv->text->cursor.

	* insettabular.C (checkLongtableSpecial): works now.

2001-12-19  Juergen Vigna  <jug@sad.it>

	* insettabular.C (tabularFeatures): fix the row setting of ltt as
	this has to be always row + 1 as 0 means not selected!
	(checkLongtableSpecial): added
	(tabularFeatures): better longtable options support

	* insettext.C (resizeLyXText): reinit the text always also on a
	empty insettext!

2001-12-18  Juergen Vigna  <jug@sad.it>

	* insettext.C (updateInsetInInset): look if we have to autocollapse
	paragraps and return if the update is requested for ourself.

	* insetert.C (status): update the insettext not myself as that is what
	we need.

	* insetcollapsable.C (updateInsetInInset): always call the InsetText's
	function only return if the update was requested with myself.

	* insettext.C (insetButtonPress): fixed stupid bug.
	(various functions): pay attention that lt is cleared BEFORE calling
	updateLocal() and try to use it in the right manner (don't use it
	if it's not really neccessary!)
	(collapseParagraphs): insert a blank between collapsing paragraphs
	if neccessary (not already there!).

2001-12-18  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettabular.C: move includes around a bit, add a couple of
	consts.

	* insettext.[Ch]: move includes around a bit, other ws changes and
	small stuff.

2001-12-17  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insettext.C (insetButtonRelease): fix compile problem

2001-12-17  Juergen Vigna  <jug@sad.it>

	* insettext.C (insetButtonPress): set the selection cursor!
	(insetButtonPress): clear the selection (and set with that the
	selection.cursor) if we only hit an inset!

	* insetert.C (read): removed piece of compatibility code only needed
	for 1.2.0.

	* insettabular.C (insetButtonRelease): fixed so that sub-dialogs
	can be opened.

	* insetcollapsable.C (insetButtonRelease): changed so that it can
	open eventual existing popup dialogs on mousebutton==3.

	* insetfloat.C (insetButtonRelease): removed not needed anymore!

	* insetminipage.C (insetButtonRelease): removed not needed anymore!

	* inset.C (insetButtonRelease): return a bool for telling the outer
	world that we opened a dialog.

2001-12-07  Juergen Vigna  <jug@sad.it>

	* insettext.C (paragraph): remove the deleteing of paragraphs as
	it was a WRONG move!

2001-12-06  John Levon  <moz@compsoc.man.ac.uk>

	* insettabular.h:
	* insettabular.C: use new setSelection(). Allow
	  selection of single cells.

2001-12-12  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insetquotes.C (latex): fix to use the local language setting at
	the point where the inset is inserted (different macros for
	different french packages)

2001-12-11  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* inset.h: add par_owner_ member variable and parOwner
	setter/accessor.

2001-12-10  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insettabular.C (everywhere): adapt because widths are now real
	widths and not strings

	* insettext.C (draw): re-introduce the calls to width(), ascent()
	and descent() to initialize the caching variables.

2001-12-09  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* insettext.C (draw):
	(drawFrame): use insetWidth instead of last_width

	* insettext.h: remove variable last_width (insetWidth is exactly
	the same) and last_height (computed but never used!)

2001-12-10  Allan Rae  <rae@lyx.org>

	* insettabular.C (localDispatch): cleanup unlockInsetInInset calls

2001-12-05  John Levon  <moz@compsoc.man.ac.uk>

	* insettext.C (insetAllowed): add comment

2001-12-05  Juergen Vigna  <jug@sad.it>

	* insettext.C (insetAllowed): fixed for the case that we directly
	ask the insettext from its LyXText.
	(paragraph): fixed the crash when assigning the par->next() from
	the EmptyParagraphMechanism!

2001-12-05  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetbib.C:
	* insettabular.C:
	* insettext.C: change "while(" to "while ("

2001-12-04  Juergen Vigna  <jug@sad.it>

	* insetert.C (edit): handle Inlined status.

	* insettext.C (insertInset): trying John's fix for the trailing cursor

	* insetert.C (insetButtonPress): added to handle inlined status
	(insetMotionNotify): ditto.

	* insettext.C (clearInset): changed Painter & in BufferView * param,
	to be able to call ascent,descent methods.

2001-12-03  Juergen Vigna  <jug@sad.it>

	* insettext.C (updateInsetInInset): use lt variable to forbid
	changes of LyXText in an update call.
	(updateInsetInInset): fixed updating of non locked insets!

2001-12-01  John Levon  <moz@compsoc.man.ac.uk>

	* insettabular.C: capture some more functions to prevent
	selection drawing problems. Bug #451274

2001-12-01  John Levon  <moz@compsoc.man.ac.uk>

	* insetgraphics.C:
	* insetgraphicsParams.C: fix inverted sense of float_equal

2001-11-30  Juergen Vigna  <jug@sad.it>

	* insettabular.C (InsetTabular): use the save_id flag to create also
	the tabular with the same id's.

	* insettext.C (setParagraphData): added a same_id function for undo
	to set the same paragraph id's as of the paragraph we are setting.

2001-11-30  José Matos <jamatos@fep.up.pt>

	* inseturl.[Ch]:
	* insettoc.[Ch]: DocBook -> docbook.

2001-11-29  André Pönitz <poenitz@gmx.net>

	* inseterror.C:
	* insettext.C: further reduction of header dependencies by using
	lyx::layout_type and lyx::textclass_type from support/types.h

2001-11-29  Juergen Vigna  <jug@sad.it>

	* insettext.C: inserted a reinitLyXText function everywhere I delete
	the paragraphs! This should fixe the crashes we had.
	Also use the new function firstRow() instead of getRowNearY(dummy_y)
	(paragraph): set the InsetOwner() of the new paragraphs!

2001-11-28  André Pönitz <poenitz@gmx.net>

	* insetnote.C: add pos initialization that I removed without
	  knowing what I did.

2001-11-28  Juergen Vigna  <jug@sad.it>

	* insettabular.C (resetPos): hack to not crash with infinite paints.

	* insettabular.h: insert missing function allowSpellcheck()!

	* insetcollapsable.C (draw): fixed wrong width of collapsed inset!

2001-11-04  John Levon  <moz@compsoc.man.ac.uk>

	* insetfloatlist.h:
	* insetfloatlist.C: derive from InsetCommand so gui can use it
	  easily

2001-11-26  André Pönitz <poenitz@gmx.net>

	* insettext.[Ch]:
	* insetert.C:
	* insetnote.C: reduce header dependencies, introduce type for
	positions

2001-11-23  John Levon  <moz@compsoc.man.ac.uk>

	* various: update for Alert.h

2001-11-22  John Levon  <moz@compsoc.man.ac.uk>

	* inset.h: fix comment

	* insettext.C: use par->isInset()

2001-11-22  Allan Rae  <rae@lyx.org>

	* insetcollapsable.h:
	* inset.h: Changes to checkInsertChar() behaviour.
	Now return value indicates whether chars can be inserted.

2001-11-11  Michael A. Koziarski <michael@koziarski.org>

	* various:  updated to use the new LaTeXFeatures

2001-11-14  José Matos  <jamatos@fep.up.pt>

	* insetspecialchar.C (linuxdoc):
	(docbook): don't give a name to a unused variable.

	* insettext.C (docbook): removed unused variable.

2001-11-13  Herbert Voss  <voss@perce.de>

	* insetgraphic.C: fix scale bug

2001-11-13  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* inset.h (isSpace):
	(isLetter): new virtual methods.

	* insetspecialchar.C (isSpace):
	(isLetter): implement here.

2001-11-04  John Levon  <moz@compsoc.man.ac.uk>

	* inset.h: new inline helpers

	* insettext.C: use new helpers

2001-11-07  José Matos  <jamatos@fep.up.pt>

	* insettext.C (docbook): full support for paragraphs inside insettext.

2001-11-06  José Matos  <jamatos@novalis.fc.up.pt>

	* insetindex.C: added header file for std::ostream.

2001-11-03  José Matos  <jamatos@fep.up.pt>

	* insetindex.C: added using std::ostream that I forgot yesterday.

2001-11-02  Ben Guillon  <nicolas.marsgui@libertysurf.fr>

	* insetindex.h (docbook):
	* insetindex.C (docbook): added support for docbook export.

2001-11-02  José Matos  <jamatos@fep.up.pt>

	* insetcaption.C(docbook): added support for docbook export.

2001-11-02  Dekel Tsur  <dekelts@tau.ac.il>

	* insetexternal.C (updateExternal): Do not run update command if
	result file exists and is up to date.

	* ExternalTemplate.C (readFormat): Support the updateresult token.

2001-10-31  Kayvan A. Sylvan  <kayvan@sylvan.com>

	* insetexternal.C (doSubstitution): Fix filepath ($$FPath in
	external_templates) to use the buffer->fileName() but only if
	previewing. Generating a TeX file should make FPath return
	"".

2001-10-30  John Levon  <moz@compsoc.man.ac.uk>

	* insetert.h:
	* insetert.C: fix some problems

2001-10-30  Kayvan A. Sylvan  <kayvan@sylvan.com>

	* insetexternal.C (doSubstitution): Added $$FPath token
	to list of usable substitutions in external inset templates.

2001-10-24  Juergen Vigna  <jug@sad.it>

	* insettabular.C: use new ltType struct for setting longtable
	header and footers also new UNSET enums.

2001-10-24  José Matos  <jamatos@fep.up.pt>

	* insettabular.C (linuxdoc): Now exports the ascii's table version.
	(docbook): If the table is not inside a float then wrap it inside
	<informaltable>...</informaltable>.

2001-10-23  José Matos  <jamatos@fep.up.pt>

	* insetref.C (docbook): removed / terminator to conform SGML.

	* insetspecialchar.C (linuxdoc):
	(docbook): Added support for special chars, more than ascii export.

2001-10-22  Juergen Vigna  <jug@sad.it>

	* insettext.C (checkInsertChar): added for REALLY checking the
	font of the inserted char in the right inset!

2001-10-19  Juergen Vigna  <jug@sad.it>

	* inset.h: added method allowSpellcheck() so that insets who do
	not have anything to spellcheck can tell and so they are over-jumped.
	Implemented for InsetText and co.

2001-10-18  Juergen Vigna  <jug@sad.it>

	* inset.C (getMaxWidth): use LyXText::workWidth(BufferView, Inset *).

2001-10-15  José Matos  <jamatos@fep.up.pt>

	* insetert.C: allow export for docbook and linuxdoc

2001-10-07  Adrien Rebollo <adrien.rebollo@gmx.fr>

	* insetquotes.C (dispString): handles latin3 and latin4 quotes

2001-10-05  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetquotes.C (dispString): fix handling of latin9 quotes

2001-10-03  Juergen Vigna  <jug@sad.it>

	* insetert.C: ditto

	* insetcollapsable.C: change updateInset calls to not tell BV that
	we have changed status.

2001-10-01  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insettabular.C (deletable): make const

2001-09-28  Dekel Tsur  <dekelts@tau.ac.il>

	* insetert.C (latex): Fix the returned value

2001-09-24  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetert.[Ch] (selectNextWordToSpellcheck): new method.
	Returns string(), so nothing in an ERT inset is spellchecked.

	* insetgraphics.C (draw): print the filename if not displaying the
	image.
	(width): make sure that the width and draw methods are consistent.
	(updateInset): don't even load the image into cache if not displaying
	it.

2001-09-21  Angus Leeming  <a.leeming@ic.ac.uk>

	* various files (selectNextWord): renamed as
	selectNextWordToSpellcheck.

	* insetgraphics.C (draw): remove the previous change. Right place
	is in imageLoaderXPM.C.
	(draw): don't display the image if params.display == NONE.

2001-09-18  Angus Leeming  <a.leeming@ic.ac.uk>

	* figinset.C (runqueue):
	* insetgraphics.C (draw): set background colour of inset from
	background to the user-configurable graphicsbg.

2001-09-07  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetquotes.C (InsetQuotes): when trying to decide the side of
	the quote, choose `left' only after a space or '('

2001-09-04  José Matos  <jamatos@fep.up.pt>
	* figinset.C
	* figinset.h
	* insetcaption.C
	* insetcaption.h
	* insetcollapsable.h
	* insetcommand.C
	* insetcommand.h
	* inseterror.h
	* insetert.C
	* insetert.h
	* insetexternal.C
	* insetexternal.h
	* insetfloat.C
	* insetfloat.h
	* insetfloatlist.h
	* insetgraphics.C
	* insetgraphics.h
	* inset.h
	* insetinclude.C
	* insetinclude.h
	* insetlabel.C
	* insetlabel.h
	* insetlatexaccent.C
	* insetlatexaccent.h
	* insetquotes.C
	* insetquotes.h
	* insetref.C
	* insetref.h
	* insetspecialchar.C
	* insetspecialchar.h
	* insettabular.C
	* insettabular.h
	* insettext.C
	* insettext.C (docbook): rename docBook method to docbook.

2001-09-02  Dekel Tsur  <dekelts@tau.ac.il>

	* inset.h (getFirstParagraph): New virtual method.

2001-08-20  Herbert Voss  <voss@perce.de>
	* insetbib.C: added a option bibtotoc which is from "BIB to TOC"
	in the the bibtex-database-gui for inserting a line
	\addcontentsline...

	If no style is given than there is no tex-output.

2001-08-18  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetbib.[Ch] (getFiles): new method, returning the BibTeX database
	files as a vector.
	(getKeys): use it.

2001-08-18  Dekel Tsur  <dekelts@tau.ac.il>

	* insetert.C (latex): Fix output for multiple paragraphs.
	(write): New code for writing paragraph data.
	(read): Set font after reading the inset.
	(localDispatch): Call set_latex_font() for more cases.

	* insetnote.h: Add empty validate method.
	* insetert.h: Ditto

	* insetnote.C (InsetNote): Set language to the language of the
	document.

2001-08-16  Juergen Vigna  <jug@sad.it>

	* insettext.C: implemented the new FINISHED states.

	* insettabular.C: ditto

	* inset.h: added more FINISHED states for cursor right,up,down

2001-08-16  John Levon  <moz@compsoc.man.ac.uk>

	* insetfloatlist.C: use "FloatName List"

2001-08-14  Juergen Vigna  <jug@sad.it>

	* insetert.C (edit): forgot to set status_ in edit calls!

2001-08-14  Dekel Tsur  <dekelts@tau.ac.il>

	* insettext.C: Compilation fix

2001-08-13  Juergen Vigna  <jug@sad.it>

	* inset.C (getMaxWidth): fixed bug of returning the wrong max width.

	* insetcollapsable.C (edit): don't recollapse an already open inset.

	* insettext.C: fixed problem when reinitializing LyXText by not doing
	it while lt is in use and post this to the next possible time in
	getLyXText().
	(searchForward): fixed not unlocking of inset if nothing found.
	(edit): set cursor behind right (was set -1 pos).

	* insetert.C (InsetERT): init status_ also in the 3rd constructor.

	* insettabular.C (tabularFeatures): fixed fix where deleting the
	last row didn't get the right actcell!

2001-08-11  Dekel Tsur  <dekelts@tau.ac.il>

	* insettext.C (localDispatch): Change language only when the inset
	becomes empty.

2001-08-10  Juergen Vigna  <jug@sad.it>

	* insettabular.C (selectNextWordInt): use the front using edit call.

	* insetcollapsable.C (getMaxWidth): rename inset to in to not have
	the parameter overwrite class variable inset.

	* inset.C (getMaxWidth): fix the setting of the minwidth = 10.

	* insettext.C (saveLyXTextState): check for invalid cursor-par.
	(reinitLyXText): remove wrong_cursor bool as not needed anymore!

	* insettabular.C (calculate_dimensions_of_cells): let's try to call
	update only for fixed with cells.
	(resetPos): try to fix the lockup on spellchecking or s&r.

	* insettext.C (update): comment this out as it seems first wrong
	and second not needed anymore!
	(some functions): call reinitLyXText() only in update() in all other
	positions set only need_update = INIT.

2001-08-08  Juergen Vigna  <jug@sad.it>

	* insettabular.C (setPos): fixed wrong actrow < rows() check.

	* insettext.C (insetUnlock): remove double-space on inset unlock.

	* insetcollapsable.C (draw): fix returned x when label > inset-width.

	* insettabular.C (update): fixed cursor positon after an insert.
	(insetAllowed): do not allow to insert insets when not inside the
	inset!
	(draw): clear below an inset too as it could have changed height.

	* inset.C (getMaxWidth): fixed width for inset in inset.

	* insettext.C (update): small fix.

	* insettabular.C (tabularFeatures): added selection support to
	DELETE_ROW/DELETE_COLUMN.

2001-08-07  Juergen Vigna  <jug@sad.it>

	* inset.C (getMaxWidth): recoded and all it's implementations!

	* insettext.C (init,setParagraph+constructors): cleanups
	(reinitLyXText): fixed problem with wrong cursor when all paragraphs
	are new and I want do a save/restore of the cursor position which is
	not possible anymore.

	* insetcollapsable.C (searchBackward): recollapse inset if not found.
	(searchBackward): ditto
	(selectNextWord): ditto

2001-08-07  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetlatexaccent.C (checkContents): Add some debug messages

2001-08-07  Juergen Vigna  <jug@sad.it>

	* insetert.C (read): don't use InsetCollapsable::read as we don't
	write the collapsed status anymore only the status.
	(write): ditto.

2001-08-06  Juergen Vigna  <jug@sad.it>

	* insetert.C (set_latex_font): use LyXText's setFont directly.

	* insettext.C (drawFrame): fixed one time more the right position
	and size of the frame!

	* insetert.C (~InsetERT): hide the dialog.
	(showInsetDialog): added implementation
	(open): ditto
	(close): ditto
	(status): new function for the status of the ERT inset (3-state).
	(write): output also the status of the inset for readback!
	(read): readback the status if available otherwise use collapsed_.

	* insettext.C (edit): small fix of setting the position, which could
	have gone < 0.

	* insetert.C (width): implement this function for inlined viewing.
	Added minimum width of 10 pixels!

	* insetminipage.C (InsetMinipage): just change the colors a bit so
	that border/background is a bit more visible. We will remove this
	anyway for 1.2.0!

	* insettext.C (textWidth): add a 'bool fordraw' parameter and use this
	function for getting the important widths for drawing in various
	functions and in LyXText.
	(draw): fixed up a bit (frame drawing/clearing)

2001-08-03  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* inset.C (convertFont): delete method. not used.

2001-08-03  Juergen Vigna  <jug@sad.it>

	* insettext.C (setFont): don't call for a draw update if we're just
	changing the cursor font!

2001-08-02  Juergen Vigna  <jug@sad.it>

	* insettext.C (draw): clear the background with the right color if
	needed. Update myself if x&max-width changed and return without doing
	anything. Let the update code handle the right stuff.

	* insetminipage.C (getMaxWidth): fixed returning of maxwidth when
	inside another inset.

2001-08-01  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.C (update): added an in_update bool so we avoid
	reentering.

	* insettabular.C (update): added an in_update bool so we avoid
	reentering.

	* insettext.C (insetButtonPress): hopefully fixed setselection/clear
	selection problem.
	(update): added an in_update bool so we avoid reentering.

	* insettabular.C (localDispatch): clear col/row selection when doing
	something else inside an inset.

	* insettext.C (getLyXText): fixed bug when requesting a recursive
	insettext!

2001-08-01  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetcite.C (latex): Paranoia check. Make sure that there is no
	whitespace between the citation keys.

2001-07-31  Juergen Vigna  <jug@sad.it>

	* inset.h (nodraw): make the set function also const so that this
	can be called from inside other const functions.

	* insetcollapsable.h: removed inline variable and moved it over
	to the only user InsetERT.

	* insetcollapsable.C (insetButtonRelease): fixed uncollpasing the
	inset opening immediately therein lying insets dialogs!

	* insetert.C (localDispatch): set the font also if we don't have any
	chars in this paragraph, otherwise if we delete all of em and start
	writing we have the wrong font.
	(inlined): added
	(draw): implemented for inline support
	(insetButtonRelease): ditto.

2001-07-30  Juergen Vigna  <jug@sad.it>

	* insettext.C (reinitLyXText): new function to reinit the insets
	text after lot's of paragraph changes. Use this instead of the
	cache.clear() which is VERY dangerous.

	* insetfloat.C (insetButtonRelease): we should only show the dialog
	if we press on the label otherwise we have problems to open mouse
	button 3 dialogs inside this float (f.ex. of a tabular!)

2001-07-30  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetert.C: change back to "ERT"

	* insetfloat.C: handliign of RMB on label added.

2001-07-30  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetgraphicsParams.C: #include LOstream.h here.

	* insetfoot.h: remove InsetFoot:: qualifier.

2001-07-29  Baruch Even  <baruch@lyx.org>

	* ChangeLog: Hiding time travel evidence.

	* insetgraphicsParams.h:
	* insetgraphicsParams.C:
	* insetgraphics.C: Added horizontal scale option, it actually
	scales both directions since it keeps image proportions.

	* insetgraphics.C: Fixed EPS detection to be non-hacky.

2001-07-29  Baruch Even  <baruch@lyx.org>

	* insetgraphics.C (decideOutputImageFormat): when doing postscript
	output convert PNG/GIF/JPG to EPS, assume the rest are EPS already.

	HACKY! Will need to add an EPS detection routine like old InsetFig
	does!

2001-07-29  Baruch Even  <baruch@lyx.org>

	* insetgraphics.C: Added EPSI to be an alias of EPS.

2001-07-29  Baruch Even  <baruch@lyx.org>

	* insetgraphics.C: Change GRAPHICS to Graphics.
	Changed image conversion rules (documented at the beginning of file).

2001-07-28  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetert.C (get_new_label): int -> Paragraph::size_type to get
	std::min working.

	* insetgraphics.C: added a using std::endl directive.

	* insetcommand.h (getScreenLabel): removed pure virtual function,
	as it duplicates that in InsetButton.

	* insetbib.[Ch] (getScreenLabel):
	* insetbutton.[Ch] (getScreenLabel):
	* insetcite.[Ch] (getScreenLabel):
	* insetert.[Ch] (getScreenLabel):
	* insetexternal.[Ch] (getScreenLabel):
	* insetfloatlist.[Ch] (getScreenLabel):
	* insetinclude.[Ch] (getScreenLabel):
	* insetindex.[Ch] (getScreenLabel):
	* insetlabel.h (getScreenLabel):
	* insetparent.[Ch] (getScreenLabel):
	* insetref.[Ch] (getScreenLabel):
	* insettoc.[Ch] (getScreenLabel):
	* inseturl.[Ch] (getScreenLabel): passed a Buffer const * parameter.

	* insetcite.C (getScreenLabel): use this Buffer parameter in creating
	the label.
	(validate): remove check on "cite" when using natbib.

2001-07-26  Baruch Even  <baruch@lyx.org>

	* insetgraphics.C (draw): changed casting to be in one place
	rather than all over the function.

	* insetgraphics.h:
	* insetgraphics.C (read): Added compatibility reads of InsetFig.

	* insetgraphicsParams.h:
	* insetgraphicsParams.C:
	* insetgraphics.C: Removed inline option and changed rotateAngle
	to float.

2001-07-28  Kayvan A. Sylvan  <kayvan@sylvan.com>

	* insetfoot.C (validate): Added method to ensure that the
	right bit of LaTeX is emitted.

	* insetfoot.h: Added validate method to set the correct
	LaTeXFeatures bit for the special footnote code.

2001-07-26  Yves Bastide  <stid@libd-pc11.univ-bpclermont.fr>

	* insetquotes.C (dispString): display the right ISO8859-{1,9,15}
	quotes

2001-07-27  Juergen Vigna  <jug@sad.it>

	* inset.h: remove unused font variable in parameter.
	removed checkInsertChar in UpdatableInset as it was equal to
	the one in Inset and so not needed.

	* insetert.C (checkInsertChar): implementation of function
	checkInsertChar.

	* inset.h: added new function checkInsertChar.

	* various files: added c-tor and clone() function.

	* insetcollapsable.h: removed clone function here as this should
	be only realized in REAL insets and added it to all collapsable
	insets! (with the copy-constructor).

2001-07-26  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetminipage.C (read): handle missing parameters more gracefully

	* insetcollapsable.C (read): handel missing collapsed more gracefully

2001-07-25  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetfloat.C (read): handle missing parameters.

	* insettext.C (read): handle old latex end_inset

	* insetert.C (setButtonLabel): new method
	(init): use it, to set the dynamic label correctly
	(read): use it

	* Makefile.am (EXTRA_DIST): add files that is not part or the
	binary here.

	* insetcollapsable.h: remove autocollapsable (no users), remove
	draw_label, change_label_with_text and companion code. Remove args
	from some methods.
	* insetert.[Ch]: move here instead (only user)

	* inset.h: rename private variable name to name_, make
	selectNextWord return a const string. make getInsetName return a
	string const &. Remove bool from open, add close.

	* Makefile.am: don't compile insetlist, insetsection
	and insettheorem

2001-07-24  Juergen Vigna  <jug@sad.it>

	* insetert.C (InsetERT): put init after the paragraph initialization,
	as otherwise we don't set the draw_label right.

	* insetcollapsable.C (insetMotionNotify): fixed opening/closing the
	insets with the mouse without having strange selections.
	(edit): if the inset was collapsed and we open it here then put the
	cursor always at the beginning of the inset.
	(get_new_label): 15 instead of 10 max chars in the label.

	* insetert.C (localDispatch): added and handle various stuff we
	need to handle here (font setting on paragraph break, not permitted
	layout setting, etc.).

	* inset.h: added default copy-consturctor and implemented this in
	various insets with the change to use this in the clone function!

2001-07-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetminipage.C (InsetMinipage): set background color to red :)

2001-07-23  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insettext.C (insetUnlock): only set update to CLEAR_FRAME if
	draw frame mode is LOCKED.

	* insetcollapsable.C (edit):
	(insetButtonRelease): set update status to full when
	opening inset.

	* insettext.C (clearInset):
	* insettabular.C (draw):
	* insetlatexaccent.C (draw): honor background color.

	* inset.h: new member background_color_, initialized to
	LColor::inherit.

	* inset.C (backgroundColor): new method.
	(setBackgroundColor): new method.

	* insetert.C (init): new method, called by the ctors.
	(InsetERT): when inserting contents, make sure the font is
	ALL_INHERIT.

	* insetnote.C (InsetNote): when inserting content, remove trailing
	newline
	(init): set background color to LColor::note

2001-07-24  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetcollapsable.C: adjust

	* insetbutton.C: adjust

2001-07-23  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.h: removed widthCollapsed variable, LyXFont
	parameter on the _collapsed function (was not needed) and call
	always width_collapsed().

	* insetert.C (InsetERT): use setLabel with "true" flag.

	* insetcollapsable.C: modified various functions to set the draw_label
	string right in any condition.
	(setLabel): added a bool parameter to set change_label_with_text.

	* insetcollapsable.h: added draw_label string which is set to the
	actual drawn label-string, while label is the original static label
	of this collapsable inset. Added bool change_label_with_text to set
	if we want that the label changes to the start of the InsetText's
	text when collabpsed. You can set this flag with the setLabel funciton.
	Added bool inlined for inlined collapsable insets, but not handled
	yet.

	* insetcollapsable.C (get_new_label): added should get a new label
	from the InsetText beginning (for now 10 chars).

2001-07-21  Yves Bastide  <stid@libd-pc11.univ-bpclermont.fr>

	* insetquotes.C (latex): fix the handling of french double quotes
	when not using the french pachage.

2001-07-22  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetcollapsable.h: make WidthCollapsed mutable.

	* insetindex.C (lyxCode): InsetIndex returns INDEX_CODE,
	InsetPrintIndex returns INDEX_PRINT_CODE.

	* inset.h: add INDEX_PRINT_CODE

	* insetcollapsable.C (draw): init widthCollapsed if necessary
	(width): ditto.

	* insetquotes.C (width): use the local language, not the document
	language.
	(draw): ditto.
	(dispString): add additional spacing for all french languages,
	like fr_CA.
	(validate): make it work when there is no default language

	* insetspecialchar.h: rename kind to kind_; add kind() accessor.

	* insetnote.C (init): new method, called by the constructors
	(InsetNote): new constructor with contents passed as a string

2001-07-21  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetfootlike.C (insetAllowed): disallow float in footlike.

	* insetert.C (InsetERT): add collapsed argument to the constrctor
	with contents.

2001-07-20  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetindex.h: shut off warning

2001-07-20  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.C (update): recoded hopefully works now!

2001-07-19  Juergen Vigna  <jug@sad.it>

	* most files: implemented the below new introduced function.

	* inset.h: added new edit(BufferView *, bool front) method to be able
	to enter an inset from the front/back without knowing x/y positions
	and baselines inside the inset. So I just can tell the inset activate
	me and set the cursor on the front/back of yourself.

2001-07-18  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.C (edit): fixed hopefully the y parameter which
	is given to the InsetText.
	(insetButtonPress): ditto
	(insetButtonRelease): ditto
	(insetMotionNotify): ditto

2001-07-20  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetspecialchar.[Ch]: change HYPHENATION_BREAK to
	LIGATURE_BREAK, since the name is so stupid.

2001-07-20  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetnote.[Ch]: (insertInset, insetAllowed): removed. Note now uses
	the default InsetCollapsable methods. I.e., it can insert anything.
	(write) output the name of the inset, not some silly hack for
	compatability with the old InsetInfo.

	* insetinfo.[Ch]: removed.
	* insetnote.[Ch]: new files. InsetNote replaces InsetInfo. The inset is
	now collapsable, but functionality is otherwise identical to InsetInfo.

	* Makefile.am: removed insetinfo.[Ch]. Added insetnote.[Ch].

2001-07-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* insetspecialchar.[Ch]: add support for HYPHENATION_BREAK. some
	reformatting

	* insetquotes.C: general cleanup
	(dispString): add spaces inside french double quotes.
	(latex): ditto. Moreover, treat first the case where the frenchb
	or french options have been given.

2001-07-19  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetcite.[Ch] (latex, validate): new methods, required for natbib
	support.

2001-07-19  Dekel Tsur  <dekelts@tau.ac.il>

	* figinset.C (RegisterFigure): Print debug message only when
	current_view is available.

2001-07-18  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* many files: update to match the change below

	* inset.h (insetAllowed): renamed from insertInsetAllowed;
	implement the version which takes an inset here.

	* insetcollapsable.[Ch]: implement open and isOpen

	* inset.h: remove insertInsetAllowed from Inset
	(open): new method, to open or close an inset
	(isOpen): returns the status of an inset
	(isCollapsable, colapse): removed

2001-07-13  Yves Bastide  <stid@libd-pc11.univ-bpclermont.fr>

	* insetquotes.C (dispString): display french guillemets when using
	ISO8859-15.

2001-07-18  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetcollapsable.h: remove bogus return statements

2001-07-18  Juergen Vigna  <jug@sad.it>

	* insettabular.C (selectNextWord): fixed spellchecking for the
	first cell of a tabular (wasn't entered!)
	(getLyXText): changed to enter automatically insettext and return
	it's LyXText if we're locked.

2001-07-17  Juergen Vigna  <jug@sad.it>

	* various files: implemented the below functions.

	* inset.h: added functions
	- virtual string selectNextWord(BufferView *, float & value) const;
	- virtual void selectSelectedWord(BufferView *) { return; }
	- virtual void toggleSelection(BufferView *, bool /*kill_selection*/)
	needed for spellchecking correctly!

2001-07-16  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetert.C (latex): write out all paragraphs.

2001-07-17  Baruch Even  <baruch@lyx.org>

	* insetgraphics.C (draw): Removed unneeded casts.

2001-07-16  Juergen Vigna  <jug@sad.it>

	* insettext.C (update): fixed small oversight (reset lt to 0).

2001-07-14  Baruch Even  <baruch@lyx.org>

	* insetgraphics.h:
	* insetgraphics.C: Added a copy c-tor and handled the same_id case.

2001-07-13  Angus Leeming  <a.leeming@ic.ac.uk>

	Consistent use of Lsstream.h:
	* figinset.C: removed using std::ostringstream directive.

	* insetgraphics.C (createLatexOptions):
	* insetinclude.C (unique_id):
	std::ostringstream -> ostringstream.
	* insettext.C (localDispatch): std::istringstream -> istringstream.

2001-07-13  Juergen Vigna  <jug@sad.it>

	* insetfloat.C (insertInsetAllowed): added missing const_cast.

	* insetcollapsable.C (getLockingInset): ditto.

2001-07-12  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.h: added implementation of new function for
	collapsable status.

	* various files: added implementation of new insertInsetAllowed-func
	and redone the function a bit more.

	* inset.h: added isCollapsable(), bool collapsed(),
	collapsed(BufferView *, bool) and insertInsetAllowed(Inset::Code).

	* insetfloat.C (insertInsetAllowed): make a bit more checks.

	* insettext.C (getLyXText): use 'lt' to assure we're not erasing the
	LyXText which is marked for removal while we're using it!

	* insettext.h: added private LyXText * lt to use it to assure we are
	not deleting our LyXText while we're using it!

2001-07-11  Juergen Vigna  <jug@sad.it>

	* insettext.C (insertInset): check if we are before the inset after
	inserting it! This check IS needed. Remove the Undo-Call as it is
	called in LyXText::insertInset!

	* insettext.h: added struct InnerCache.

	* insettext.C (deleteLyXText): insert a new InnerCache mechanism so
	that we ONLY delete the LyXText in the getLyXText() routine. So we
	are sure we don't delete LyXText while someone is working with it!

2001-07-12  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetexternal.C: (*it). -> it->
	* insettext.C: ditto

2001-07-11  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetcollapsable.C (edit): always open collapsed insets (even if
	they are not autocollapsable)

	* insetcommand.C (operator=): simplify.

2001-07-10  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetert.C (latex): handle META_NEWLINE

2001-07-09  Juergen Vigna  <jug@sad.it>

	* insetert.h: a normal InsetText can insert insets, but we won't.

	* inset.h: return default "false" on insertInsetAllowed and implement
	this function where a returnvalue != "false" is needed.

2001-07-08  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetert.C (InsetERT): new contructor

2001-07-06  Juergen Vigna  <jug@sad.it>

	* a lot of files: added implementation of the below new functions
	and the change to clone(). Also the call of the new undo-functions
	where needed.

	* inset.h: added an inset_id, added functions getParFromID,
	getInsetFromID, firstParagraph, cursor and id functions, added
	bool same_ids to clone function.

2001-07-05  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.[hC]: make cached_text a shared_ptr, make Cache be a map
	of BufferView * and shared_ptr<LyXText>

2001-07-05  Juergen Vigna  <jug@sad.it>

	* insettext.C (clear): deleted also the cache not only LyXText.
	(setParagraphData): ditto.

2001-07-04  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetfloat.C (latex): let the specific placement take presedence
	if set, otherwise choose document placement if set, otherwise just
	use float default placement.

2001-07-03  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C (localDispatch): call CutAndPaste::'s static method
	directly.

2001-07-03  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetbib.C: no meed to include forms.h here.

2001-07-03  Angus Leeming  <a.leeming@ic.ac.uk>

	* insettext.C: added using std::make_pair directive.

2001-07-03  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C (getLyXText): avoid multiple lookups, and simplify
	slightly
	(deleteLyXText): ditto
	(resizeLyXText): ditto

2001-07-02  Juergen Vigna  <jug@sad.it>

	* insettext.C (getLyXText): introduce a cache in getLyXText so that
	following calls are only returned the right pointer without the over
	head to search in the map.
	(various funcs): reset the cached_bview variable as this signs that
	the cache is not valid anymore.

2001-06-29  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insettabular.C (clone): do not copy the LyXTabular twice

2001-06-29  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.h (TEXT): delete method

2001-06-29  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetmarginal.C (latex):
	* insetfoot.C (latex): fix spacing of notes in LaTeX

	* insettext.C (localDispatch): use .c_str() on istringstream
	constructor argument.

2001-06-29  John Levon  <moz@compsoc.man.ac.uk>

	* insettoc.h:
	* insettoc.C:
	* inseturl.h:
	* inseturl.C: fix method names in these to begin
	  with small char too, so they inherit

2001-06-28  Juergen Vigna  <jug@sad.it>

	* insettext.C (setFont): fixed font settings using toggleFree()
	instead of setFont().

2001-06-28  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* Change a lot of method names to begin with a small char.
	Changes to a lot of files because of this.

2001-06-27  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetfloatlist.C (Write): std:: qualify ostream
	(Latex): ditto

2001-06-26  The LyX Project  <lyx@violet.home.sad.it>

	* figinset.C:
	* inset.C:
	* insetgraphics.C: send debug output to Debug::INFO instead of
	Debug::ANY.

2001-06-26  The LyX Project  <lyx@rose.home.sad.it>

	* insettabular.h:
	* insettabular.C (getStatus): update to use func_status

2001-06-26  ben <nicolas.marsgui@libertysurf.fr>

	* insetref.C (DocBook): added support for cross-references without
	a name.

2001-06-26  The LyX Project  <jug@sad.it>

	* insetref.C:
	* insetref.h:
	* insetlabel.C:
	* insetlabel.h: removed escape method and moved it to
	support/lstrings.h.

2001-06-26  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettabular.C (getMaxWidth): do the speedup in a different way,
	remove dead code

2001-06-24  The LyX Project  <Asger>

	* insettabular.C (getMaxWidth): We cache a mapping from
	inset to cell in order to speed this method up.

2001-06-24  The LyX Project  <Asger>

	* insettext.C: Optimized InsetText::draw or something.

2001-06-23  The LyX Project  <lyx@rose.home.sad.it>

	* insettext.C (LocalDispatch): fixed inserting of 'normal chars'

2001-06-23  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* inset.h: name change from lyxinset.h

2001-06-22  Dekel Tsur  <dekelts@tau.ac.il>

	* insetfloat.C (Validate): Add a call to InsetCollapsable::Validate

2001-06-14  Juergen Vigna  <jug@sad.it>

	* insettext.C (draw): removed warnings.

2001-06-13  Juergen Vigna  <jug@sad.it>

	* insettabular.C (nodraw): only go down the tree if we don't have
	that flag set otherwise it's obvious that we don't want to draw.
	(LocalDispatch): do also an update if we have an undispached result.

2001-06-19  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetcite.C:
	* insetgraphicsParams.C:
	* insettext.C: removed // -*- C++ -*- as first line.

2001-06-13  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* lyxinset.h (resizeLyXText): shut off warning about unused
	parameter "force"

2001-06-07  Juergen Vigna  <jug@sad.it>

	* insettext.C (resizeLyXText): honor the new force flag.

	* lyxinset.h: add 'bool force' parameter to resizeLyXText(...)

	* insettabular.C (deleteLyXText): new function

2001-06-02  John Levon  <moz@compsoc.man.ac.uk>

	* insettheorem.C:
	* insetminipage.C:
	* insetlist.C:
	* insetfootlike.C:
	* insetfloat.C:
	* insetert.C:
	* insetcollapsable.C:
	* insetcaption.C: LColor tidy

2001-06-01  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* figinset.C: fix typo

2001-06-01  Juergen Vigna  <jug@sad.it>

	* insettabular.C (resetPos): small hack so that scroll is not set to
	0 when we are in the last column of a tabular. This is a problem we
	have because of constats 20 offset on both directions, so this can
	cause on the limit an endless loop.

	* insettext.C (SetFont): forgot that we can have locking insets ;)

2001-05-31  Juergen Vigna  <jug@sad.it>

	* insettabular.C (LocalDispatch): small fix for LFUN_TAB.

2001-05-31  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* figinset.C: add using std:: directive for the C functions which
	need that.

2001-05-31  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetfloat.C (Write): write out wide info
	(Read): read the wide info
	(Latex): use the wide info when creating latex.

	* insettext.C: adjust

	* insetgraphics.[Ch] (statusMessage): change to return string
	(width): adjust
	(draw): adjust

	* figinset.C (runqueue): add std::
	(Recompute): ditto

2001-05-28  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetcite.C (Ascii): add std:: qualifier

2001-05-28  Juergen Vigna  <jug@sad.it>

	* insettext.C (resizeLyXText): clear LyXText ONLY if we don't have
	a endless-width inset (maxWidth < 0).
	(Edit): change language only if not equal.

	* insettabular.C (resetPos): call UpdateLocal only on REAL scroll!

	* insettext.C (draw): fixed draw/clear of InsetText-Frame

2001-05-16  Juergen Vigna  <jug@sad.it>

	* insettext.C (selectAll): added
	(clearSelection): added

	* insettabular.C (SetFont): now we may set a font on a whole selection!
	(getSelection): added helper function.

2001-05-27  Dekel Tsur  <dekelts@tau.ac.il>

	* insetcite.C (Ascii): Add method.

2001-05-16  Ruurd Reitsma  <r.a.reitsma@wbmt.tudelft.nl>

	* figinset.C:
	* insetbib.C: fix path for OS/2 & Win32

2001-05-10  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetfoot.C (Latex): don't use % after footnote.

2001-05-08  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C (Read): use clear
	(SetParagraphData): use LyXParagraph copy constructor instead of clone

2001-05-04  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetfloatlist.h: add a bunch of std:: qualifiers.

2001-05-04  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* lyxinset.h: remve LOF_CODE, LOT_CODE, LOA_CODE, add
	FLOAT_LIST_CODE, renumber code list.

	* insettoc.C (getScreenLabel): remove support for float lists
	(LyxCode): ditto
	(Ascii): ditto

	* insetfloatlist.[Ch]: new files

	* Makefile.am (libinsets_la_SOURCES): add insetfloatlist.[Ch]

2001-04-27  Angus Leeming  <a.leeming@ic.ac.uk>

	* insettabular.C (LocalDispatch):
	* insettext.C (LocalDispatch): getClipboard() is now a BufferView
	method

2001-05-03  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C: remvoe !NEW_INSETS cruft

	* insettabular.C: remove !NEW_INSETS cruft

	* insetcollapsable.h: remove !NEW_INSETS cruft

	* insetbib.C: remove !NEW_INSETS cruft

2001-04-27  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettoc.C: hack to make listof algorithm work

2001-04-20  Juergen Vigna  <jug@sad.it>

	* insettext.C (Edit): call checkAndActivateInset with y=0 if y < 0.

2001-04-18  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetquotes.C (Latex): improve the guard against
	unwanted !` and ?` ligatures. This should really be done in
	another place (to catch all this ligatures at low-level).

2001-04-17  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C (init): remvoe leftovers from cursor_visible change
	(draw): use c++ cast
	(LocalDispatch): dispatch LFUN_MESSAGE

	* insettabular.C (InsetTabular): remove leftovers from
	cursor_visible, and scoped_ptr changes
	(draw): use c++ cast

	* insetcollapsable.C (draw): use c++ cast

	* ExternalTemplate.h: inherit privaely from noncopyable
	* insetcommand.h: ditto
	* insetinclude.h: ditto

2001-04-16  Allan Rae  <rae@lyx.org>

	* insettoc.C (Ascii):
	* insettext.C (draw):
	* insettabular.C (setPos):
	* insetminipage.C (Read):
	* insetfloat.C (placement):
	* insetcaption.C (Ascii, DocBook):
	* figinset.C (runqueue): #warning triggers an error on Sun CC 6.0 as
	an unrecognised preprocessor directive.  So ensure they're wrapped.

2001-04-06  John Levon  <moz@compsoc.man.ac.uk>

	* insetexternal.h:
	* insetexternal.C: set view on Clone. Add _ to private members.

2001-04-06  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insettext.C (InsetText): fix new
	(InsetText): reindent some, simplify deletion of par list
	(clear): simplify deletion of par list, fix new
	(SetParagraphData): simplify deletion of par list

	* insettabular.[Ch] (getLabelList): implement new method

2001-04-05  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* lyxinset.h: do not include gettext.h...

	* inset.C:
	* insetcaption.C:
	* insetexternal.C:
	* insetgraphics.C:
	* insetindex.C:
	* insetlabel.C:
	* insetlatexaccent.C:
	* insetminipage.C:
	* insetquotes.C:
	* insettabular.C:
	* inseturl.C: ... and do it here instead

2001-04-05  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* insetcollapsable.[Ch] (getLabelList): add std:: on vector<string>

	* insettext.[Ch] (getLabelList): add std:: on vector<string>

	* insetcollapsable.[Ch] (getLabelList): implement

	* insettext.[Ch] (getLabelList): implement

	* insettext.h: reindent

	* insettabular.h: make tabular a scoped_ptr

	* insettext.C (init): adjust for cursor_visible
	(ToggleInsetCursor): constify asc and desc, font, adjust for
	cursor_visible
	(ShowInsetCursor): constify asc and desc, font, adjust for
	cursor_visible
	(HideInsetCursor): adjust for cursor_visible

	* insettabular.C: reindent some
	(InsetTabular): adjust for scoped_ptr and cursor_visible
	(InsetTabular): ditto
	(~InsetTabular): delete delete
	(Clone): adjust for scoped_ptr
	(Read): constify old_format, adjust for scoped_ptr, move init of
	token
	(draw): constify tx, localize loop vars.
	some other localization of variables, remove double initilizatons.

	* insetfoot.C: remove using std::ostream, add ostream where needed

2001-04-04  Lars Gullik Bjønnes  <larsbj@birdstep.com>

	* lyxinset.h: some reindentaion, use initializer list for
	constructro.
	UpdatableInset: make cursor_visible a private var add
	public isCursorVisible(), add protected toggleCursorVisible() and
	proctected setCursorVisible(bool), make scroll call the Inset::scroll

	* insettoc.C: remvoe using decl
	(getScreenLabel): make cmdname donst
	(LyxCode): ditto
	(Ascii): ditto
	(Ascii): don't use endl

	* insetfootlike.C: remove using decl at file scope and add std::
	where needed
	* insetmarginal.C: ditto

	* insetfoot.C: some reformatting

	* insetfloat.C (InsetButtonRelease): adjust the hit area

	* insetert.C (SetFont): some reformatting

	* insetcollapsable.C: some reformatting and constification
	(Clone): comment out.
	* insetcollapsable.h: some reformatting
	(Clone): comment out.

	* inset.C: reindent
	(scroll): simplify

2001-03-30  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.h: changen *inset to be a InsetText inset.

	* some files: changed to reflect the above change.

2001-03-29  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetexternal.[Ch]: renamed InsetExternal::InsetExternalParams as
	InsetExternal::Params.
	Added operator==() and operator!=() for the Params struct.

2001-03-29  Juergen Vigna  <jug@sad.it>

	* lyxinset.h: changed parameter of getMaxWidth from Painter & to
	BufferView *.

	* insetminipage.C: removed widthp_ and all it's functions and changed
	to use new %-lengths of LyXLength.

2001-03-28  Angus Leeming  <a.leeming@ic.ac.uk>

	* figinset.[Ch]: changed headers lyx.h, form1.h -> figure_form.h.

2001-03-27  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetgraphicsParams.C (operator!=): new function, needed by the
	ControlGraphics class.

2001-03-28  Juergen Vigna  <jug@sad.it>

	* insettext.C (InsetButtonPress): only enter !inset if button == 2
	(checkAndActivateInset): don't use the values returned from
	call to bv->checkInsetHit.

	* insetminipage.C (Clone): set special minipage values.

	* insetcollapsable.C (draw): changed to draw the button in the
	upper left corner outside the textinset.
	(ascent): changed because of different drawing
	(descent): ditto
	(width): ditto
	(Edit): ditto
	(InsetButtonPress): ditto
	(InsetButtonRelease): ditto
	(InsetMotionNotify): ditto

2001-03-27  Dekel Tsur  <dekelts@tau.ac.il>

	* figinset.C (GetPSSizes): Fix for the case when filename doesn't
	contain a suffix.
	(Clone): ditto

2001-03-26  Juergen Vigna  <jug@sad.it>

	* lyxinset.h: added ShowInsetDialog() function in UpdatableInset.

	* insettext.C (ShowInsetDialog): implemented above function.

	* insettabular.C (ShowInsetDialog): ditto

	* insetminipage.C (ShowInsetDialog): ditto

2001-03-23  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetinclude.[Ch]: rename InsetInclude::InsetIncludeParams as
	InsetInclude::Params. Don't store a buffer * in Params. Store the
	master file name instead.

2001-03-23  Juergen Vigna  <jug@sad.it>

	* insetcollapsable.C (InsetMotionNotify):
	(InsetButtonRelease):
	(InsetButtonPress): fixed y-offset (minipages).

	* insettext.C (draw): force a FULL update if cleared == true.

	* insetcollapsable.C (draw): Lars forgotten entry for changing this
	routine to draw the minipages on its position-flag.
	(InsetInInsetY): give back the right y position, because of minipage
	position-flag.

2001-03-23  José Abílio Matos  <jamatos@fep.up.pt>

	* insetfloat.h
	* insetfloat.C (DocBook): docbook export code.

2001-03-22  Juergen Vigna  <jug@sad.it>

	* insetminipage.C (getMaxWidth): added function to set the drawing
	width!
	(Read): should work now!

	* insetcollapsable.C (InsetCollapsable): default is now NOT collapsed
	if we create a new inset.

2001-03-20  Angus Leeming  <a.leeming@ic.ac.uk>

	* figinset.C (fl_set_preemptive_callback): moved definition outside
	of namespace anon.

2001-03-20  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* insetminipage.C (Read): prepare for reading of minipage arguments.

2001-03-18  Baruch Even  <baruch@lyx.org>

	* insetgraphics.C: Minor cleanups of the comments and code.

2001-03-17  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* insetminipage.C (InsetMinipage): default to not collapsed

2001-03-16  Juergen Vigna  <jug@sad.it>

	* insetminipage.C (width): modified with to be a string
	(widthp): added widthp (for % width) support functions.
	(InsetButtonRelease): added to open the options dialog on button==3.
	(~InsetMinipage): added to hide the dialog.

	* insetminipage.h: added hideDialog signal

2001-03-15  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* insetminipage.h: change the order or Position to match
	LyXParagraph::MINIPAGE_ALIGNMENT

	* several files: remvoe CXX_WORKING_NAMESPACES

	* ExternalTemplate.h: noncopyable is in namespace boost
	* insetinclude.h: ditto
	* insetcommand.h: ditto

2001-03-14  Angus Leeming  <a.leeming@ic.ac.uk>

	* insettext.C (Edit): #else# -> #else.
	* insettoc.C: added using directive.

2001-03-14  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* insetminipage.h: add pos, inner_pos, width and height. + getters
	and setters for all of them.

2001-03-13  Dekel Tsur  <dekelts@tau.ac.il>

	* insetinclude.C (Latex): Do not exit when the textclass of the
	included file differ from the textclass of the parent file.

2001-03-12  Angus Leeming  <a.leeming@ic.ac.uk>

	* ExternalTemplate.C (read): the reading of external insets now checks
	for \end_inset and removes it form the input stream.

2001-03-09  John Levon  <moz@compsoc.man.ac.uk>

	* ExternalTemplate.h:
	* ExternalTemplate.C:
	* insetexternal.h:
	* insetexternal.C: move form to GUII

2001-03-12  John Levon  <moz@compsoc.man.ac.uk>

	* insetinclude.h:
	* insetinclude.C: add InsetIncludeParams, use
	composition rather than derivation of InsetCommand

2001-03-12  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* insettoc.C (Ascii): use the Buffer typedefs

2001-03-11  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* insettoc.C (Ascii): implement for dynamic number of lists

	* insetcaption.[Ch]: update from new_insets branch
	* insetfloat.[Ch]: ditto

2001-03-06  John Levon  <moz@compsoc.man.ac.uk>

	* insetexternal.C:
	* figinset.C: use new File Dialog

2001-03-06  Lars Gullik Bjønnes  <larsbj@trylle.birdstep.com>

	* insettext.C: changes becuase of ParagraphParameters.

2001-02-28  Baruch Even  <baruch@ev-en.org>

	* insetgraphics.C (updateInset): Changed due to the change in
	GraphicsCache.

2001-02-26  Juergen Vigna  <jug@sad.it>

	* insettext.C (SetFont): Set Undo only if we have selection (as it is
	handled in LyXText).

2001-02-23  Juergen Vigna  <jug@sad.it>

	* insettext.C (draw): some small repainting fixes.
	(LocalDispatch): put the sel_cursor stuff after the insert of chars.

	* inset.C (LocalDispatch): changed action to be a kb_action (as it
	should be) and not an int.

	* insettabular.C (LocalDispatch): ditto

	* insettext.C (LocalDispatch): ditto

	* insetcollapsable.C (LocalDispatch): ditto

2001-02-22  Juergen Vigna  <jug@sad.it>

	* insettabular.C (LocalDispatch): return DISPATCHED if we cannot
	DISPATCH it and we don't have a locking_inset.

2001-02-21  Baruch Even  <baruch@ev-en.org>

	* insetgraphics.[Ch]: Changed to use
	boost::shared_ptr<GraphicsCacheItem> instead of GraphicsCacheItem *.

2001-02-22  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* insetcollapsable.C (getLyXText): add const qualifier to second
	parameter.

2001-02-22  Juergen Vigna  <jug@sad.it>

	* insettext.C (getLyXText): honor the recursive parameter.
	(SetUpdateStatus): set need_update to CURSOR_PAR if LyXText needs it.

	* inset.C (getLyXText): added bool recursive parameter.

	* insettext.C (SetUpdateStatus): or the update codes.
	(draw): check need_update with &.
	(InsetButtonPress): set no_selection to not put a selection when
	entering an inset and it is redraws in another spot.

	* insettext.h: made need_update an int.

2001-02-20  Baruch Even  <baruch@ev-en.org>

	* insetgraphics.h:
	* insetgraphisc.C: Changed to use better semantics when loading images
	for inline view. Now it doesn't keep the pixmap itself but it's holder.

2001-02-19  Angus Leeming  <a.leeming@ic.ac.uk>

	* insetcommand.h:
	* inseterror.h:
	* insetgraphics.C: change name of "hide" signal to "hideDialog",
	consistent with InsetTabular.

2001-02-19  Juergen Vigna  <jug@sad.it>

	* insettabular.C (LocalDispatch): implement PAGE up/down.

	* insettext.C (draw): clear all of it on need_update==INIT too!

	* insettabular.C (InsetUnlock): always clear the selection.

	* inset.C (scroll): normally we only want to scroll the inset until
	it is fully visible so if top_x + offset > 20 then just set scx to 0.

2001-02-14  Juergen Vigna  <jug@sad.it>

	* insettabular.C (LocalDispatch): remove x_fix as it is not used.
	(resetPos): fixed scroll behaviour.
	(LocalDispatch): do an update if moving cursor inside a table cell
	requests a scroll of the tabular.

2001-02-16  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* insettext.C (textWidth): constify local var

	* insettabular.C: small cleanup.

	* insetfoot.C (Latex): constify local var

	* insetcollapsable.C: small cleanup.

	* figinset.C (runqueue): use compare instead of strcmp

2001-02-14  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* insettext.C:
	* insetinfo.C: remove cruft

2001-02-14  Juergen Vigna  <jug@sad.it>

	* insettext.C (SetUpdateStatus): added a BufferView * parameter.

2001-02-13  Juergen Vigna  <jug@sad.it>

	* insettext.C (InsertInset): don't move left (is this right?)

	* insettabular.C (LocalDispatch): use of the no_draw variable

	* insettabular.h: new no_draw variable to stop redraw

	* insettabular.C (TabularFeatures): fixed update for alignment change

2001-02-12  John Levon  <moz@compsoc.man.ac.uk>

	* insetinclude.C:
	* insetbib.h:
	* insetbib.C: move dialogs to frontends/

2001-02-10  Dekel Tsur  <dekelts@tau.ac.il>

	* insettext.C (LocalDispatch): Restore the language if the inset
	becomes empty.

2001-02-09  Dekel Tsur  <dekelts@tau.ac.il>

	* insettext.C (moveRightIntern): Update the selection cursor.
	(moveLeftIntern): Ditto.

2001-02-09  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* Makefile.am: remove BoundingBox.h

	* BoundingBox.h: removed

2001-02-08  Dekel Tsur  <dekelts@tau.ac.il>

	* insettext.C (LocalDispatch): Update selection cursor when moving
	cursor to the right.
	(moveRightIntern): Call to CursorRight with 2 argument eqaul to false.
	(moveLeftIntern): Ditto.

2001-02-05  Baruch Even  <baruch.even@writeme.com>

	* insetgraphics.C: Updated automatic image conversion, it now goes into
	temporary directory instead of with the image itself.

2001-01-21  Baruch Even  <baruch@ev-en.org>

	* insetgraphics.C: Added Docbook support. Added Automatic image
	conversion to EPS or PNG when needed (support bitmap graphics).

2000-11-02  Baruch Even  <baruch@ev-en.org>

	* insetgraphics.C:
	* insetgraphiscParams.C: Some cleaning up, changing from std::endl
	to '\n' and removal of commented out code.

2001-01-31  Dekel Tsur  <dekelts@tau.ac.il>

	* insetbib.C (callback): Update citations if the key has changed.

2001-01-31  Dekel Tsur  <dekelts@tau.ac.il>

	* insetbib.C (InsetBibKey): Better computation of default key.
	(getScreenLabel) Show both the key and the label.
	(getBibLabel): New method.
	(callback): Force a redraw if the inset have been changed.

2001-01-26  Dekel Tsur  <dekelts@tau.ac.il>

	* insetref.C (getType, getName): Move methods from
	src/frontends/xforms/FormRef.C.

2001-01-12  Dekel Tsur  <dekelts@tau.ac.il>

	* insettabular.C: Various improvements (use only one dummy position).

2001-01-25  Dekel Tsur  <dekelts@tau.ac.il>

	* insetbib.C (bibitemWidest): Use lyxfont::width instead of
	par->bibkey->width. This fixes the crashes when running without
	gui or when having included documents.

2001-01-22  Dekel Tsur  <dekelts@tau.ac.il>

	* insetcommand.C (getAsString, setFromString): Cleanup.

2001-01-21  Dekel Tsur  <dekelts@tau.ac.il>

	* insetref.C: Add the array InsetRef::types that contains
	information about all supported reference types.

2001-01-19  Jean-Marc Lasgouttes  <Jean-Marc.Lasgouttes@inria.fr>

	* lyxinset.h: remove trailing comma in enum.

2001-01-17  John Levon  <moz@compsoc.man.ac.uk>

	* insettext.C: kill LyXBell.
